package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 毕业审核表 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-03-14 13:39:19
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_apply_audit", keyColumn = "id", sequenceName = "SEQ_BY_APPLY_AUDIT")
public class ByApplyAudit implements Serializable {
	private static final long serialVersionUID = 5169105375299683768L;
  	//毕业申请ID
  	private Integer apply_id;
  	//审核备注
  	private String auth_remark;
  	//审核时间
  	private LocalDateTime auth_time;
  	//审核类型 校考审核类型:0-审核通过,1-审核驳回
    //审核类型 终审审核类型:0-考生信息审核通过,1-成绩信息审核通过,2-考生信息审核驳回,3-成绩信息审核驳回
  	private Integer auth_type;
  	//主键
  	private Integer id;
  	//审核用户ID
  	private Integer user_id;
  	//审核角色
  	private Integer auth_role;
  
	/**
	 * 毕业申请ID
	 */	
  	public void setApply_id(Integer apply_id) {
		this.apply_id = apply_id;
  	}
 	/**
	 * 毕业申请ID
	 */	 	
  	public Integer getApply_id() {
		return apply_id;
  	}
	/**
	 * 审核备注
	 */	
  	public void setAuth_remark(String auth_remark) {
		this.auth_remark = auth_remark;
  	}
 	/**
	 * 审核备注
	 */	 	
  	public String getAuth_remark() {
		return auth_remark;
  	}
	/**
	 * 审核时间
	 */	
  	public void setAuth_time(LocalDateTime auth_time) {
		this.auth_time = auth_time;
  	}
 	/**
	 * 审核时间
	 */	 	
  	public LocalDateTime getAuth_time() {
		return auth_time;
  	}
	/**
	 * 审核类型 审核类型,0-审核通过,1-审核驳回
	 */	
  	public void setAuth_type(Integer auth_type) {
		this.auth_type = auth_type;
  	}
 	/**
	 * 审核类型 审核类型,0-审核通过,1-审核驳回
	 */	 	
  	public Integer getAuth_type() {
		return auth_type;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 审核用户ID
	 */	
  	public void setUser_id(Integer user_id) {
		this.user_id = user_id;
  	}
 	/**
	 * 审核用户ID
	 */	 	
  	public Integer getUser_id() {
		return user_id;
  	}
  	
  	//
  	protected String optr_name;
  	
  	protected String auth_type_text;

	public String getOptr_name() {
		return optr_name;
	}
	public void setOptr_name(String optr_name) {
		this.optr_name = optr_name;
	}
	public Integer getAuth_role() {
		return auth_role;
	}
	public void setAuth_role(Integer auth_role) {
		this.auth_role = auth_role;
	}
	public String getAuth_type_text() {
		return auth_type_text;
	}
	public void setAuth_type_text(String auth_type_text) {
		this.auth_type_text = auth_type_text;
	}
	
}