package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 考生课程顶替记录表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:12
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_course_repl_record", keyColumn = "id", sequenceName = "SEQ_by_course_repl_record")
public class ByCourseReplRecord implements Serializable {
	private static final long serialVersionUID = -5532375563442473844L;
  	//课程ID 新专业计划中的课程,多个用英文逗号分隔
  	private String course_ids;
  	//主键
  	private Integer id;
  	//原课程ID 以前专业计划中的课程,多个用英文逗号分隔
  	private String old_course_ids;
  	//原课程成绩ID 和考生成绩表关联，多个用英文逗号分隔
  	private String old_score_ids;
  	//课程成绩ID 和考生成绩表关联，多个用英文逗号分隔
  	private String score_ids;
  	//学生ID 和考生信息表关联
  	private Integer std_reg_id;
  	//准考证号
  	private String ticket_no;
  
	private Integer cj_from;//
  	
  	private String old_course_score_source;
  	
	public String getOld_course_score_source() {
		return old_course_score_source;
	}
	public void setOld_course_score_source(String old_course_score_source) {
		this.old_course_score_source = old_course_score_source;
	}
  	
	/**
	 * 课程ID 新专业计划中的课程,多个用英文逗号分隔
	 */	
  	public void setCourse_ids(String course_ids) {
		this.course_ids = course_ids;
  	}
 	/**
	 * 课程ID 新专业计划中的课程,多个用英文逗号分隔
	 */	 	
  	public String getCourse_ids() {
		return course_ids;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 原课程ID 以前专业计划中的课程,多个用英文逗号分隔
	 */	
  	public void setOld_course_ids(String old_course_ids) {
		this.old_course_ids = old_course_ids;
  	}
 	/**
	 * 原课程ID 以前专业计划中的课程,多个用英文逗号分隔
	 */	 	
  	public String getOld_course_ids() {
		return old_course_ids;
  	}
	/**
	 * 原课程成绩ID 和考生成绩表关联，多个用英文逗号分隔
	 */	
  	public void setOld_score_ids(String old_score_ids) {
		this.old_score_ids = old_score_ids;
  	}
 	/**
	 * 原课程成绩ID 和考生成绩表关联，多个用英文逗号分隔
	 */	 	
  	public String getOld_score_ids() {
		return old_score_ids;
  	}
	/**
	 * 课程成绩ID 和考生成绩表关联，多个用英文逗号分隔
	 */	
  	public void setScore_ids(String score_ids) {
		this.score_ids = score_ids;
  	}
 	/**
	 * 课程成绩ID 和考生成绩表关联，多个用英文逗号分隔
	 */	 	
  	public String getScore_ids() {
		return score_ids;
  	}
	/**
	 * 学生ID 和考生信息表关联
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 学生ID 和考生信息表关联
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
  	
	protected String old_course_names;// 原课程名称
	protected String new_course_names;// 新计划课程名称

	public String getOld_course_names() {
		return old_course_names;
	}

	public void setOld_course_names(String old_course_names) {
		this.old_course_names = old_course_names;
	}

	public String getNew_course_names() {
		return new_course_names;
	}

	public void setNew_course_names(String new_course_names) {
		this.new_course_names = new_course_names;
	}
	public Integer getCj_from() {
		return cj_from;
	}
	public void setCj_from(Integer cj_from) {
		this.cj_from = cj_from;
	}
  	
  	
}