package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 毕业名册表
 * 
 * @author huangzibo
 *
 */
@Table(tableName = "by_roster", keyColumn = "id", sequenceName = "SEQ_BY_ROSTER")
public class ByRoster implements Serializable {
	private static final long serialVersionUID = 7310453690417086402L;

	private Integer id;
	// 毕业时间
	private String bysj;
	// 袋号
	private String tag;
	// 电子档案存放路径
	private String files_path;

	// 电子档案存放路径
	private String byzy;

	private String dir; // 文件目录
	
	protected String root_path; // 文件根路径


	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getBysj() {
		return bysj;
	}

	public void setBysj(String bysj) {
		this.bysj = bysj;
	}

	public String getTag() {
		return tag;
	}

	public void setTag(String tag) {
		this.tag = tag;
	}

	public String getFiles_path() {
		return files_path;
	}

	public void setFiles_path(String files_path) {
		this.files_path = files_path;
	}

	public String getRoot_path() {
		return root_path;
	}

	public void setRoot_path(String root_path) {
		this.root_path = root_path;
	}

	public String getByzy() {
		return byzy;
	}

	public void setByzy(String byzy) {
		this.byzy = byzy;
	}

	public String getDir() {
		return dir;
	}

	public void setDir(String dir) {
		this.dir = dir;
	}

}