package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

import java.time.LocalDate;

/**
 * 外省考生转入成绩表 湖北表：EG_T_KSCJ 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:15
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_turn_in_score", keyColumn = "id", sequenceName = "SEQ_by_turn_in_score")
public class ByTurnInScore implements Serializable {
	private static final long serialVersionUID = -8352741927001459921L;
  	//成绩
  	private String bk_cj;
  	//考次号
  	private String et_dm;
  	//合格时间
  	private LocalDate hg_sj;
  	//合格原因代码 0—统考，1—转入，2—实践课，3—学习成果认证，4—特批，5—其它
  	private String hg_yydm;
  	//主键
  	private Integer id;
  	//课程笔记信息
  	private String kc_bjxx;
  	//课程代码
  	private String kc_dm;
  	//课程名称
  	private String kc_mc;
  	//课程学分
  	private String kc_xf;
  	//准考证号
  	private String ks_zkz;
  	//身份证号
  	private String pt_bh;
  	//转考时间配置ID 和转考时间配置表关联
  	private Integer time_config_id;
  
	/**
	 * 成绩
	 */	
  	public void setBk_cj(String bk_cj) {
		this.bk_cj = bk_cj;
  	}
 	/**
	 * 成绩
	 */	 	
  	public String getBk_cj() {
		return bk_cj;
  	}
	/**
	 * 考次号
	 */	
  	public void setEt_dm(String et_dm) {
		this.et_dm = et_dm;
  	}
 	/**
	 * 考次号
	 */	 	
  	public String getEt_dm() {
		return et_dm;
  	}
	/**
	 * 合格时间
	 */	
  	public void setHg_sj(LocalDate hg_sj) {
		this.hg_sj = hg_sj;
  	}
 	/**
	 * 合格时间
	 */	 	
  	public LocalDate getHg_sj() {
		return hg_sj;
  	}
	/**
	 * 合格原因代码 0—统考，1—转入，2—实践课，3—学习成果认证，4—特批，5—其它
	 */	
  	public void setHg_yydm(String hg_yydm) {
		this.hg_yydm = hg_yydm;
  	}
 	/**
	 * 合格原因代码 0—统考，1—转入，2—实践课，3—学习成果认证，4—特批，5—其它
	 */	 	
  	public String getHg_yydm() {
		return hg_yydm;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 课程笔记信息
	 */	
  	public void setKc_bjxx(String kc_bjxx) {
		this.kc_bjxx = kc_bjxx;
  	}
 	/**
	 * 课程笔记信息
	 */	 	
  	public String getKc_bjxx() {
		return kc_bjxx;
  	}
	/**
	 * 课程代码
	 */	
  	public void setKc_dm(String kc_dm) {
		this.kc_dm = kc_dm;
  	}
 	/**
	 * 课程代码
	 */	 	
  	public String getKc_dm() {
		return kc_dm;
  	}
	/**
	 * 课程名称
	 */	
  	public void setKc_mc(String kc_mc) {
		this.kc_mc = kc_mc;
  	}
 	/**
	 * 课程名称
	 */	 	
  	public String getKc_mc() {
		return kc_mc;
  	}
	/**
	 * 课程学分
	 */	
  	public void setKc_xf(String kc_xf) {
		this.kc_xf = kc_xf;
  	}
 	/**
	 * 课程学分
	 */	 	
  	public String getKc_xf() {
		return kc_xf;
  	}
	/**
	 * 准考证号
	 */	
  	public void setKs_zkz(String ks_zkz) {
		this.ks_zkz = ks_zkz;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getKs_zkz() {
		return ks_zkz;
  	}
	/**
	 * 身份证号
	 */	
  	public void setPt_bh(String pt_bh) {
		this.pt_bh = pt_bh;
  	}
 	/**
	 * 身份证号
	 */	 	
  	public String getPt_bh() {
		return pt_bh;
  	}
	/**
	 * 转考时间配置ID 和转考时间配置表关联
	 */	
  	public void setTime_config_id(Integer time_config_id) {
		this.time_config_id = time_config_id;
  	}
 	/**
	 * 转考时间配置ID 和转考时间配置表关联
	 */	 	
  	public Integer getTime_config_id() {
		return time_config_id;
  	}
}