package cn.hmsoft.ses.data.model.cf;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 考区表 模型.
 * 
 * @author: zq
 * @date: 2018-10-19 14:06:51
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "CF_AGENT_AREA", keyColumn = "id", sequenceName = "SEQ_CF_AGENT_AREA")
public class CfAgentArea implements Serializable {
	private static final long serialVersionUID = 2515476952390682979L;
  	//考区代号
  	private String agent_area_code;
  	//考区名称
  	private String agent_area_name;
  	//考区简称
  	private String agent_area_short_name;
  	//地市代号 考区所属地市
  	private String city_code;
  	//主键ID
  	private Integer id;
  
	/**
	 * 考区代号
	 */	
  	public void setAgent_area_code(String agent_area_code) {
		this.agent_area_code = agent_area_code;
  	}
 	/**
	 * 考区代号
	 */	 	
  	public String getAgent_area_code() {
		return agent_area_code;
  	}
	/**
	 * 考区名称
	 */	
  	public void setAgent_area_name(String agent_area_name) {
		this.agent_area_name = agent_area_name;
  	}
 	/**
	 * 考区名称
	 */	 	
  	public String getAgent_area_name() {
		return agent_area_name;
  	}
	/**
	 * 考区简称
	 */	
  	public void setAgent_area_short_name(String agent_area_short_name) {
		this.agent_area_short_name = agent_area_short_name;
  	}
 	/**
	 * 考区简称
	 */	 	
  	public String getAgent_area_short_name() {
		return agent_area_short_name;
  	}
	/**
	 * 地市代号 考区所属地市
	 */	
  	public void setCity_code(String city_code) {
		this.city_code = city_code;
  	}
 	/**
	 * 地市代号 考区所属地市
	 */	 	
  	public String getCity_code() {
		return city_code;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
}