package cn.hmsoft.ses.data.model.cf;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 自考业务时间配置模型.
 * 
 * @author: 
 * @date: 2018-11-13 17:30:39
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "CF_OPERATE_TIME", keyColumn = "id", sequenceName = "SEQ_CF_OPERATE_TIME")
public class CfOperateTime implements Serializable {
	private static final long serialVersionUID = -1169865589285755205L;
	
	/**
	 * 主键
	 */
	private Integer id;
	/**
	 * 业务类型
	 */
	private Integer oper_type;
	
	/**
	 * 时间配置ID
	 */
	private Integer exam_time_id;
	/**
	 * 开始时间
	 */
	private LocalDateTime start_time;
	/**
	 * 结束时间
	 */
	private LocalDateTime end_time;
	
	protected String oper_type_name;
	protected String year_code;
	protected String color;
	protected String exam_year;
	protected String exam_month;
	
	public String getExam_year() {
		return exam_year;
	}
	public void setExam_year(String exam_year) {
		this.exam_year = exam_year;
	}
	public String getExam_month() {
		return exam_month;
	}
	public void setExam_month(String exam_month) {
		this.exam_month = exam_month;
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}
	public String getYear_code() {
		return year_code;
	}
	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}
	public String getOper_type_name() {
		return oper_type_name;
	}
	public void setOper_type_name(String oper_type_name) {
		this.oper_type_name = oper_type_name;
	}
	public Integer getId() {
		return id;
	}
	public Integer getOper_type() {
		return oper_type;
	}
	public Integer getExam_time_id() {
		return exam_time_id;
	}
	public LocalDateTime getStart_time() {
		return start_time;
	}
	public LocalDateTime getEnd_time() {
		return end_time;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public void setOper_type(Integer oper_type) {
		this.oper_type = oper_type;
	}
	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
	}
	public void setStart_time(LocalDateTime start_time) {
		this.start_time = start_time;
	}
	public void setEnd_time(LocalDateTime end_time) {
		this.end_time = end_time;
	}
}