package cn.hmsoft.ses.data.model.kj;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 校考成绩批次 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-04-30 22:12:07
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kj_college_batch_info", keyColumn = "id", sequenceName = "SEQ_kj_college_batch_info")
public class KjCollegeBatchInfo implements Serializable {
	private static final long serialVersionUID = 7204870434915020682L;
  	//批次名称
  	private String batch_name;
  	//主键
  	private Integer id;
  	//备注
  	private String remark;
  	//年度码
  	private Integer year_code;
    //分数类型
  	private Integer score_type;
	/**
	 * 批次名称
	 */	
  	public void setBatch_name(String batch_name) {
		this.batch_name = batch_name;
  	}
 	/**
	 * 批次名称
	 */	 	
  	public String getBatch_name() {
		return batch_name;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 年度码
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
  	
  	//
  	protected String batchCaption;

	public String getBatchCaption() {
		return batchCaption;
	}
	public void setBatchCaption(String batchCaption) {
		this.batchCaption = batchCaption;
	}
	public Integer getScore_type() {
		return score_type;
	}
	public void setScore_type(Integer score_type) {
		this.score_type = score_type;
	}
}