package cn.hmsoft.ses.data.model.kj;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 学校成绩明细 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-04-17 08:25:40
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KJ_COLLEGE_SCORE_DETAIL_MISSING", keyColumn = "id", sequenceName = "SEQ_kj_college_score_detail")
public class KjCollegeScoreDetailMissing implements Serializable {
	private static final long serialVersionUID = 2213111462271066275L;
  	//课程id
  	private Integer course_id;
  	//主键
  	private Integer id;
  	//专业id
  	private Integer major_id;
  	//专业代码
  	private String major_code;
  	//成绩
  	private String score;
  	//考生ID
  	private Integer std_reg_id;
  	//准考证号
  	private String ticket_no;
  	//remark
  	private String remark;
  	//school_id
  	private Integer school_id;
  	//衔接学校
  	private Integer join_school_id;
  	private String join_school_code;
  	private String join_school_name;
  	
	//论文标题
  	private String paper_title;
  	//成绩类型
  	private Integer score_type;
  	//年度码
  	private Integer year_code;
  	//状态 0-待省级审核,1-审核通过,2-毕业已使用
  	private Integer status;
  	//0-校考成绩,1-衔接合成,2-网考合成
  	private Integer score_source;
  	
  	private String org_code;
  	private String org_name;
  	private Integer main_id;
  	private String score_type_name;
  	private Integer isrelease;
  	
  	
  	
  	public Integer getIsrelease() {
		return isrelease;
	}
	public void setIsrelease(Integer isrelease) {
		this.isrelease = isrelease;
	}
	public String getScore_type_name() {
		return score_type_name;
	}
	public void setScore_type_name(String score_type_name) {
		this.score_type_name = score_type_name;
	}
	public Integer getMain_id() {
		return main_id;
	}
	public void setMain_id(Integer main_id) {
		this.main_id = main_id;
	}
	public String getJoin_school_code() {
		return join_school_code;
	}
	public void setJoin_school_code(String join_school_code) {
		this.join_school_code = join_school_code;
	}
	

	public String getJoin_school_name() {
		return join_school_name;
	}
	public void setJoin_school_name(String join_school_name) {
		this.join_school_name = join_school_name;
	}
	
	
	/**
	 * 课程id
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程id
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业id
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业id
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 成绩
	 */	
  	public void setScore(String score) {
		this.score = score;
  	}
 	/**
	 * 成绩
	 */	 	
  	public String getScore() {
		return score;
  	}
	/**
	 * 考生ID
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
  	//-----
  	//身份证
  	protected String cert_no;
  	//学生姓名
  	protected String std_name;
  	//专业名称
  	protected String major_name;
  	//课程代码
  	protected String course_code;
  	private String course_name;
  	private String origin_score;
  	private String final_score;
  	private String std_rec_year_code;
  	private String scale;
  	private String rec_type;
  	
  	// 保密号
  	protected String bag_no;
  	// 座位号
  	protected String seat_no;
  	
  	// 成绩补合成校验标识 
  	protected String compose_flag;
  	
  	
	public String getCompose_flag() {
		return compose_flag;
	}
	public void setCompose_flag(String compose_flag) {
		this.compose_flag = compose_flag;
	}
	public String getSeat_no() {
		return seat_no;
	}
	public void setSeat_no(String seat_no) {
		this.seat_no = seat_no;
	}
	public String getBag_no() {
		return bag_no;
	}
	public void setBag_no(String bag_no) {
		this.bag_no = bag_no;
	}
	public String getOrg_code() {
		return org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}
	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public String getOrigin_score() {
		return origin_score;
	}
	public void setOrigin_score(String origin_score) {
		this.origin_score = origin_score;
	}
	public String getFinal_score() {
		return final_score;
	}
	public void setFinal_score(String final_score) {
		this.final_score = final_score;
	}
	public String getStd_rec_year_code() {
		return std_rec_year_code;
	}
	public void setStd_rec_year_code(String std_rec_year_code) {
		this.std_rec_year_code = std_rec_year_code;
	}
	public String getScale() {
		return scale;
	}
	public void setScale(String scale) {
		this.scale = scale;
	}
	public String getRec_type() {
		return rec_type;
	}
	public void setRec_type(String rec_type) {
		this.rec_type = rec_type;
	}
	public String getRemark() {
		return remark;
	}
	public String getCert_no() {
		return cert_no;
	}
	public String getStd_name() {
		return std_name;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	public String getMajor_code() {
		return major_code;
	}
	public String getMajor_name() {
		return major_name;
	}
	public String getCourse_code() {
		return course_code;
	}
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
	public Integer getSchool_id() {
		return school_id;
	}
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}
	public String getPaper_title() {
		return paper_title;
	}
	public void setPaper_title(String paper_title) {
		this.paper_title = paper_title;
	}
	public Integer getScore_type() {
		return score_type;
	}
	public void setScore_type(Integer score_type) {
		this.score_type = score_type;
	}
	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	public Integer getJoin_school_id() {
		return join_school_id;
	}
	public void setJoin_school_id(Integer join_school_id) {
		this.join_school_id = join_school_id;
	}
	public String getTicket_no() {
		return ticket_no;
	}
	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Integer getScore_source() {
		return score_source;
	}
	public void setScore_source(Integer score_source) {
		this.score_source = score_source;
	}
}