package cn.hmsoft.ses.data.model.kj;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 衔接学校和主考学校上报情况表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-06-25 14:25:01
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kj_college_score_school", keyColumn = "id", sequenceName = "SEQ_kj_college_score_school")
public class KjCollegeScoreSchool implements Serializable {
	private static final long serialVersionUID = -710812611066791723L;
  	//批次ID，和kj_college_batch_info表关联
  	private Integer batch_id;
  	//
  	private Integer id;
  	//衔接学校ID
  	private Integer join_school_id;
  	//主考学校ID
  	private Integer school_id;
  	//0：未上报，1：已上报
  	private Integer status;
  	//批次码
  	private Integer year_code;
  
	/**
	 * 批次ID，和kj_college_batch_info表关联
	 */	
  	public void setBatch_id(Integer batch_id) {
		this.batch_id = batch_id;
  	}
 	/**
	 * 批次ID，和kj_college_batch_info表关联
	 */	 	
  	public Integer getBatch_id() {
		return batch_id;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 衔接学校ID
	 */	
  	public void setJoin_school_id(Integer join_school_id) {
		this.join_school_id = join_school_id;
  	}
 	/**
	 * 衔接学校ID
	 */	 	
  	public Integer getJoin_school_id() {
		return join_school_id;
  	}
	/**
	 * 主考学校ID
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 0：未上报，1：已上报
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 0：未上报，1：已上报
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 批次码
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 批次码
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
  	
  	protected String org_name;

	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
  	
  	
}