package cn.hmsoft.ses.data.model.kj;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 课程成绩合成比例 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-06-20 17:12:12
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kj_course_ratio", keyColumn = "id", sequenceName = "SEQ_kj_course_ratio")
public class KjCourseRatio implements Serializable {
	private static final long serialVersionUID = -1524001918825563525L;
  	//申报形式 网络助学、专本衔接
  	private Integer score_type;
  	//课程ID
  	private Integer course_id;
  	//主键
  	private Integer id;
  	//专业ID
  	private Integer major_id;
  	//其他占比
  	private Integer other_ratio;
  	//学校ID
  	private Integer school_id;
  	//开始年度
  	private Integer start_year;
  	//状态(0-失效，1-生效)
  	private Integer status;
  	//统考占比
  	private Integer unified_ratio;
  	//年度码
  	private Integer year_code;
  	//专业代码
  	private String major_code;

	private String major_name;
	
	public String getMajor_name() {
		return major_name;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业ID
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 其他占比
	 */	
  	public void setOther_ratio(Integer other_ratio) {
		this.other_ratio = other_ratio;
  	}
 	/**
	 * 其他占比
	 */	 	
  	public Integer getOther_ratio() {
		return other_ratio;
  	}
	/**
	 * 学校ID
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 学校ID
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 开始年度
	 */	
  	public void setStart_year(Integer start_year) {
		this.start_year = start_year;
  	}
 	/**
	 * 开始年度
	 */	 	
  	public Integer getStart_year() {
		return start_year;
  	}
	/**
	 * 状态(0-失效，1-生效)
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态(0-失效，1-生效)
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 统考占比
	 */	
  	public void setUnified_ratio(Integer unified_ratio) {
		this.unified_ratio = unified_ratio;
  	}
 	/**
	 * 统考占比
	 */	 	
  	public Integer getUnified_ratio() {
		return unified_ratio;
  	}
	/**
	 * 年度码
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
  	
  	//
  	protected String course_code;
  	protected String course_name;

	public String getCourse_code() {
		return course_code;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public Integer getScore_type() {
		return score_type;
	}
	public void setScore_type(Integer score_type) {
		this.score_type = score_type;
	}
	public String getMajor_code() {
		return major_code;
	}
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
}