package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 考点表 模型.
 * 
 * @author: zq
 * @date: 2018-11-12 14:05:03
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_EXAM_POINT", keyColumn = "id", sequenceName = "SEQ_KW_EXAM_POINT")
public class KwExamPoint implements Serializable {
	private static final long serialVersionUID = -6780724306282423456L;
  	//考点编码
  	private String exam_code;
  	//考点名称
  	private String exam_name;
  	//考试时间ID
  	private Integer exam_time_id;
  	//主键
  	private Integer id;
  	//协管单位编码
  	private String mgr_code;
  	//协管单位ID
  	private Integer mgr_id;
  	//所属机构编码
  	private String org_code;
  	//所属机构ID
  	private Integer org_id;
  	//考点类型,除武汉，其他考点该类型都是1.
  	private Integer point_type;
  	//考点备注
  	private String remark;
  	
  	protected Integer year_code;
  	
	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	/**
	 * 考点编码
	 */	
  	public void setExam_code(String exam_code) {
		this.exam_code = exam_code;
  	}
 	/**
	 * 考点编码
	 */	 	
  	public String getExam_code() {
		return exam_code;
  	}
	/**
	 * 考点名称
	 */	
  	public void setExam_name(String exam_name) {
		this.exam_name = exam_name;
  	}
 	/**
	 * 考点名称
	 */	 	
  	public String getExam_name() {
		return exam_name;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 协管单位编码
	 */	
  	public void setMgr_code(String mgr_code) {
		this.mgr_code = mgr_code;
  	}
 	/**
	 * 协管单位编码
	 */	 	
  	public String getMgr_code() {
		return mgr_code;
  	}
	/**
	 * 协管单位ID
	 */	
  	public void setMgr_id(Integer mgr_id) {
		this.mgr_id = mgr_id;
  	}
 	/**
	 * 协管单位ID
	 */	 	
  	public Integer getMgr_id() {
		return mgr_id;
  	}
	/**
	 * 所属机构编码
	 */	
  	public void setOrg_code(String org_code) {
		this.org_code = org_code;
  	}
 	/**
	 * 所属机构编码
	 */	 	
  	public String getOrg_code() {
		return org_code;
  	}
	/**
	 * 所属机构ID
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 所属机构ID
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
	public Integer getPoint_type() {
		return point_type;
	}
	public void setPoint_type(Integer point_type) {
		this.point_type = point_type;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	//机构名称
	private String org_name;

	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	
	protected String unit_code; //考点单元code
	protected String unit_name; //考点单元名称
	protected Integer room_code; //考场代号
	protected String exam_times; //考试批次

	public String getUnit_code() {
		return unit_code;
	}

	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}

	public String getUnit_name() {
		return unit_name;
	}

	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}

	public Integer getRoom_code() {
		return room_code;
	}

	public void setRoom_code(Integer room_code) {
		this.room_code = room_code;
	}

	public String getExam_times() {
		return exam_times;
	}

	public void setExam_times(String exam_times) {
		this.exam_times = exam_times;
	}
	
	
}