package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 考务关系 模型.
 * 
 * @author: zq
 * @date: 2018-11-12 14:05:02
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_EXAM_RELATION", keyColumn = "id", sequenceName = "SEQ_KW_EXAM_RELATION")
public class KwExamRelation implements Serializable {
	private static final long serialVersionUID = -7755696983381183513L;
  	//主办学校机构ID 助学班才有
  	private Integer assist_org_id;
  	//考点ID
  	private Integer exam_point_id;
  	//所属市考办
  	private Integer city_area_id;
  	//学生来源考区ID
  	private Integer exam_area_id;
  	//考试时间ID
  	private Integer exam_time_id;
  	//主键
  	private Integer id;
  	//机构ID KW_DATA_MGT_UNIT.id
  	private Integer org_id;
  	//主考学校ID 助学班才有
  	private Integer school_id;
  	//状态 0-待市考办审批，1-生效，2-停用
  	private Integer status;
  
	/**
	 * 主办学校机构ID 助学班才有
	 */	
  	public void setAssist_org_id(Integer assist_org_id) {
		this.assist_org_id = assist_org_id;
  	}
 	/**
	 * 主办学校机构ID 助学班才有
	 */	 	
  	public Integer getAssist_org_id() {
		return assist_org_id;
  	}
	public Integer getExam_point_id() {
		return exam_point_id;
	}
	public void setExam_point_id(Integer exam_point_id) {
		this.exam_point_id = exam_point_id;
	}
	/**
	 * 所属市考办
	 */	
  	public void setCity_area_id(Integer city_area_id) {
		this.city_area_id = city_area_id;
  	}
 	/**
	 * 所属市考办
	 */	 	
  	public Integer getCity_area_id() {
		return city_area_id;
  	}
	/**
	 * 学生来源考区ID
	 */	
  	public void setExam_area_id(Integer exam_area_id) {
		this.exam_area_id = exam_area_id;
  	}
 	/**
	 * 学生来源考区ID
	 */	 	
  	public Integer getExam_area_id() {
		return exam_area_id;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}

	/**
	 * 主考学校ID 助学班才有
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID 助学班才有
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 状态 0-待市考办审批，1-生效，2-停用
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 0-待市考办审批，1-生效，2-停用
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	public Integer getOrg_id() {
		return org_id;
	}
	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
	}
}