package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 考点单元表 模型.
 * 
 * @author: zq
 * @date: 2018-11-12 14:05:01
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_EXAM_UNIT", keyColumn = "id", sequenceName = "SEQ_KW_EXAM_UNIT")
public class KwExamUnit implements Serializable {
	private static final long serialVersionUID = 5469701927842707226L;
  	//考点地址
  	private String adress;
  	//考点ID
  	private Integer exam_point_id;
  	//考试时间配置ID
  	private Integer exam_time_id;
  	//主键
  	private Integer id;
  	//机构ID
  	private Integer org_id;
  	//考点单元编码
  	private String unit_code;
  	//考点单元名
  	private String unit_name;
  	//备注
  	private String remark;
  	//考场容量
  	private Integer room_capacity;
  	//考场数
  	private Integer room_num;
  	//考点单元简称
  	private String short_name;
  	//状态 0-禁用，1-启用
  	private Integer status;
  	//优先级
  	private Integer priority;
  	//独立编排标志
  	private Integer alone_flag;
  	
  	private String unit_code_bz;
  	private String unit_name_bz;
  	// 关联特殊课程ID
  	private Integer course_id;
  	protected String course_name;
  	protected String full_name;

  	
	public String getFull_name() {
		return full_name;
	}
	public void setFull_name(String full_name) {
		this.full_name = full_name;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public Integer getCourse_id() {
		return course_id;
	}
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
	public String getUnit_code_bz() {
		return unit_code_bz;
	}
	public void setUnit_code_bz(String unit_code_bz) {
		this.unit_code_bz = unit_code_bz;
	}
	public String getUnit_name_bz() {
		return unit_name_bz;
	}
	public void setUnit_name_bz(String unit_name_bz) {
		this.unit_name_bz = unit_name_bz;
	}
	/**
	 * 考点地址
	 */	
  	public void setAdress(String adress) {
		this.adress = adress;
  	}
 	/**
	 * 考点地址
	 */	 	
  	public String getAdress() {
		return adress;
  	}
	/**
	 * 考点ID
	 */	
  	public void setExam_point_id(Integer exam_point_id) {
		this.exam_point_id = exam_point_id;
  	}
 	/**
	 * 考点ID
	 */	 	
  	public Integer getExam_point_id() {
		return exam_point_id;
  	}
	/**
	 * 考试时间配置ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间配置ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 机构ID
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 机构ID
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
	/**
	 * 考点单元编码
	 */	
  	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
  	}
 	/**
	 * 考点单元编码
	 */	 	
  	public String getUnit_code() {
		return unit_code;
  	}
	/**
	 * 考点单元名
	 */	
  	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
  	}
 	/**
	 * 考点单元名
	 */	 	
  	public String getUnit_name() {
		return unit_name;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 考场容量
	 */	
  	public void setRoom_capacity(Integer room_capacity) {
		this.room_capacity = room_capacity;
  	}
 	/**
	 * 考场容量
	 */	 	
  	public Integer getRoom_capacity() {
		return room_capacity;
  	}
	/**
	 * 考场数
	 */	
  	public void setRoom_num(Integer room_num) {
		this.room_num = room_num;
  	}
 	/**
	 * 考场数
	 */	 	
  	public Integer getRoom_num() {
		return room_num;
  	}
	/**
	 * 考点单元简称
	 */	
  	public void setShort_name(String short_name) {
		this.short_name = short_name;
  	}
 	/**
	 * 考点单元简称
	 */	 	
  	public String getShort_name() {
		return short_name;
  	}
	/**
	 * 状态 0-禁用，1-启用
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 0-禁用，1-启用
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	public Integer getPriority() {
		return priority;
	}
	public void setPriority(Integer priority) {
		this.priority = priority;
	}
	/**
	 * 是否独立编排，0：否；1：是
	 */	
	public Integer getAlone_flag() {
		return alone_flag;
	}
	/**
	 * 是否独立编排，0：否；1：是
	 */	
	public void setAlone_flag(Integer alone_flag) {
		this.alone_flag = alone_flag;
	}

	//机构名称
	private String org_name;

	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	
	protected String unit_full_name;

	public String getUnit_full_name() {
		return unit_full_name;
	}

	public void setUnit_full_name(String unit_full_name) {
		this.unit_full_name = unit_full_name;
	}
	

	
}