package cn.hmsoft.ses.data.model.kw;

import java.time.LocalDate;

/**
 * 考生报名待编排基础模型.
 * @author zq
 *
 */
public class KwLayoutBase {

	private Integer course_id;
	private String course_code;
	private String course_name;
	private String cert_no;
	private Integer reg_id;
	private Integer num;
	private LocalDate exam_first_day;
	private LocalDate exam_second_day;
	private LocalDate exam_third_day;
	private Integer exam_area_id;
	private Integer mgr_org_id;
	private Integer city_area_id;
	private Integer exam_point_id;
	private Integer school_id;
	private String school_code;
	private Integer assist_org_id;
	private String help_code;
	private Integer exam_time_id;
	private String exam_batch;
	private Integer enrol_id;
	private String ticket_no;
	private String std_name;
	private Integer status;
	private Integer point_type;
	
	public Integer getCourse_id() {
		return course_id;
	}
	public String getCourse_code() {
		return course_code;
	}
	public String getCourse_name() {
		return course_name;
	}
	public String getCert_no() {
		return cert_no;
	}
	public Integer getReg_id() {
		return reg_id;
	}
	public Integer getNum() {
		return num;
	}
	public LocalDate getExam_first_day() {
		return exam_first_day;
	}
	public LocalDate getExam_second_day() {
		return exam_second_day;
	}
	public LocalDate getExam_third_day() {
		return exam_third_day;
	}
	public Integer getExam_area_id() {
		return exam_area_id;
	}
	public Integer getMgr_org_id() {
		return mgr_org_id;
	}
	public Integer getCity_area_id() {
		return city_area_id;
	}
	public Integer getExam_point_id() {
		return exam_point_id;
	}
	public Integer getSchool_id() {
		return school_id;
	}
	public String getSchool_code() {
		return school_code;
	}
	public Integer getAssist_org_id() {
		return assist_org_id;
	}
	public String getHelp_code() {
		return help_code;
	}
	public Integer getExam_time_id() {
		return exam_time_id;
	}
	public String getExam_batch() {
		return exam_batch;
	}
	public Integer getEnrol_id() {
		return enrol_id;
	}
	public String getTicket_no() {
		return ticket_no;
	}
	public String getStd_name() {
		return std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	public Integer getStatus() {
		return status;
	}
	public Integer getPoint_type() {
		return point_type;
	}
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}
	public void setReg_id(Integer reg_id) {
		this.reg_id = reg_id;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	public void setExam_first_day(LocalDate exam_first_day) {
		this.exam_first_day = exam_first_day;
	}
	public void setExam_second_day(LocalDate exam_second_day) {
		this.exam_second_day = exam_second_day;
	}
	public void setExam_third_day(LocalDate exam_third_day) {
		this.exam_third_day = exam_third_day;
	}
	public void setExam_area_id(Integer exam_area_id) {
		this.exam_area_id = exam_area_id;
	}
	public void setMgr_org_id(Integer mgr_org_id) {
		this.mgr_org_id = mgr_org_id;
	}
	public void setCity_area_id(Integer city_area_id) {
		this.city_area_id = city_area_id;
	}
	public void setExam_point_id(Integer exam_point_id) {
		this.exam_point_id = exam_point_id;
	}
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}
	public void setSchool_code(String school_code) {
		this.school_code = school_code;
	}
	public void setAssist_org_id(Integer assist_org_id) {
		this.assist_org_id = assist_org_id;
	}
	public void setHelp_code(String help_code) {
		this.help_code = help_code;
	}
	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
	}
	public void setExam_batch(String exam_batch) {
		this.exam_batch = exam_batch;
	}
	public void setEnrol_id(Integer enrol_id) {
		this.enrol_id = enrol_id;
	}
	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public void setPoint_type(Integer point_type) {
		this.point_type = point_type;
	}
	
}
