package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 编排详情 模型.
 * 
 * @author: zq
 * @date: 2018-11-12 14:05:00
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_LAYOUT_DETAIL", keyColumn = "id", sequenceName = "SEQ_KW_LAYOUT_DETAIL")
public class KwLayoutDetail implements Serializable {
	private static final long serialVersionUID = 886797989809945907L;

  	//课程ID
  	private Integer course_id;
  	//考试时间ID
  	private Integer exam_time_id;
  	//主键
  	private Integer id;
  	//学生注册ID
  	private Integer reg_id;
  	//编排房间ID kw_layout_room.id
  	private Integer room_id;
  	//座位号
  	private Integer seat_no;
  	//报名ID
  	private Integer enrol_id;
  	//准考证号
  	private String ticket_no;
  	//身份证号
  	private String cert_no;
  	//学生姓名
  	private String std_name;
  	private String room_name;
  	
	public String getRoom_name() {
		return room_name;
	}
	public void setRoom_name(String room_name) {
		this.room_name = room_name;
	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 身份证号
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 身份证号
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 学生注册ID
	 */	
  	public void setReg_id(Integer reg_id) {
		this.reg_id = reg_id;
  	}
 	/**
	 * 学生注册ID
	 */	 	
  	public Integer getReg_id() {
		return reg_id;
  	}
	/**
	 * 编排房间ID kw_layout_room.id
	 */	
  	public void setRoom_id(Integer room_id) {
		this.room_id = room_id;
  	}
 	/**
	 * 编排房间ID kw_layout_room.id
	 */	 	
  	public Integer getRoom_id() {
		return room_id;
  	}
	/**
	 * 座位号
	 */	
  	public void setSeat_no(Integer seat_no) {
		this.seat_no = seat_no;
  	}
 	/**
	 * 座位号
	 */	 	
  	public Integer getSeat_no() {
		return seat_no;
  	}
	public String getStd_name() {
		return std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
  	//课程代码
  	protected String course_code;
  	/**
  	 * 报名ID.
  	 */
	public Integer getEnrol_id() {
		return enrol_id;
	}
  	/**
  	 * 报名ID.
  	 */
	public void setEnrol_id(Integer enrol_id) {
		this.enrol_id = enrol_id;
	}
  	/**
  	 * 课程代码.
  	 */
	public String getCourse_code() {
		return course_code;
	}
  	/**
  	 * 课程代码.
  	 */
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}

	//-----------------------------------------
	protected String exam_times;//2019041
	protected String exam_batch;//1,2,3,4
	protected Integer exam_unit_id;
	protected Integer room_code;
	protected String course_name;
	protected String photo_url;
	protected String bar_code;
	protected String org_code;
	protected String unit_name;
	protected String major_code;
	protected String unit_code_bz;
	protected String unit_name_bz;
	private Integer year_code;
	private String unit_code;
	private String full_year_code; //批次+考试时间
	
  	public String getUnit_code_bz() {
		return unit_code_bz;
	}
	public void setUnit_code_bz(String unit_code_bz) {
		this.unit_code_bz = unit_code_bz;
	}
	public String getUnit_name_bz() {
		return unit_name_bz;
	}
	public void setUnit_name_bz(String unit_name_bz) {
		this.unit_name_bz = unit_name_bz;
	}
	/**
  	 * 课程名称.
  	 */
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
  	/**
  	 * 课程名称.
  	 */
	public String getCourse_name() {
		return course_name;
	}
	public String getExam_times() {
		return exam_times;
	}
	public Integer getExam_unit_id() {
		return exam_unit_id;
	}
	public Integer getRoom_code() {
		return room_code;
	}
	public void setExam_times(String exam_times) {
		this.exam_times = exam_times;
	}
	public void setExam_unit_id(Integer exam_unit_id) {
		this.exam_unit_id = exam_unit_id;
	}
	public void setRoom_code(Integer room_code) {
		this.room_code = room_code;
	}
	public String getPhoto_url() {
		return photo_url;
	}
	public void setPhoto_url(String photo_url) {
		this.photo_url = photo_url;
	}
	public String getBar_code() {
		return bar_code;
	}
	public void setBar_code(String bar_code) {
		this.bar_code = bar_code;
	}
	public String getOrg_code() {
		return org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}
	public String getUnit_name() {
		return unit_name;
	}
	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}
	public String getExam_batch() {
		return exam_batch;
	}
	public void setExam_batch(String exam_batch) {
		this.exam_batch = exam_batch;
	}
	public String getMajor_code() {
		return major_code;
	}
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	public String getUnit_code() {
		return unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}
	public String getFull_year_code() {
		return full_year_code;
	}
	public void setFull_year_code(String full_year_code) {
		this.full_year_code = full_year_code;
	}
	
	
	
}