package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 考务编排监控模型.
 * 
 * @author: zhanqiang
 * @date: 2019-06-24 17:15:50
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kw_layout_monitor", keyColumn = "id", sequenceName = "SEQ_kw_layout_monitor")
public class KwLayoutMonitor implements Serializable {
	private static final long serialVersionUID = 2313060803939913974L;
  
	private Integer id;
	private Integer exam_time_id;
	private Integer exam_area_id;
	private Integer layout_status;
	private Integer user_id;
	private LocalDateTime layout_time;
	private Integer exam_point_id;
	
	public Integer getId() {
		return id;
	}
	public Integer getExam_time_id() {
		return exam_time_id;
	}
	public Integer getExam_area_id() {
		return exam_area_id;
	}
	public Integer getLayout_status() {
		return layout_status;
	}
	public Integer getUser_id() {
		return user_id;
	}
	public LocalDateTime getLayout_time() {
		return layout_time;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
	}
	public void setExam_area_id(Integer exam_area_id) {
		this.exam_area_id = exam_area_id;
	}
	public void setLayout_status(Integer layout_status) {
		this.layout_status = layout_status;
	}
	public void setUser_id(Integer user_id) {
		this.user_id = user_id;
	}
	public void setLayout_time(LocalDateTime layout_time) {
		this.layout_time = layout_time;
	}
	public Integer getExam_point_id() {
		return exam_point_id;
	}
	public void setExam_point_id(Integer exam_point_id) {
		this.exam_point_id = exam_point_id;
	}
	
	//
}