package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 编排考场信息 模型.
 * 
 * @author: zq
 * @date: 2018-11-12 14:04:59
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_LAYOUT_ROOM", keyColumn = "id", sequenceName = "SEQ_KW_LAYOUT_ROOM")
public class KwLayoutRoom implements Serializable {
	private static final long serialVersionUID = 4477117541384351671L;
  	//编排人数 编排人数，30人满
  	private Integer layout_num;
  	//试卷数份数10 默认为0
  	private Integer bag_10;
  	//试卷数份数15 默认为0
  	private Integer bag_15;
  	//试卷数份数20 默认为0
  	private Integer bag_20;
  	//试卷数份数25 默认为0
  	private Integer bag_25;
  	//试卷数份数30 默认为0
  	private Integer bag_30;
  	//试卷数份数5 默认为0
  	private Integer bag_5;
  	//考场课程数
  	private Integer course_num;
  	//考点ID kw_exam_point.id
  	private Integer exam_point_id;
  	//考试时间ID
  	private Integer exam_time_id;
  	//考点单元ID kw_exam_unit.id
  	private Integer exam_unit_id;
  	//主键
  	private Integer id;
  	//是否编排满 0-否，1-编排满
  	private Integer is_seat_all;
  	//编排主表ID kw_b_layout.id
  	private Integer layout_id;
  	//房间编号 从1顺序往下编
  	private Integer room_code;
  	//状态
  	private Integer status;
  	//考场地址
  	private String exam_addr;
  	/**
  	 * 编排人数.
  	 */
	public Integer getLayout_num() {
		return layout_num;
	}
	/**
	 * 编排人数.
	 */
	public void setLayout_num(Integer layout_num) {
		this.layout_num = layout_num;
	}
	/**
	 * 试卷数份数10 默认为0
	 */	
  	public void setBag_10(Integer bag_10) {
		this.bag_10 = bag_10;
  	}
 	/**
	 * 试卷数份数10 默认为0
	 */	 	
  	public Integer getBag_10() {
		return bag_10;
  	}
	/**
	 * 试卷数份数15 默认为0
	 */	
  	public void setBag_15(Integer bag_15) {
		this.bag_15 = bag_15;
  	}
 	/**
	 * 试卷数份数15 默认为0
	 */	 	
  	public Integer getBag_15() {
		return bag_15;
  	}
	/**
	 * 试卷数份数20 默认为0
	 */	
  	public void setBag_20(Integer bag_20) {
		this.bag_20 = bag_20;
  	}
 	/**
	 * 试卷数份数20 默认为0
	 */	 	
  	public Integer getBag_20() {
		return bag_20;
  	}
	/**
	 * 试卷数份数25 默认为0
	 */	
  	public void setBag_25(Integer bag_25) {
		this.bag_25 = bag_25;
  	}
 	/**
	 * 试卷数份数25 默认为0
	 */	 	
  	public Integer getBag_25() {
		return bag_25;
  	}
	/**
	 * 试卷数份数30 默认为0
	 */	
  	public void setBag_30(Integer bag_30) {
		this.bag_30 = bag_30;
  	}
 	/**
	 * 试卷数份数30 默认为0
	 */	 	
  	public Integer getBag_30() {
		return bag_30;
  	}
	/**
	 * 试卷数份数5 默认为0
	 */	
  	public void setBag_5(Integer bag_5) {
		this.bag_5 = bag_5;
  	}
 	/**
	 * 试卷数份数5 默认为0
	 */	 	
  	public Integer getBag_5() {
		return bag_5;
  	}
	/**
	 * 考场课程数
	 */	
  	public void setCourse_num(Integer course_num) {
		this.course_num = course_num;
  	}
 	/**
	 * 考场课程数
	 */	 	
  	public Integer getCourse_num() {
		return course_num;
  	}
	/**
	 * 考点ID kw_exam_point.id
	 */	
  	public void setExam_point_id(Integer exam_point_id) {
		this.exam_point_id = exam_point_id;
  	}
 	/**
	 * 考点ID kw_exam_point.id
	 */	 	
  	public Integer getExam_point_id() {
		return exam_point_id;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 考点单元ID kw_exam_unit.id
	 */	
  	public void setExam_unit_id(Integer exam_unit_id) {
		this.exam_unit_id = exam_unit_id;
  	}
 	/**
	 * 考点单元ID kw_exam_unit.id
	 */	 	
  	public Integer getExam_unit_id() {
		return exam_unit_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 是否编排满 0-否，1-编排满
	 */	
  	public void setIs_seat_all(Integer is_seat_all) {
		this.is_seat_all = is_seat_all;
  	}
 	/**
	 * 是否编排满 0-否，1-编排满
	 */	 	
  	public Integer getIs_seat_all() {
		return is_seat_all;
  	}
	/**
	 * 编排主表ID kw_b_layout.id
	 */	
  	public void setLayout_id(Integer layout_id) {
		this.layout_id = layout_id;
  	}
 	/**
	 * 编排主表ID kw_b_layout.id
	 */	 	
  	public Integer getLayout_id() {
		return layout_id;
  	}
	/**
	 * 房间编号 从1顺序往下编
	 */	
  	public void setRoom_code(Integer room_code) {
		this.room_code = room_code;
  	}
 	/**
	 * 房间编号 从1顺序往下编
	 */	 	
  	public Integer getRoom_code() {
		return room_code;
  	}
	/**
	 * 状态
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
  	private Integer course_id;
  	//课程代码
  	private String course_code;
  	//课程名称
  	protected String course_name;
  	//考生数
  	protected Integer stu_num;
  	//考场课程描述
  	protected String course_desc;
  	protected String exam_times;
  	protected String unit_name;
  	
	public String getCourse_code() {
		return course_code;
	}
	public String getCourse_name() {
		return course_name;
	}
	public Integer getStu_num() {
		return stu_num;
	}
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public void setStu_num(Integer stu_num) {
		this.stu_num = stu_num;
	}
	public Integer getCourse_id() {
		return course_id;
	}
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
	public String getCourse_desc() {
		return course_desc;
	}
	public void setCourse_desc(String course_desc) {
		this.course_desc = course_desc;
	}
	public String getExam_times() {
		return exam_times;
	}
	public void setExam_times(String exam_times) {
		this.exam_times = exam_times;
	}
	public String getUnit_name() {
		return unit_name;
	}
	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}
	public String getExam_addr() {
		return exam_addr;
	}
	public void setExam_addr(String exam_addr) {
		this.exam_addr = exam_addr;
	}
  	
}