package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import java.time.LocalDate;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 考场试卷袋明细 模型.
 * 
 * @author: zq
 * @date: 2018-11-12 14:04:59
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_LAYOUT_VOLUME_COURSE", keyColumn = "id", sequenceName = "SEQ_KW_LAYOUT_VOLUME_COURSE")
public class KwLayoutVolumeCourse implements Serializable {
	private static final long serialVersionUID = 1206430659781588717L;
  	//课程ID
  	private Integer course_id;
  	//主键
  	private Integer id;
  	//每袋试卷数
  	private Integer bag_capacity;
  	//编排房间ID
  	private Integer room_id;
  	//保密号
  	private String security_code; 
  	//考试人数
  	private Integer stu_num;
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}

	public Integer getBag_capacity() {
		return bag_capacity;
	}
	public void setBag_capacity(Integer bag_capacity) {
		this.bag_capacity = bag_capacity;
	}
	/**
	 * 编排房间ID
	 */	
  	public void setRoom_id(Integer room_id) {
		this.room_id = room_id;
  	}
 	/**
	 * 编排房间ID
	 */	 	
  	public Integer getRoom_id() {
		return room_id;
  	}
  	//考点单元
  	protected Integer point_id;
  	protected String exam_code;
  	protected String exam_name;
  	protected Integer unit_id;
  	protected String unit_code;
  	protected String unit_name;
  	//课程代码
  	protected String course_code;
  	//课程名称
  	protected String course_name;
  	//考试时间
  	protected String exam_times;
  	//试卷数
  	protected Integer sjs;
  	//订卷袋数
  	protected Integer djds;
  	//一袋5张-袋数
  	protected Integer bag5;
  	//一袋10张-袋数
  	protected Integer bag10;
  	//一袋15张-袋数
  	protected Integer bag15;
  	//一袋20张-袋数
  	protected Integer bag20;
  	//一袋25张-袋数
  	protected Integer bag25;
  	//一袋30张-袋数
  	protected Integer bag30;
  	//第一天
  	protected LocalDate exam_first_day;
  	protected LocalDate exam_second_day;
  	protected LocalDate exam_third_day;
  	
  	//地市
  	protected String city_name;
  	//考区代号
  	protected String exam_area_code;
  	//考区名称
  	protected String exam_area_name;
  	//考场编码
  	protected String room_code;
	//考场名称
  	protected String room_name;
  	
	public Integer getStu_num() {
		return stu_num;
	}
	public void setStu_num(Integer stu_num) {
		this.stu_num = stu_num;
	}
	public String getSecurity_code() {
		return security_code;
	}
	public void setSecurity_code(String security_code) {
		this.security_code = security_code;
	}
	public String getCourse_code() {
		return course_code;
	}
	public String getCourse_name() {
		return course_name;
	}
	public String getExam_times() {
		return exam_times;
	}
	
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public void setExam_times(String exam_times) {
		this.exam_times = exam_times;
	}
	
	public LocalDate getExam_first_day() {
		return exam_first_day;
	}
	public LocalDate getExam_second_day() {
		return exam_second_day;
	}
	public LocalDate getExam_third_day() {
		return exam_third_day;
	}
	public void setExam_first_day(LocalDate exam_first_day) {
		this.exam_first_day = exam_first_day;
	}
	public Integer getPoint_id() {
		return point_id;
	}
	public String getExam_code() {
		return exam_code;
	}
	public String getExam_name() {
		return exam_name;
	}
	public Integer getUnit_id() {
		return unit_id;
	}
	public String getUnit_code() {
		return unit_code;
	}
	public String getUnit_name() {
		return unit_name;
	}
	public void setPoint_id(Integer point_id) {
		this.point_id = point_id;
	}
	public void setExam_code(String exam_code) {
		this.exam_code = exam_code;
	}
	public void setExam_name(String exam_name) {
		this.exam_name = exam_name;
	}
	public void setUnit_id(Integer unit_id) {
		this.unit_id = unit_id;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}
	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}
	public void setExam_second_day(LocalDate exam_second_day) {
		this.exam_second_day = exam_second_day;
	}
	public void setExam_third_day(LocalDate exam_third_day) {
		this.exam_third_day = exam_third_day;
	}
	public Integer getSjs() {
		return sjs;
	}
	public Integer getDjds() {
		return djds;
	}
	public Integer getBag5() {
		return bag5;
	}
	public Integer getBag10() {
		return bag10;
	}
	public Integer getBag15() {
		return bag15;
	}
	public Integer getBag20() {
		return bag20;
	}
	public Integer getBag25() {
		return bag25;
	}
	public Integer getBag30() {
		return bag30;
	}
	public void setSjs(Integer sjs) {
		this.sjs = sjs;
	}
	public void setDjds(Integer djds) {
		this.djds = djds;
	}
	public void setBag5(Integer bag5) {
		this.bag5 = bag5;
	}
	public void setBag10(Integer bag10) {
		this.bag10 = bag10;
	}
	public void setBag15(Integer bag15) {
		this.bag15 = bag15;
	}
	public void setBag20(Integer bag20) {
		this.bag20 = bag20;
	}
	public void setBag25(Integer bag25) {
		this.bag25 = bag25;
	}
	public void setBag30(Integer bag30) {
		this.bag30 = bag30;
	}
	public String getCity_name() {
		return city_name;
	}
	public String getExam_area_code() {
		return exam_area_code;
	}
	public String getExam_area_name() {
		return exam_area_name;
	}
	public String getRoom_code() {
		return room_code;
	}
	public String getRoom_name() {
		return room_name;
	}
	public void setCity_name(String city_name) {
		this.city_name = city_name;
	}
	public void setExam_area_code(String exam_area_code) {
		this.exam_area_code = exam_area_code;
	}
	public void setExam_area_name(String exam_area_name) {
		this.exam_area_name = exam_area_name;
	}
	public void setRoom_code(String room_code) {
		this.room_code = room_code;
	}
	public void setRoom_name(String room_name) {
		this.room_name = room_name;
	}
}