package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 考务协管单位 模型.
 * 
 * @author: zq
 * @date: 2018-11-12 14:04:58
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_MANAGE_UNIT", keyColumn = "id", sequenceName = "SEQ_KW_MANAGE_UNIT")
public class KwManageUnit implements Serializable {
	private static final long serialVersionUID = 4998247612591437810L;
  	//创建机构ID
  	private Integer create_org_id;
  	//创建时间
  	private LocalDate create_time;
  	//考区ID
  	private Integer exam_area_id;
  	//考试时间ID
  	private Integer exam_time_id;
  	//主键
  	private Integer id;
  	//协管单位编码
  	private String mgr_code;
  	//协管单位名称
  	private String mgr_name;
  	//所属机构ID
  	private Integer org_id;
  
	/**
	 * 创建机构ID
	 */	
  	public void setCreate_org_id(Integer create_org_id) {
		this.create_org_id = create_org_id;
  	}
 	/**
	 * 创建机构ID
	 */	 	
  	public Integer getCreate_org_id() {
		return create_org_id;
  	}
	/**
	 * 创建时间
	 */	
  	public void setCreate_time(LocalDate create_time) {
		this.create_time = create_time;
  	}
 	/**
	 * 创建时间
	 */	 	
  	public LocalDate getCreate_time() {
		return create_time;
  	}
	/**
	 * 考区ID
	 */	
  	public void setExam_area_id(Integer exam_area_id) {
		this.exam_area_id = exam_area_id;
  	}
 	/**
	 * 考区ID
	 */	 	
  	public Integer getExam_area_id() {
		return exam_area_id;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 协管单位编码
	 */	
  	public void setMgr_code(String mgr_code) {
		this.mgr_code = mgr_code;
  	}
 	/**
	 * 协管单位编码
	 */	 	
  	public String getMgr_code() {
		return mgr_code;
  	}
	/**
	 * 协管单位名称
	 */	
  	public void setMgr_name(String mgr_name) {
		this.mgr_name = mgr_name;
  	}
 	/**
	 * 协管单位名称
	 */	 	
  	public String getMgr_name() {
		return mgr_name;
  	}
	/**
	 * 所属机构ID
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 所属机构ID
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
}