package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  特殊课程编排-临时表.
 * 
 * @author: haoguanghui
 * @date: 2019-04-01 17:31:53
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kw_special_tempdata", keyColumn = "id", sequenceName = "SEQ_kw_special_tempdata")
public class KwSpecialTempdata implements Serializable {
	private static final long serialVersionUID = 6718250360193161975L;
  	//课程ID
  	private Integer course_id;
  	//考试批次A\B\C\D
  	private String exam_batch;
  	//考点ID
  	private Integer exam_point_id;
  	//报考人数
  	private Integer person_num;
  	//已经编排的人数
  	private Integer ready_num;
  	//特殊课程标志
  	private Integer special_flag;
  
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 考试批次A\B\C\D
	 */	
  	public void setExam_batch(String exam_batch) {
		this.exam_batch = exam_batch;
  	}
 	/**
	 * 考试批次A\B\C\D
	 */	 	
  	public String getExam_batch() {
		return exam_batch;
  	}
	/**
	 * 考点ID
	 */	
  	public void setExam_point_id(Integer exam_point_id) {
		this.exam_point_id = exam_point_id;
  	}
 	/**
	 * 考点ID
	 */	 	
  	public Integer getExam_point_id() {
		return exam_point_id;
  	}
	/**
	 * 报考人数
	 */	
  	public void setPerson_num(Integer person_num) {
		this.person_num = person_num;
  	}
 	/**
	 * 报考人数
	 */	 	
  	public Integer getPerson_num() {
		return person_num;
  	}
	/**
	 * 已经编排的人数
	 */	
  	public void setReady_num(Integer ready_num) {
		this.ready_num = ready_num;
  	}
 	/**
	 * 已经编排的人数
	 */	 	
  	public Integer getReady_num() {
		return ready_num;
  	}
	/**
	 * 特殊课程标志
	 */	
  	public void setSpecial_flag(Integer special_flag) {
		this.special_flag = special_flag;
  	}
 	/**
	 * 特殊课程标志
	 */	 	
  	public Integer getSpecial_flag() {
		return special_flag;
  	}
}