package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 编排临时数据 模型.
 * 
 * @author: zq
 * @date: 2018-11-13 14:25:10
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_TEMPDATA", keyColumn = "", sequenceName = "")
public class KwTempData implements Serializable {
	private static final long serialVersionUID = 1859115692872319406L;

  	//考点ID
  	private Integer exam_point_id;
  	//考试时间标识
  	private String exam_batch;
  	//课程ID
  	private Integer course_id;
  	//人数
  	private Integer person_num;
  	//已排人数
  	private Integer ready_num;
  	
  	
	public Integer getExam_point_id() {
		return exam_point_id;
	}
	public String getExam_batch() {
		return exam_batch;
	}
	public Integer getCourse_id() {
		return course_id;
	}
	public Integer getPerson_num() {
		return person_num;
	}
	public Integer getReady_num() {
		return ready_num;
	}
	public void setExam_point_id(Integer exam_point_id) {
		this.exam_point_id = exam_point_id;
	}
	public void setExam_batch(String exam_batch) {
		this.exam_batch = exam_batch;
	}
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
	public void setPerson_num(Integer person_num) {
		this.person_num = person_num;
	}
	public void setReady_num(Integer ready_num) {
		this.ready_num = ready_num;
	}
  	
  	
}
