package cn.hmsoft.ses.data.model.mk;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: yangwei
 * @date: 2019-03-05 16:30:04
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "mk_cert_nedu_apply_course", keyColumn = "id", sequenceName = "SEQ_mk_cert_nedu_apply_course")
public class MkCertNeduApplyCourse implements Serializable {
	private static final long serialVersionUID = -9192193180238937577L;
	private Integer id;
  	//
  	private String course_code;
  	//
  	private Integer course_id;
  	//
  	private String course_name;
  	//
  	private Integer nedu_apply_id;
  	//
  	private Integer status;
  	private Integer std_reg_id;
  	private Integer org_id;
  	
  	protected String time_name;
  	
	public String getTime_name() {
		return time_name;
	}
	public void setTime_name(String time_name) {
		this.time_name = time_name;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 
	 */	
  	public void setCourse_name(String course_name) {
		this.course_name = course_name;
  	}
 	/**
	 * 
	 */	 	
  	public String getCourse_name() {
		return course_name;
  	}
	/**
	 * 
	 */	
  	public void setNedu_apply_id(Integer nedu_apply_id) {
		this.nedu_apply_id = nedu_apply_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getNedu_apply_id() {
		return nedu_apply_id;
  	}
	/**
	 * 
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	public Integer getStd_reg_id() {
		return std_reg_id;
	}
	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
	}
	public Integer getOrg_id() {
		return org_id;
	}
	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
	}
	
	
	protected String std_cert_no;
	protected String cert_no;
	protected String status_text;
	protected Integer score;

	public String getStd_cert_no() {
		return std_cert_no;
	}
	public void setStd_cert_no(String std_cert_no) {
		this.std_cert_no = std_cert_no;
	}
	public String getCert_no() {
		return cert_no;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}
	public Integer getScore() {
		return score;
	}
	public void setScore(Integer score) {
		this.score = score;
	}
	public String getStatus_text() {
		return status_text;
	}
	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}
	
	
	
  	
}