package cn.hmsoft.ses.data.model.mk;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: yangwei
 * @date: 2019-03-15 18:08:56
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "mk_pre_edu_apply", keyColumn = "id", sequenceName = "SEQ_mk_pre_edu_apply")
public class MkPreEduApply implements Serializable {
	private static final long serialVersionUID = 4907232129185143702L;
  	//
  	private String cert_no;
  	//
  	private Integer cert_type_id;
  	//
  	private Integer course_catalog;
  	//
  	private String edu_cert_file_path;
  	//
  	private String edu_level;
  	//
  	private Integer edu_type;
  	//
  	private String edu_verify_rep_file_path;
  	//
  	private String fam_reg_file_path;
  	//
  	private Integer id;
  	//
  	private String input_cert_no;
  	//
  	private String input_std_name;
  	//
  	private String in_school_date;
  	//
  	private Integer is_verify;
  	//
  	private String major_name;
  	//
  	private String out_school_date;
  	//
  	private String pub_verify_file_path;
  	//
  	private String remark;
  	//
  	private String source_unit;
  	//
  	private Integer status;
  	//
  	private String std_cert_file_path;
  	//
  	private String std_cert_no;
  	//
  	private String std_name;
  	//
  	private Integer std_reg_id;
  	//
  	private String ticket_no;
  	//
  	private String verify1_person;
  	//
  	private String verify1_remark;
  	//
  	private String verify1_time;
  	//
  	private String verify2_person;
  	//
  	private String verify2_remark;
  	//
  	private String verify2_time;
  	
  	private Integer time_config_id;
  	
  	private String apply_time;
  
	public String getApply_time() {
		return apply_time;
	}
	public void setApply_time(String apply_time) {
		this.apply_time = apply_time;
	}
	/**
	 * 
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
  	
	public Integer getCert_type_id() {
		return cert_type_id;
	}
	public void setCert_type_id(Integer cert_type_id) {
		this.cert_type_id = cert_type_id;
	}
	/**
	 * 
	 */	
  	public void setCourse_catalog(Integer course_catalog) {
		this.course_catalog = course_catalog;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getCourse_catalog() {
		return course_catalog;
  	}
	/**
	 * 
	 */	
  	public void setEdu_cert_file_path(String edu_cert_file_path) {
		this.edu_cert_file_path = edu_cert_file_path;
  	}
 	/**
	 * 
	 */	 	
  	public String getEdu_cert_file_path() {
		return edu_cert_file_path;
  	}
	/**
	 * 
	 */	
  	public void setEdu_level(String edu_level) {
		this.edu_level = edu_level;
  	}
 	/**
	 * 
	 */	 	
  	public String getEdu_level() {
		return edu_level;
  	}
	/**
	 * 
	 */	
  	public void setEdu_type(Integer edu_type) {
		this.edu_type = edu_type;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getEdu_type() {
		return edu_type;
  	}
	/**
	 * 
	 */	
  	public void setEdu_verify_rep_file_path(String edu_verify_rep_file_path) {
		this.edu_verify_rep_file_path = edu_verify_rep_file_path;
  	}
 	/**
	 * 
	 */	 	
  	public String getEdu_verify_rep_file_path() {
		return edu_verify_rep_file_path;
  	}
	/**
	 * 
	 */	
  	public void setFam_reg_file_path(String fam_reg_file_path) {
		this.fam_reg_file_path = fam_reg_file_path;
  	}
 	/**
	 * 
	 */	 	
  	public String getFam_reg_file_path() {
		return fam_reg_file_path;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 
	 */	
  	public void setInput_cert_no(String input_cert_no) {
		this.input_cert_no = input_cert_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getInput_cert_no() {
		return input_cert_no;
  	}
	/**
	 * 
	 */	
  	public void setInput_std_name(String input_std_name) {
		this.input_std_name = input_std_name;
  	}
 	/**
	 * 
	 */	 	
  	public String getInput_std_name() {
		return input_std_name;
  	}
	/**
	 * 
	 */	
  	public void setIn_school_date(String in_school_date) {
		this.in_school_date = in_school_date;
  	}
 	/**
	 * 
	 */	 	
  	public String getIn_school_date() {
		return in_school_date;
  	}
	/**
	 * 
	 */	
  	public void setIs_verify(Integer is_verify) {
		this.is_verify = is_verify;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getIs_verify() {
		return is_verify;
  	}
	/**
	 * 
	 */	
  	public void setMajor_name(String major_name) {
		this.major_name = major_name;
  	}
 	/**
	 * 
	 */	 	
  	public String getMajor_name() {
		return major_name;
  	}
	/**
	 * 
	 */	
  	public void setOut_school_date(String out_school_date) {
		this.out_school_date = out_school_date;
  	}
 	/**
	 * 
	 */	 	
  	public String getOut_school_date() {
		return out_school_date;
  	}
	/**
	 * 
	 */	
  	public void setPub_verify_file_path(String pub_verify_file_path) {
		this.pub_verify_file_path = pub_verify_file_path;
  	}
 	/**
	 * 
	 */	 	
  	public String getPub_verify_file_path() {
		return pub_verify_file_path;
  	}
	/**
	 * 
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 
	 */	
  	public void setSource_unit(String source_unit) {
		this.source_unit = source_unit;
  	}
 	/**
	 * 
	 */	 	
  	public String getSource_unit() {
		return source_unit;
  	}
	/**
	 * 
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 
	 */	
  	public void setStd_cert_file_path(String std_cert_file_path) {
		this.std_cert_file_path = std_cert_file_path;
  	}
 	/**
	 * 
	 */	 	
  	public String getStd_cert_file_path() {
		return std_cert_file_path;
  	}
	/**
	 * 
	 */	
  	public void setStd_cert_no(String std_cert_no) {
		this.std_cert_no = std_cert_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getStd_cert_no() {
		return std_cert_no;
  	}
	/**
	 * 
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 
	 */	
  	public void setVerify1_person(String verify1_person) {
		this.verify1_person = verify1_person;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify1_person() {
		return verify1_person;
  	}
	/**
	 * 
	 */	
  	public void setVerify1_remark(String verify1_remark) {
		this.verify1_remark = verify1_remark;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify1_remark() {
		return verify1_remark;
  	}
	/**
	 * 
	 */	
  	public void setVerify1_time(String verify1_time) {
		this.verify1_time = verify1_time;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify1_time() {
		return verify1_time;
  	}
	/**
	 * 
	 */	
  	public void setVerify2_person(String verify2_person) {
		this.verify2_person = verify2_person;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify2_person() {
		return verify2_person;
  	}
	/**
	 * 
	 */	
  	public void setVerify2_remark(String verify2_remark) {
		this.verify2_remark = verify2_remark;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify2_remark() {
		return verify2_remark;
  	}
	/**
	 * 
	 */	
  	public void setVerify2_time(String verify2_time) {
		this.verify2_time = verify2_time;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify2_time() {
		return verify2_time;
  	}
	public Integer getTime_config_id() {
		return time_config_id;
	}
	public void setTime_config_id(Integer time_config_id) {
		this.time_config_id = time_config_id;
	}
  	
  	protected String cert_name;
  	protected String year_time;
  	protected String status_text;

	public String getCert_name() {
		return cert_name;
	}
	public void setCert_name(String cert_name) {
		this.cert_name = cert_name;
	}
	public String getYear_time() {
		return year_time;
	}
	public void setYear_time(String year_time) {
		this.year_time = year_time;
	}
	public String getStatus_text() {
		return status_text;
	}
	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}
  	
}