package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 课程教材关联表 课程对应的教材，一门课程可以对应多个教材 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-10-17 15:55:47
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_course_textbook", keyColumn = "id", sequenceName = "seq_pl_course_textbook")
public class PlCourseTextbook implements Serializable {
	private static final long serialVersionUID = -4452364002745814634L;
	
	//主键ID
	private Integer id;
  	//课程ID
  	private Integer course_id;
  	//考试时间ID 和考试时间设置表关联
  	private Integer exam_time_id;
  	//教材ID
  	private Integer textbook_id;
  	private Integer year_code;
  	
  	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	/**
	 * 主键ID
	 */	
	public Integer getId() {
		return id;
	}
	/**
	 * 主键ID
	 */	
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 考试时间ID 和考试时间设置表关联
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID 和考试时间设置表关联
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 教材ID
	 */	
  	public void setTextbook_id(Integer textbook_id) {
		this.textbook_id = textbook_id;
  	}
 	/**
	 * 教材ID
	 */	 	
  	public Integer getTextbook_id() {
		return textbook_id;
  	}
  	
  	protected String textbook_name; //教材名称

	public String getTextbook_name() {
		return textbook_name;
	}
	public void setTextbook_name(String textbook_name) {
		this.textbook_name = textbook_name;
	}
  	
}