package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 课程教材关联历史表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-25 11:06:51
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_course_textbook_log", keyColumn = "id", sequenceName = "SEQ_pl_course_textbook_log")
public class PlCourseTextbookLog implements Serializable {
	private static final long serialVersionUID = -8712676310152577028L;
  	//课程ID
  	private Integer course_id;
  	//主键ID
  	private Integer id;
  	//操作人 登录名+用户姓名
  	private String operator;
  	//操作时间
  	private LocalDateTime oper_time;
  	//教材ID
  	private Integer textbook_id;
  	//类型 0：新增；1：修改；2：删除
  	private Integer type;
  	//批次ID
  	private Integer exam_time_id;
  
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 操作人 登录名+用户姓名
	 */	
  	public void setOperator(String operator) {
		this.operator = operator;
  	}
 	/**
	 * 操作人 登录名+用户姓名
	 */	 	
  	public String getOperator() {
		return operator;
  	}
	/**
	 * 操作时间
	 */	
  	public void setOper_time(LocalDateTime oper_time) {
		this.oper_time = oper_time;
  	}
 	/**
	 * 操作时间
	 */	 	
  	public LocalDateTime getOper_time() {
		return oper_time;
  	}
	/**
	 * 教材ID
	 */	
  	public void setTextbook_id(Integer textbook_id) {
		this.textbook_id = textbook_id;
  	}
 	/**
	 * 教材ID
	 */	 	
  	public Integer getTextbook_id() {
		return textbook_id;
  	}
	/**
	 * 类型 0：新增；1：修改；2：删除
	 */	
  	public void setType(Integer type) {
		this.type = type;
  	}
 	/**
	 * 类型 0：新增；1：修改；2：删除
	 */	 	
  	public Integer getType() {
		return type;
  	}
  	/**
	 * 批次ID
	 */	
	public Integer getExam_time_id() {
		return exam_time_id;
	}
	/**
	 * 批次ID
	 */	
	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
	}
	protected String course_name; //课程名称
	protected String textbook_name; //教材名称
	protected Integer year_code; //批次码

	public String getTextbook_name() {
		return textbook_name;
	}
	public void setTextbook_name(String textbook_name) {
		this.textbook_name = textbook_name;
	}
	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	
	
}