package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 课程限制 指课程不能再某些考区考试 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-03-20 10:38:53
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_exam_area_course_limit", keyColumn = "id", sequenceName = "SEQ_pl_exam_area_course_limit")
public class PlExamAreaCourseLimit implements Serializable {
	private static final long serialVersionUID = -7611932121492872633L;
  	//课程编码
  	private String course_code;
  	//课程ID
  	private Integer course_id;
  	//考试时间ID
  	private Integer exam_time_id;
  	//主键
  	private Integer id;
  	//考区编码
  	private String org_code;
  	//考区ID
  	private Integer org_id;
  
	/**
	 * 课程编码
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程编码
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 考区编码
	 */	
  	public void setOrg_code(String org_code) {
		this.org_code = org_code;
  	}
 	/**
	 * 考区编码
	 */	 	
  	public String getOrg_code() {
		return org_code;
  	}
	/**
	 * 考区ID
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 考区ID
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
}