package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 申报审批批文 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-06-03 21:34:43
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_major_apply_audit_file", keyColumn = "id", sequenceName = "SEQ_pl_major_apply_audit_file")
public class PlMajorApplyAuditFile implements Serializable {
	private static final long serialVersionUID = 1271594918712339828L;
  	//申报形式
  	private Integer apply_form;
  	//审批批文
  	private String file_path;
  	//主键
  	private Integer id;
  	//年度码
  	private Integer year_code;
  
	/**
	 * 申报形式
	 */	
  	public void setApply_form(Integer apply_form) {
		this.apply_form = apply_form;
  	}
 	/**
	 * 申报形式
	 */	 	
  	public Integer getApply_form() {
		return apply_form;
  	}
	/**
	 * 审批批文
	 */	
  	public void setFile_path(String file_path) {
		this.file_path = file_path;
  	}
 	/**
	 * 审批批文
	 */	 	
  	public String getFile_path() {
		return file_path;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 年度码
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
}