package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: zhanqiang
 * @date: 2019-04-21 20:44:55
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_major_apply_detail", keyColumn = "id", sequenceName = "SEQ_pl_major_apply_detail")
public class PlMajorApplyDetail implements Serializable {
	private static final long serialVersionUID = 6221253723314127638L;
    
	private Integer id;
	private Integer apply_id;
	private Integer major_id;
	
	public Integer getId() {
		return id;
	}
	public Integer getApply_id() {
		return apply_id;
	}
	public Integer getMajor_id() {
		return major_id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public void setApply_id(Integer apply_id) {
		this.apply_id = apply_id;
	}
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}
	
	protected String major_code; //专业代码

	public String getMajor_code() {
		return major_code;
	}
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
	
}