package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 新旧专业对应表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-06-04 10:43:13
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_major_old_new", keyColumn = "id", sequenceName = "SEQ_pl_major_old_new")
public class PlMajorOldNew implements Serializable {
	private static final long serialVersionUID = 3602497424233409013L;
  	//主键
  	private Integer id;
  	//新专业ID 和pl_majo表关联
  	private Integer new_major_id;
  	//旧专业ID 和pl_major表关联
  	private Integer old_major_id;
  	//旧专业状态
  	private Integer old_major_status;
  
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 新专业ID 和pl_majo表关联
	 */	
  	public void setNew_major_id(Integer new_major_id) {
		this.new_major_id = new_major_id;
  	}
 	/**
	 * 新专业ID 和pl_majo表关联
	 */	 	
  	public Integer getNew_major_id() {
		return new_major_id;
  	}
	/**
	 * 旧专业ID 和pl_major表关联
	 */	
  	public void setOld_major_id(Integer old_major_id) {
		this.old_major_id = old_major_id;
  	}
 	/**
	 * 旧专业ID 和pl_major表关联
	 */	 	
  	public Integer getOld_major_id() {
		return old_major_id;
  	}
  	
  	
  	public Integer getOld_major_status() {
		return old_major_status;
	}
	public void setOld_major_status(Integer old_major_status) {
		this.old_major_status = old_major_status;
	}


	protected String new_major_code; //新专业代码
  	protected String new_major_name; //新专业名称
  	protected Integer new_school_id; //新专业对应的主考学校

	public String getNew_major_code() {
		return new_major_code;
	}

	public void setNew_major_code(String new_major_code) {
		this.new_major_code = new_major_code;
	}

	public String getNew_major_name() {
		return new_major_name;
	}

	public void setNew_major_name(String new_major_name) {
		this.new_major_name = new_major_name;
	}
	public Integer getNew_school_id() {
		return new_school_id;
	}
	public void setNew_school_id(Integer new_school_id) {
		this.new_school_id = new_school_id;
	}
  	
}