package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: haoguanghui
 * @date: 2019-11-01 10:47:10
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_pj_school", keyColumn = "id", sequenceName = "SEQ_pl_pj_school")
public class PlPjSchool implements Serializable {
	private static final long serialVersionUID = -6585721300470335257L;
  	//
  	private Integer id;
  	//评卷学校代码
  	private String school_code;
  	//和cf_organization中的id关联
  	private Integer school_id;
  	//评卷学校名称
  	private String school_name;
  
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 评卷学校代码
	 */	
  	public void setSchool_code(String school_code) {
		this.school_code = school_code;
  	}
 	/**
	 * 评卷学校代码
	 */	 	
  	public String getSchool_code() {
		return school_code;
  	}
	/**
	 * 和cf_organization中的id关联
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 和cf_organization中的id关联
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 评卷学校名称
	 */	
  	public void setSchool_name(String school_name) {
		this.school_name = school_name;
  	}
 	/**
	 * 评卷学校名称
	 */	 	
  	public String getSchool_name() {
		return school_name;
  	}
  	
  	protected String long_school_name;

	public String getLong_school_name() {
		return long_school_name;
	}
	public void setLong_school_name(String long_school_name) {
		this.long_school_name = long_school_name;
	}
  	
}