package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 评卷任务分配表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-11-01 10:47:11
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_pj_task", keyColumn = "id", sequenceName = "SEQ_pl_pj_task")
public class PlPjTask implements Serializable {
	private static final long serialVersionUID = 2613059128656857609L;
  	//课程代码，冗余字段
  	private String course_code;
  	//课程ID,和pl_course表关联
  	private Integer course_id;
  	//
  	private Integer id;
  	//评卷学校ID,和pl_pj_school表关联
  	private Integer pj_school_id;
  	//批次如：201910
  	private String year_code;
  	protected String exam_year_month;
  
  	
	public String getExam_year_month() {
		return exam_year_month;
	}
	public void setExam_year_month(String exam_year_month) {
		this.exam_year_month = exam_year_month;
	}
	/**
	 * 课程代码，冗余字段
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程代码，冗余字段
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 课程ID,和pl_course表关联
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID,和pl_course表关联
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 评卷学校ID,和pl_pj_school表关联
	 */	
  	public void setPj_school_id(Integer pj_school_id) {
		this.pj_school_id = pj_school_id;
  	}
 	/**
	 * 评卷学校ID,和pl_pj_school表关联
	 */	 	
  	public Integer getPj_school_id() {
		return pj_school_id;
  	}
	/**
	 * 批次如：201910
	 */	
  	public void setYear_code(String year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 批次如：201910
	 */	 	
  	public String getYear_code() {
		return year_code;
  	}
  	
	protected String school_name;

	public String getSchool_name() {
		return school_name;
	}

	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}
  	
}