package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import java.time.LocalDate;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "PL_STD_RECORD_apply", keyColumn = "id", sequenceName = "SEQ_PL_STD_RECORD_apply")
public class PlStdRecordApply implements Serializable {
	private static final long serialVersionUID = 6010851962574346471L;

	// 主键
	private Integer id;
	private String apply_status;
	private String apply_topic;
	private String apply_remark;
	private Integer apply_man;
	private LocalDate apply_date;
	private String audit_type;
	private String audit_remark;
	private LocalDate audit_date;
	// 考生类型 1：专本衔接；2：网络助学
	private Integer std_type;
	
	//申报文件
  	private String file_path;
  	//申报文件名称
  	private String file_name;

	protected String apply_man_name;
	protected String audit_man_name;

	public String getFile_path() {
		return file_path;
	}

	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}

	public String getFile_name() {
		return file_name;
	}

	public void setFile_name(String file_name) {
		this.file_name = file_name;
	}

	public Integer getStd_type() {
		return std_type;
	}

	public void setStd_type(Integer std_type) {
		this.std_type = std_type;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getApply_status() {
		return apply_status;
	}

	public void setApply_status(String apply_status) {
		this.apply_status = apply_status;
	}

	public String getApply_topic() {
		return apply_topic;
	}

	public void setApply_topic(String apply_topic) {
		this.apply_topic = apply_topic;
	}

	public String getApply_remark() {
		return apply_remark;
	}

	public void setApply_remark(String apply_remark) {
		this.apply_remark = apply_remark;
	}

	public Integer getApply_man() {
		return apply_man;
	}

	public void setApply_man(Integer apply_man) {
		this.apply_man = apply_man;
	}

	public LocalDate getApply_date() {
		return apply_date;
	}

	public void setApply_date(LocalDate apply_date) {
		this.apply_date = apply_date;
	}

	public String getAudit_type() {
		return audit_type;
	}

	public void setAudit_type(String audit_type) {
		this.audit_type = audit_type;
	}

	public String getAudit_remark() {
		return audit_remark;
	}

	public void setAudit_remark(String audit_remark) {
		this.audit_remark = audit_remark;
	}

	public LocalDate getAudit_date() {
		return audit_date;
	}

	public void setAudit_date(LocalDate audit_date) {
		this.audit_date = audit_date;
	}

	public String getApply_man_name() {
		return apply_man_name;
	}

	public void setApply_man_name(String apply_man_name) {
		this.apply_man_name = apply_man_name;
	}

	public String getAudit_man_name() {
		return audit_man_name;
	}

	public void setAudit_man_name(String audit_man_name) {
		this.audit_man_name = audit_man_name;
	}

	

}