package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "pl_std_record_cancel_MAIN", keyColumn = "id", sequenceName = "SEQ_pl_std_record_cancel_MAIN")
public class PlStdRecordCancelMain implements Serializable {
	private static final long serialVersionUID = 6010851962174346473L;

	// 主键
	private Integer id;

	// 批次，如：201904
	private Integer year_code;

	private Integer school_id;

	private String file_path;
	private Integer std_type;
	private Integer upload_oper;
	private LocalDateTime upload_date;

	private Integer first_apply_oper;
	private LocalDateTime first_apply_date;

	private Integer final_auth_oper;
	private LocalDateTime final_auth_date;

	private String remark;

	private Integer status;

	private String main_name;
	private String audit_option;

	protected String org_code;
	protected String org_name;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getYear_code() {
		return year_code;
	}

	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}

	public Integer getSchool_id() {
		return school_id;
	}

	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	public String getFile_path() {
		return file_path;
	}

	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}

	public Integer getStd_type() {
		return std_type;
	}

	public void setStd_type(Integer std_type) {
		this.std_type = std_type;
	}

	public Integer getUpload_oper() {
		return upload_oper;
	}

	public void setUpload_oper(Integer upload_oper) {
		this.upload_oper = upload_oper;
	}

	public LocalDateTime getUpload_date() {
		return upload_date;
	}

	public void setUpload_date(LocalDateTime upload_date) {
		this.upload_date = upload_date;
	}

	public Integer getFirst_apply_oper() {
		return first_apply_oper;
	}

	public void setFirst_apply_oper(Integer first_apply_oper) {
		this.first_apply_oper = first_apply_oper;
	}

	public LocalDateTime getFirst_apply_date() {
		return first_apply_date;
	}

	public void setFirst_apply_date(LocalDateTime first_apply_date) {
		this.first_apply_date = first_apply_date;
	}

	public Integer getFinal_auth_oper() {
		return final_auth_oper;
	}

	public void setFinal_auth_oper(Integer final_auth_oper) {
		this.final_auth_oper = final_auth_oper;
	}

	public LocalDateTime getFinal_auth_date() {
		return final_auth_date;
	}

	public void setFinal_auth_date(LocalDateTime final_auth_date) {
		this.final_auth_date = final_auth_date;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getMain_name() {
		return main_name;
	}

	public void setMain_name(String main_name) {
		this.main_name = main_name;
	}

	public String getOrg_code() {
		return org_code;
	}

	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	public String getOrg_name() {
		return org_name;
	}

	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	public String getAudit_option() {
		return audit_option;
	}

	public void setAudit_option(String audit_option) {
		this.audit_option = audit_option;
	}

}