package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 衔接学校上报情况表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-06-20 15:43:10
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_std_record_school", keyColumn = "id", sequenceName = "SEQ_pl_std_record_school")
public class PlStdRecordSchool implements Serializable {
	private static final long serialVersionUID = 1270849247709839917L;
  	//
  	private Integer id;
  	//衔接学校ID，和机构表关联
  	private Integer join_school_id;
  	//主考学校ID，和机构表关联
  	private Integer school_id;
  	//上报状态；0：未上报，1：已上报
  	private Integer status;
  	//批次码,6位数字
  	private String year_code;
  
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 衔接学校ID，和机构表关联
	 */	
  	public void setJoin_school_id(Integer join_school_id) {
		this.join_school_id = join_school_id;
  	}
 	/**
	 * 衔接学校ID，和机构表关联
	 */	 	
  	public Integer getJoin_school_id() {
		return join_school_id;
  	}
	/**
	 * 主考学校ID，和机构表关联
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 主考学校ID，和机构表关联
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 上报状态；0：未上报，1：已上报
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 上报状态；0：未上报，1：已上报
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 批次码,6位数字
	 */	
  	public void setYear_code(String year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 批次码,6位数字
	 */	 	
  	public String getYear_code() {
		return year_code;
  	}
  	
  	protected String org_name; //衔接学校名称

	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
  	
  	
}