package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 考生备案时间控制 考生备案时间控制 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-04-17 18:00:45
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_std_record_time", keyColumn = "id", sequenceName = "SEQ_pl_std_record_time")
public class PlStdRecordTime implements Serializable {
	private static final long serialVersionUID = -523992138432385954L;
  	//申报类型 1：专本衔接；2：网路助学；3：助学班
  	private Integer apply_form;
  	//结束时间
  	private LocalDateTime end_time;
  	//主键
  	private Integer id;
  	//开始时间
  	private LocalDateTime start_time;
  	//考试批次 批次码如：201904
  	private Integer year_code;
  
	/**
	 * 申报类型 1：专本衔接；2：网路助学；3：助学班
	 */	
  	public void setApply_form(Integer apply_form) {
		this.apply_form = apply_form;
  	}
 	/**
	 * 申报类型 1：专本衔接；2：网路助学；3：助学班
	 */	 	
  	public Integer getApply_form() {
		return apply_form;
  	}
	/**
	 * 结束时间
	 */	
  	public void setEnd_time(LocalDateTime end_time) {
		this.end_time = end_time;
  	}
 	/**
	 * 结束时间
	 */	 	
  	public LocalDateTime getEnd_time() {
		return end_time;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 开始时间
	 */	
  	public void setStart_time(LocalDateTime start_time) {
		this.start_time = start_time;
  	}
 	/**
	 * 开始时间
	 */	 	
  	public LocalDateTime getStart_time() {
		return start_time;
  	}
	/**
	 * 考试批次 批次码如：201904
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 考试批次 批次码如：201904
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
}