package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 学科表 专业所属的学科，如：法学类、艺术类等。便于管理
 * 
 * @author: haoguanghui
 * @date: 2018-10-16 11:11:44
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_SUBJECT", keyColumn = "id", sequenceName = "SEQ_PL_SUBJECT")
public class PlSubject implements Serializable {
	private static final long serialVersionUID = 8444905070766389064L;
  	//学科ID
  	private Integer id;
  	//父学科ID
  	private Integer pid;
  	//说明
  	private String remark;
  	//学科代码
  	private String subject_code;
  	//学科名称
  	private String subject_name;
  
	/**
	 * 学科ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 学科ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 父学科ID
	 */	
  	public void setPid(Integer pid) {
		this.pid = pid;
  	}
 	/**
	 * 父学科ID
	 */	 	
  	public Integer getPid() {
		return pid;
  	}
	/**
	 * 说明
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 说明
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 学科代码
	 */	
  	public void setSubject_code(String subject_code) {
		this.subject_code = subject_code;
  	}
 	/**
	 * 学科代码
	 */	 	
  	public String getSubject_code() {
		return subject_code;
  	}
	/**
	 * 学科名称
	 */	
  	public void setSubject_name(String subject_name) {
		this.subject_name = subject_name;
  	}
 	/**
	 * 学科名称
	 */	 	
  	public String getSubject_name() {
		return subject_name;
  	}
}