package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**
 * @desc 财务平台订单取消
 */
@Table(tableName = "query.ks_jf_qxdddzb", keyColumn = "orderno")
public class EpayCancel implements Serializable {
	private static final long serialVersionUID = 1682411553807990419L;

	/**
	 * 0 对账发现漏单，修改状态后，重新发消息给财务系统（如该订单已取消，财务会对该流水进行退费操作）， 1 正常支付，直接发送给财务系统
	 */
	protected String requestType;
	/** 订单号 */
	private String orderNo;
	/** 订单金额 */
	private String orderAmount;
	/** 学生姓名 */
	private String studentName;
	/** 证件号 */
	private String IDNo;
	/** 系统名称 */
	private String systemName;
	/** 取消时间 yyyy-MM-dd HH:mm:ss */
	private String requestTime;
	/** 取消备注 */
	private String remark;
	//  考试计划名称
	protected String ksjhmc;
	
	/** 订单总金额 */
	protected String orderamountcount;
	
	 public String getOrderamountcount() {
		return orderamountcount;
	}

	public void setOrderamountcount(String orderamountcount) {
		this.orderamountcount = orderamountcount;
	}

	public String getOrderSeqno() {
		return orderSeqno;
	}

	public void setOrderSeqno(String orderSeqno) {
		this.orderSeqno = orderSeqno;
	}

	/** 支付流水 */
	protected String orderSeqno;
	
	
	public String getKsjhmc() {
		return ksjhmc;
	}

	public void setKsjhmc(String ksjhmc) {
		this.ksjhmc = ksjhmc;
	}

	/** 清算日期 */
	private String checkouttate;

	public String getCheckouttate() {
		return checkouttate;
	}

	public void setCheckouttate(String checkouttate) {
		this.checkouttate = checkouttate;
	}

	public String getRequestType() {
		return requestType;
	}

	public void setRequestType(String requestType) {
		this.requestType = requestType;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getOrderAmount() {
		return orderAmount;
	}

	public void setOrderAmount(String orderAmount) {
		this.orderAmount = orderAmount;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getIDNo() {
		return IDNo;
	}

	public void setIDNo(String iDNo) {
		IDNo = iDNo;
	}

	public String getSystemName() {
		return systemName;
	}

	public void setSystemName(String systemName) {
		this.systemName = systemName;
	}

	public String getRequestTime() {
		return requestTime;
	}

	public void setRequestTime(String requestTime) {
		this.requestTime = requestTime;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

}
