package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: yangwei
 * @date: 2019-05-08 09:59:17
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_break_discipline_rule", keyColumn = "id", sequenceName = "SEQ_std_break_discipline_rule")
public class StdBreakDisciplineRule implements Serializable {
	private static final long serialVersionUID = 3794366643215129042L;
  	//
  	private String code;
  	//
  	private Integer id;
  	//1:父类，0：子类
  	private Integer is_parent;
  	//
  	private String name;
  	//
  	private Integer p_id;
  	//说明
  	private String remark;
  	//0：禁用；1：启用
  	private Integer status;
  
	/**
	 * 
	 */	
  	public void setCode(String code) {
		this.code = code;
  	}
 	/**
	 * 
	 */	 	
  	public String getCode() {
		return code;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 1:父类，0：子类
	 */	
  	public void setIs_parent(Integer is_parent) {
		this.is_parent = is_parent;
  	}
 	/**
	 * 1:父类，0：子类
	 */	 	
  	public Integer getIs_parent() {
		return is_parent;
  	}
	/**
	 * 
	 */	
  	public void setName(String name) {
		this.name = name;
  	}
 	/**
	 * 
	 */	 	
  	public String getName() {
		return name;
  	}
	/**
	 * 
	 */	
  	public void setP_id(Integer p_id) {
		this.p_id = p_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getP_id() {
		return p_id;
  	}
	/**
	 * 说明
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 说明
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 0：禁用；1：启用
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 0：禁用；1：启用
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
}