package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "STD_ENROL_COURSE_VOLUME", keyColumn = "id", sequenceName = "SEQ_std_enrol_volume")
public class StdEnrolCourseVolume implements Serializable {
	private static final long serialVersionUID = 3099905207546171500L;

	// 主键ID
	private Integer id;
	// 年度码
	private Integer year_code;
	// 报考考区
	private Integer enrol_agent_id;
	// 场次A\B\C\D\X\Y'
	private String exam_batch;
	// 是否允许报考：1是 0否
	private Integer status;
	// 操作时间
	private LocalDateTime update_date;
	// 操作人
	private Integer update_oper;
	
	private Integer max_volume;

	// 报考科次
	protected Integer course_num;
	// 缴费科次
	protected Integer fee_course_num;
	
	protected String status_name;
	protected String update_oper_name;
	protected String examyearmonth;
	protected String exam_batch_name;
	protected String course_name;

	
	public String getCourse_name() {
		return course_name;
	}

	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}

	public String getExamyearmonth() {
		return examyearmonth;
	}

	public void setExamyearmonth(String examyearmonth) {
		this.examyearmonth = examyearmonth;
	}

	public Integer getMax_volume() {
		return max_volume;
	}

	public void setMax_volume(Integer max_volume) {
		this.max_volume = max_volume;
	}

	public String getUpdate_oper_name() {
		return update_oper_name;
	}

	public void setUpdate_oper_name(String update_oper_name) {
		this.update_oper_name = update_oper_name;
	}


	public String getStatus_name() {
		return status_name;
	}

	public void setStatus_name(String status_name) {
		this.status_name = status_name;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getYear_code() {
		return year_code;
	}

	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}

	public Integer getEnrol_agent_id() {
		return enrol_agent_id;
	}

	public void setEnrol_agent_id(Integer enrol_agent_id) {
		this.enrol_agent_id = enrol_agent_id;
	}


	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public LocalDateTime getUpdate_date() {
		return update_date;
	}

	public void setUpdate_date(LocalDateTime update_date) {
		this.update_date = update_date;
	}

	public Integer getUpdate_oper() {
		return update_oper;
	}

	public void setUpdate_oper(Integer update_oper) {
		this.update_oper = update_oper;
	}

	public Integer getCourse_num() {
		return course_num;
	}

	public void setCourse_num(Integer course_num) {
		this.course_num = course_num;
	}

	public Integer getFee_course_num() {
		return fee_course_num;
	}

	public void setFee_course_num(Integer fee_course_num) {
		this.fee_course_num = fee_course_num;
	}

	public String getExam_batch() {
		return exam_batch;
	}

	public void setExam_batch(String exam_batch) {
		this.exam_batch = exam_batch;
	}

	public String getExam_batch_name() {
		return exam_batch_name;
	}

	public void setExam_batch_name(String exam_batch_name) {
		this.exam_batch_name = exam_batch_name;
	}

}