package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import java.time.LocalDate;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "std_healthcode", keyColumn = "id", sequenceName = "seq_std_healthcode")
public class StdHealthcode implements Serializable {
	private static final long serialVersionUID = 8437701093601128419L;
	// 身份证号
	private String cert_no;
	// 主键ID
	private Integer id;
	// 备注
	private String remark;

	// 手机号码
	private String std_mobile;
	// 姓名
	private String std_name;
	// 准考证号
	private String ticket_no;

	private LocalDate create_date;
	private String year_code;
	private String healthcode;
	private String healthcode_id;
	private String reason;
	private String return_time;
	private String is_reg;
	private String status;
	protected Integer std_id;

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Integer getStd_id() {
		return std_id;
	}

	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	public String getCert_no() {
		return cert_no;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getStd_mobile() {
		return std_mobile;
	}

	public void setStd_mobile(String std_mobile) {
		this.std_mobile = std_mobile;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getTicket_no() {
		return ticket_no;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}

	public LocalDate getCreate_date() {
		return create_date;
	}

	public void setCreate_date(LocalDate create_date) {
		this.create_date = create_date;
	}

	public String getYear_code() {
		return year_code;
	}

	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}

	public String getHealthcode() {
		return healthcode;
	}

	public void setHealthcode(String healthcode) {
		this.healthcode = healthcode;
	}

	public String getHealthcode_id() {
		return healthcode_id;
	}

	public void setHealthcode_id(String healthcode_id) {
		this.healthcode_id = healthcode_id;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getReturn_time() {
		return return_time;
	}

	public void setReturn_time(String return_time) {
		this.return_time = return_time;
	}

	public String getIs_reg() {
		return is_reg;
	}

	public void setIs_reg(String is_reg) {
		this.is_reg = is_reg;
	}

}
