package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: yangwei
 * @date: 2019-06-13 09:36:25
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "STD_INFO_MODIFY_APPLY", keyColumn = "id", sequenceName = "seq_std_info_modiy")
public class StdInfoModifyApply implements Serializable {
	private static final long serialVersionUID = 1229062478841864704L;
  	//申请时间
  	private String apply_time;
  	//证件路径
  	private String cert_file_path;
  	//原始证件号
  	private String cert_no;
  	//图像路径
  	private String face_file_path;
  	//ID
  	private Integer id;
  	//修改内容 1-照片 2-姓名或证件号  ,分割
  	private Integer modify_content;
  	//备注
  	private String modify_remark;
  	//状态 1-初审 2-终审 3-已处理
  	private Integer status;
  	//考生ID
  	private Integer std_id;
  	//考生姓名
  	private String std_name;
  	//准考证号
  	private String ticket_no;
  	//初审人
  	private String verify_person1;
  	//终审人
  	private String verify_person2;
  	//初审备注
  	private String verify_remark1;
  	//终审备注
  	private String verify_remark2;
  	//初审时间
  	private String verify_time1;
  	//终审时间
  	private String verify_time2;
  	
  	private String status_text;
  	
  	private String old_std_name;
  	private String old_cert_no;
  	private String old_photo_url;
  	
  	private String old_photo_path;
  	private String old_photo_id;
  	
  	private String photo_compliance;
  	
	public String getPhoto_compliance() {
		return photo_compliance;
	}
	public void setPhoto_compliance(String photo_compliance) {
		this.photo_compliance = photo_compliance;
	}
	public String getOld_photo_path() {
		return old_photo_path;
	}
	public void setOld_photo_path(String old_photo_path) {
		this.old_photo_path = old_photo_path;
	}
	public String getOld_photo_id() {
		return old_photo_id;
	}
	public void setOld_photo_id(String old_photo_id) {
		this.old_photo_id = old_photo_id;
	}
	public String getOld_std_name() {
		return old_std_name;
	}
	public void setOld_std_name(String old_std_name) {
		this.old_std_name = old_std_name;
	}
	public String getOld_cert_no() {
		return old_cert_no;
	}
	public void setOld_cert_no(String old_cert_no) {
		this.old_cert_no = old_cert_no;
	}
	public String getOld_photo_url() {
		return old_photo_url;
	}
	public void setOld_photo_url(String old_photo_url) {
		this.old_photo_url = old_photo_url;
	}
	/**
	 * 申请时间
	 */	
  	public void setApply_time(String apply_time) {
		this.apply_time = apply_time;
  	}
 	/**
	 * 申请时间
	 */	 	
  	public String getApply_time() {
		return apply_time;
  	}
	/**
	 * 证件路径
	 */	
  	public void setCert_file_path(String cert_file_path) {
		this.cert_file_path = cert_file_path;
  	}
 	/**
	 * 证件路径
	 */	 	
  	public String getCert_file_path() {
		return cert_file_path;
  	}
	/**
	 * 原始证件号
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 原始证件号
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 图像路径
	 */	
  	public void setFace_file_path(String face_file_path) {
		this.face_file_path = face_file_path;
  	}
 	/**
	 * 图像路径
	 */	 	
  	public String getFace_file_path() {
		return face_file_path;
  	}
	/**
	 * ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 修改内容 1-照片 2-姓名 3-证件号 多选,分割
	 */	
  	public void setModify_content(Integer modify_content) {
		this.modify_content = modify_content;
  	}
 	/**
	 * 修改内容 1-照片 2-姓名 3-证件号 多选,分割
	 */	 	
  	public Integer getModify_content() {
		return modify_content;
  	}
	/**
	 * 备注
	 */	
  	public void setModify_remark(String modify_remark) {
		this.modify_remark = modify_remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getModify_remark() {
		return modify_remark;
  	}
	/**
	 * 状态 1-初审 2-终审 3-已处理
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 1-初审 2-终审 3-已处理
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 考生ID
	 */	
  	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
  	}
 	/**
	 * 考生ID
	 */	 	
  	public Integer getStd_id() {
		return std_id;
  	}
	/**
	 * 考生姓名
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 考生姓名
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 初审人
	 */	
  	public void setVerify_person1(String verify_person1) {
		this.verify_person1 = verify_person1;
  	}
 	/**
	 * 初审人
	 */	 	
  	public String getVerify_person1() {
		return verify_person1;
  	}
	/**
	 * 终审人
	 */	
  	public void setVerify_person2(String verify_person2) {
		this.verify_person2 = verify_person2;
  	}
 	/**
	 * 终审人
	 */	 	
  	public String getVerify_person2() {
		return verify_person2;
  	}
	/**
	 * 初审备注
	 */	
  	public void setVerify_remark1(String verify_remark1) {
		this.verify_remark1 = verify_remark1;
  	}
 	/**
	 * 初审备注
	 */	 	
  	public String getVerify_remark1() {
		return verify_remark1;
  	}
	/**
	 * 终审备注
	 */	
  	public void setVerify_remark2(String verify_remark2) {
		this.verify_remark2 = verify_remark2;
  	}
 	/**
	 * 终审备注
	 */	 	
  	public String getVerify_remark2() {
		return verify_remark2;
  	}
	/**
	 * 初审时间
	 */	
  	public void setVerify_time1(String verify_time1) {
		this.verify_time1 = verify_time1;
  	}
 	/**
	 * 初审时间
	 */	 	
  	public String getVerify_time1() {
		return verify_time1;
  	}
	/**
	 * 终审时间
	 */	
  	public void setVerify_time2(String verify_time2) {
		this.verify_time2 = verify_time2;
  	}
 	/**
	 * 终审时间
	 */	 	
  	public String getVerify_time2() {
		return verify_time2;
  	}
	public String getStatus_text() {
		return status_text;
	}
	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}
	
	protected Integer is_his;

	public Integer getIs_his() {
		return is_his;
	}
	public void setIs_his(Integer is_his) {
		this.is_his = is_his;
	}
  	
}