package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "std_refund", keyColumn = "id", sequenceName = "seq_std_refund")
public class StdRefund implements Serializable {
	private static final long serialVersionUID = -7071392668563664941L;

	private Integer id;
	private String year_code;
	private Integer std_reg_id;
	private String ticket_no;
	private String std_name;
	private String cert_no;
	private String std_mobile;
	private String bill_no;
	private LocalDateTime bill_time;
	private Integer bill_amount;
	private String bill_status;
	private String course;
	private String refund_type;
	private String reason;
	private String status;
	private String file_path_one;
	private String file_path_two;
	private String file_path_three;
	private String file_path_four;
	private String file_path_five;
	private String file_path_six;
	private LocalDateTime create_time;
	private String description;
	private Integer audit_optr;
	private Integer bill_total_amount;
	private String remark;
	
	private String status_a;
	private String status_b;
	private String description_a;
	private String description_b;
	private Integer audit_optr_b;
	private String paytype;
	
	private String replenish_file_path_one;
	private String replenish_file_path_two;
	private String replenish_file_path_three;
	private String replenish_file_path_four;
	private String replenish_file_path_five;
	private String replenish_file_path_six;
	
	
	protected String status_text;
	protected String refund_type_text;
	protected Integer index;
	protected String audit_optr_name;
	protected String status_a_text;
	protected String status_b_text;
	protected String audit;
	protected String audit_optr_b_name;
	
	protected Integer course_id;
	protected String is_replenish;
	
	public String getIs_replenish() {
		return is_replenish;
	}

	public void setIs_replenish(String is_replenish) {
		this.is_replenish = is_replenish;
	}

	public String getReplenish_file_path_one() {
		return replenish_file_path_one;
	}

	public void setReplenish_file_path_one(String replenish_file_path_one) {
		this.replenish_file_path_one = replenish_file_path_one;
	}

	public String getReplenish_file_path_two() {
		return replenish_file_path_two;
	}

	public void setReplenish_file_path_two(String replenish_file_path_two) {
		this.replenish_file_path_two = replenish_file_path_two;
	}

	public String getReplenish_file_path_three() {
		return replenish_file_path_three;
	}

	public void setReplenish_file_path_three(String replenish_file_path_three) {
		this.replenish_file_path_three = replenish_file_path_three;
	}

	public String getReplenish_file_path_four() {
		return replenish_file_path_four;
	}

	public void setReplenish_file_path_four(String replenish_file_path_four) {
		this.replenish_file_path_four = replenish_file_path_four;
	}

	public String getReplenish_file_path_five() {
		return replenish_file_path_five;
	}

	public void setReplenish_file_path_five(String replenish_file_path_five) {
		this.replenish_file_path_five = replenish_file_path_five;
	}

	public String getReplenish_file_path_six() {
		return replenish_file_path_six;
	}

	public void setReplenish_file_path_six(String replenish_file_path_six) {
		this.replenish_file_path_six = replenish_file_path_six;
	}

	public Integer getCourse_id() {
		return course_id;
	}

	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}

	public String getPaytype() {
		return paytype;
	}

	public void setPaytype(String paytype) {
		this.paytype = paytype;
	}

	public String getAudit_optr_b_name() {
		return audit_optr_b_name;
	}

	public void setAudit_optr_b_name(String audit_optr_b_name) {
		this.audit_optr_b_name = audit_optr_b_name;
	}

	public Integer getAudit_optr_b() {
		return audit_optr_b;
	}

	public void setAudit_optr_b(Integer audit_optr_b) {
		this.audit_optr_b = audit_optr_b;
	}

	public String getAudit() {
		return audit;
	}

	public void setAudit(String audit) {
		this.audit = audit;
	}

	public String getStatus_a() {
		return status_a;
	}

	public void setStatus_a(String status_a) {
		this.status_a = status_a;
	}

	public String getStatus_b() {
		return status_b;
	}

	public void setStatus_b(String status_b) {
		this.status_b = status_b;
	}

	public String getDescription_a() {
		return description_a;
	}

	public void setDescription_a(String description_a) {
		this.description_a = description_a;
	}

	public String getDescription_b() {
		return description_b;
	}

	public void setDescription_b(String description_b) {
		this.description_b = description_b;
	}

	public String getStatus_a_text() {
		return status_a_text;
	}

	public void setStatus_a_text(String status_a_text) {
		this.status_a_text = status_a_text;
	}

	public String getStatus_b_text() {
		return status_b_text;
	}

	public void setStatus_b_text(String status_b_text) {
		this.status_b_text = status_b_text;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getBill_total_amount() {
		return bill_total_amount;
	}

	public void setBill_total_amount(Integer bill_total_amount) {
		this.bill_total_amount = bill_total_amount;
	}

	public String getAudit_optr_name() {
		return audit_optr_name;
	}

	public void setAudit_optr_name(String audit_optr_name) {
		this.audit_optr_name = audit_optr_name;
	}

	public Integer getAudit_optr() {
		return audit_optr;
	}

	public void setAudit_optr(Integer audit_optr) {
		this.audit_optr = audit_optr;
	}

	public String getRefund_type_text() {
		return refund_type_text;
	}

	public void setRefund_type_text(String refund_type_text) {
		this.refund_type_text = refund_type_text;
	}

	public String getStatus_text() {
		return status_text;
	}

	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getIndex() {
		return index;
	}

	public void setIndex(Integer index) {
		this.index = index;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getYear_code() {
		return year_code;
	}

	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}

	public Integer getStd_reg_id() {
		return std_reg_id;
	}

	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
	}

	public String getTicket_no() {
		return ticket_no;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getCert_no() {
		return cert_no;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public String getStd_mobile() {
		return std_mobile;
	}

	public void setStd_mobile(String std_mobile) {
		this.std_mobile = std_mobile;
	}

	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
	}

	public LocalDateTime getBill_time() {
		return bill_time;
	}

	public void setBill_time(LocalDateTime bill_time) {
		this.bill_time = bill_time;
	}

	public Integer getBill_amount() {
		return bill_amount;
	}

	public void setBill_amount(Integer bill_amount) {
		this.bill_amount = bill_amount;
	}

	public String getBill_status() {
		return bill_status;
	}

	public void setBill_status(String bill_status) {
		this.bill_status = bill_status;
	}

	public String getCourse() {
		return course;
	}

	public void setCourse(String course) {
		this.course = course;
	}

	public String getRefund_type() {
		return refund_type;
	}

	public void setRefund_type(String refund_type) {
		this.refund_type = refund_type;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getFile_path_one() {
		return file_path_one;
	}

	public void setFile_path_one(String file_path_one) {
		this.file_path_one = file_path_one;
	}

	public String getFile_path_two() {
		return file_path_two;
	}

	public void setFile_path_two(String file_path_two) {
		this.file_path_two = file_path_two;
	}

	public String getFile_path_three() {
		return file_path_three;
	}

	public void setFile_path_three(String file_path_three) {
		this.file_path_three = file_path_three;
	}

	public String getFile_path_four() {
		return file_path_four;
	}

	public void setFile_path_four(String file_path_four) {
		this.file_path_four = file_path_four;
	}

	public String getFile_path_five() {
		return file_path_five;
	}

	public void setFile_path_five(String file_path_five) {
		this.file_path_five = file_path_five;
	}

	public String getFile_path_six() {
		return file_path_six;
	}

	public void setFile_path_six(String file_path_six) {
		this.file_path_six = file_path_six;
	}

	public LocalDateTime getCreate_time() {
		return create_time;
	}

	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

}