package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 学生简历 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-05-30 15:41:45
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_resume_log", keyColumn = "id", sequenceName = "SEQ_std_resume")
public class StdResumeLog implements Serializable {
	private static final long serialVersionUID = -804113287650512166L;
  	//截止日期
  	private String end_date;
  	//主键
  	private Integer id;
  	//职务
  	private String position;
  	//开始日期
  	private String start_date;
  	//考生ID
  	private Integer std_id;
  	//工作经验
  	private String work_exp;
  	//毕业申请ID
  	private Integer by_apply_id;
  
	/**
	 * 截止日期
	 */	
  	public void setEnd_date(String end_date) {
		this.end_date = end_date;
  	}
 	/**
	 * 截止日期
	 */	 	
  	public String getEnd_date() {
		return end_date;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 职务
	 */	
  	public void setPosition(String position) {
		this.position = position;
  	}
 	/**
	 * 职务
	 */	 	
  	public String getPosition() {
		return position;
  	}
	/**
	 * 开始日期
	 */	
  	public void setStart_date(String start_date) {
		this.start_date = start_date;
  	}
 	/**
	 * 开始日期
	 */	 	
  	public String getStart_date() {
		return start_date;
  	}
	/**
	 * 考生ID
	 */	
  	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
  	}
 	/**
	 * 考生ID
	 */	 	
  	public Integer getStd_id() {
		return std_id;
  	}
	/**
	 * 工作经验
	 */	
  	public void setWork_exp(String work_exp) {
		this.work_exp = work_exp;
  	}
 	/**
	 * 工作经验
	 */	 	
  	public String getWork_exp() {
		return work_exp;
  	}
	public Integer getBy_apply_id() {
		return by_apply_id;
	}
	public void setBy_apply_id(Integer by_apply_id) {
		this.by_apply_id = by_apply_id;
	}
}