package cn.hmsoft.ses.data.model.std;

import cn.hmsoft.jdbc.entity.Table;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 *  模型.
 * 
 * @author: shudonghui
 * @date: 2021-09-29 15:20:54
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "STD_SCORE_REVIEW", keyColumn = "id", sequenceName = "SEQ_STD_SCORE_REVIEW")
public class StdScoreReview implements Serializable {
	private static final long serialVersionUID = 7193538791942839599L;
  	//
  	private String address;
  	//
  	private LocalDateTime create_date;
  	//
  	private String fee_no;
  	//
  	private Integer id;
  	//
  	private String mobile;
  	//
  	private String name;
  	//
  	private String post_code;
  	//
  	private String reason;
  	//
  	private String result;
  	//
  	private String status;
  	//
  	private Integer std_id;
  	//
  	private String type;
  	//
  	private String year_code;
  	
  	private String fee_status;
  	
  
	public String getFee_status() {
		return fee_status;
	}
	public void setFee_status(String fee_status) {
		this.fee_status = fee_status;
	}
	/**
	 * 
	 */	
  	public void setAddress(String address) {
		this.address = address;
  	}
 	/**
	 * 
	 */	 	
  	public String getAddress() {
		return address;
  	}
	/**
	 * 
	 */	
  	public void setCreate_date(LocalDateTime create_date) {
		this.create_date = create_date;
  	}
 	/**
	 * 
	 */	 	
  	public LocalDateTime getCreate_date() {
		return create_date;
  	}
	/**
	 * 
	 */	
  	public void setFee_no(String fee_no) {
		this.fee_no = fee_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getFee_no() {
		return fee_no;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 
	 */	
  	public void setMobile(String mobile) {
		this.mobile = mobile;
  	}
 	/**
	 * 
	 */	 	
  	public String getMobile() {
		return mobile;
  	}
	/**
	 * 
	 */	
  	public void setName(String name) {
		this.name = name;
  	}
 	/**
	 * 
	 */	 	
  	public String getName() {
		return name;
  	}
	/**
	 * 
	 */	
  	public void setPost_code(String post_code) {
		this.post_code = post_code;
  	}
 	/**
	 * 
	 */	 	
  	public String getPost_code() {
		return post_code;
  	}
	/**
	 * 
	 */	
  	public void setReason(String reason) {
		this.reason = reason;
  	}
 	/**
	 * 
	 */	 	
  	public String getReason() {
		return reason;
  	}
	/**
	 * 
	 */	
  	public void setResult(String result) {
		this.result = result;
  	}
 	/**
	 * 
	 */	 	
  	public String getResult() {
		return result;
  	}
	/**
	 * 
	 */	
  	public void setStatus(String status) {
		this.status = status;
  	}
 	/**
	 * 
	 */	 	
  	public String getStatus() {
		return status;
  	}
	/**
	 * 
	 */	
  	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStd_id() {
		return std_id;
  	}
	/**
	 * 
	 */	
  	public void setType(String type) {
		this.type = type;
  	}
 	/**
	 * 
	 */	 	
  	public String getType() {
		return type;
  	}
	/**
	 * 
	 */	
  	public void setYear_code(String year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 
	 */	 	
  	public String getYear_code() {
		return year_code;
  	}


	protected  String std_name;
	protected  String cert_no;
	protected  String ticket_no;

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getCert_no() {
		return cert_no;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public String getTicket_no() {
		return ticket_no;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}
}
