package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "std_Ticket", keyColumn = "id", sequenceName = "SEQ_std_Ticket")
public class StdTicket implements Serializable {
	private static final long serialVersionUID = 8437701093101148429L;

	// 主键ID
	private Integer id;

	private Integer exam_time_id;
	private Integer year_code;
	private String ticket_no;
	private String std_name;
	private String cert_no;
	private String std_sex;
	private String major_name;
	private Integer ticket_file_size;
	private String ticket_file;
	private LocalDateTime create_time;
	private String is_success;
	private String error;

	public String getIs_success() {
		return is_success;
	}

	public void setIs_success(String is_success) {
		this.is_success = is_success;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public LocalDateTime getCreate_time() {
		return create_time;
	}

	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	public Integer getYear_code() {
		return year_code;
	}

	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getExam_time_id() {
		return exam_time_id;
	}

	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
	}

	public String getTicket_no() {
		return ticket_no;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getCert_no() {
		return cert_no;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public String getStd_sex() {
		return std_sex;
	}

	public void setStd_sex(String std_sex) {
		this.std_sex = std_sex;
	}

	public String getMajor_name() {
		return major_name;
	}

	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}

	public Integer getTicket_file_size() {
		return ticket_file_size;
	}

	public void setTicket_file_size(Integer ticket_file_size) {
		this.ticket_file_size = ticket_file_size;
	}

	public String getTicket_file() {
		return ticket_file;
	}

	public void setTicket_file(String ticket_file) {
		this.ticket_file = ticket_file;
	}

}