package cn.hmsoft.ses.data.model.sys;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 *  模型.
 * 
 * @author: shudonghui
 * @date: 2021-09-29 09:32:45
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "SYS_APP_NEWS", keyColumn = "id", sequenceName = "SEQ_SYS_APP_NEWS")
public class SysAppNews implements Serializable {
	private static final long serialVersionUID = -2373887298041325954L;
  	//
  	private String author_name;
  	//
  	private String content;
  	//
  	private String cover;
  	//
  	private Integer id;
  	//
  	private LocalDateTime published_at;
  	//
  	private String title;
  	
  	private String more_url;
  	
  	protected Integer is_new;
  	
	public Integer getIs_new() {
		return is_new;
	}
	public void setIs_new(Integer is_new) {
		this.is_new = is_new;
	}
	public String getMore_url() {
		return more_url;
	}
	public void setMore_url(String more_url) {
		this.more_url = more_url;
	}
	/**
	 * 
	 */	
  	public void setAuthor_name(String author_name) {
		this.author_name = author_name;
  	}
 	/**
	 * 
	 */	 	
  	public String getAuthor_name() {
		return author_name;
  	}
	/**
	 * 
	 */	
  	public void setContent(String content) {
		this.content = content;
  	}
 	/**
	 * 
	 */	 	
  	public String getContent() {
		return content;
  	}
	/**
	 * 
	 */	
  	public void setCover(String cover) {
		this.cover = cover;
  	}
 	/**
	 * 
	 */	 	
  	public String getCover() {
		return cover;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 
	 */	
  	public void setPublished_at(LocalDateTime published_at) {
		this.published_at = published_at;
  	}
 	/**
	 * 
	 */	 	
  	public LocalDateTime getPublished_at() {
		return published_at;
  	}
	/**
	 * 
	 */	
  	public void setTitle(String title) {
		this.title = title;
  	}
 	/**
	 * 
	 */	 	
  	public String getTitle() {
		return title;
  	}
}