package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 考生毕业分配所在的包 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-12-11 10:23:10
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_apply_package", keyColumn = "id", sequenceName = "SEQ_by_apply_package")
public class ByApplyPackage implements Serializable {
	private static final long serialVersionUID = 5104215361962465038L;
  	//和by_apply表关联
  	private Integer apply_id;
  	//
  	private Integer id;
  	//考生所在的包
  	private Integer pack_num;
  	//考生id
  	private Integer std_id;
  	//写入时间
  	private LocalDateTime create_time;
  	private Integer num;
  
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	/**
	 * 和by_apply表关联
	 */	
  	public void setApply_id(Integer apply_id) {
		this.apply_id = apply_id;
  	}
 	/**
	 * 和by_apply表关联
	 */	 	
  	public Integer getApply_id() {
		return apply_id;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 考生所在的包
	 */	
  	public void setPack_num(Integer pack_num) {
		this.pack_num = pack_num;
  	}
 	/**
	 * 考生所在的包
	 */	 	
  	public Integer getPack_num() {
		return pack_num;
  	}
	/**
	 * 考生id
	 */	
  	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
  	}
 	/**
	 * 考生id
	 */	 	
  	public Integer getStd_id() {
		return std_id;
  	}
  	/**
	 * 写入时间
	 */
	public LocalDateTime getCreate_time() {
		return create_time;
	}
	/**
	 * 写入时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}
  	
  	
}