package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 毕业黑名单 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-03-14 13:39:19
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_black_list", keyColumn = "id", sequenceName = "SEQ_BY_BLACK_LIST")
public class ByBlackList implements Serializable {
	private static final long serialVersionUID = -3416953440018578919L;
  	//身份证号
  	private String cert_no;
  	//问题课程ID
  	private Integer course_id;
  	//限制结束日期
  	private LocalDate end_date;
  	//考试日期
  	private LocalDate exam_date;
  	//主键
  	private Integer id;
  	//备注
  	private String remark;
  	//限制开始日期
  	private LocalDate start_date;
  	//状态 状态,0-停办、1-解禁
  	private Integer status;
  	//学生ID
  	private Integer std_id;
  	//学生姓名
  	private String std_name;
  	//准考证号码
  	private String ticket_no;
  
	/**
	 * 身份证号
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 身份证号
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 问题课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 问题课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 限制结束日期
	 */	
  	public void setEnd_date(LocalDate end_date) {
		this.end_date = end_date;
  	}
 	/**
	 * 限制结束日期
	 */	 	
  	public LocalDate getEnd_date() {
		return end_date;
  	}
	/**
	 * 考试日期
	 */	
  	public void setExam_date(LocalDate exam_date) {
		this.exam_date = exam_date;
  	}
 	/**
	 * 考试日期
	 */	 	
  	public LocalDate getExam_date() {
		return exam_date;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 限制开始日期
	 */	
  	public void setStart_date(LocalDate start_date) {
		this.start_date = start_date;
  	}
 	/**
	 * 限制开始日期
	 */	 	
  	public LocalDate getStart_date() {
		return start_date;
  	}
	/**
	 * 状态 状态,0-停办、1-解禁
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 状态,0-停办、1-解禁
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 学生ID
	 */	
  	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
  	}
 	/**
	 * 学生ID
	 */	 	
  	public Integer getStd_id() {
		return std_id;
  	}
	/**
	 * 学生姓名
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 学生姓名
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 准考证号码
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号码
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
  	
  	
  	protected boolean in_time = false;

	public boolean isIn_time() {
		return in_time;
	}
	public void setIn_time(boolean in_time) {
		this.in_time = in_time;
	}
  	
}