package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 *  模型.
 * 
 * @author: shudonghui
 * @date: 2020-04-01 20:53:58
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "BY_CERTIFICATE", keyColumn = "id", sequenceName = "SEQ_BY_CERTIFICATE")
public class ByCertificate implements Serializable {
	private static final long serialVersionUID = 2229169509563776000L;
  	//
  	private LocalDate apply_date;
  	//
  	private Integer app_id;
  	//
  	private Integer id;
  	//
  	private LocalDate org_auth_time;
  	//
  	private Integer org_id;
  	//
  	private Integer org_useri_id;
  	//
  	private String remark;
  	//
  	//
  	private Integer school_id;
  	//
  	//
  	private Integer status;
  	//
  	private Integer std_id;
  	//
  	private Integer std_source;
  	
  	
  	private String by_photo;
  
  	
  	private Integer exam_time_id;
  	
  	private String major;
  	private String school;
  	private String ticket_no;
	private String diaplma_no;
  	private String std_name;
  	private String cert_no;
	private String by_date;
	private Integer major_level;
	
  	private LocalDate pro_auth_time;
  	//
  	private Integer pro_id;
  	//
  	private Integer pro_useri_id;
  	
	private String phone;
	private String reason;
	
	private String by_photo_path;
	private String by_photo_id;
	
	private Integer final_auth_a;
	private Integer final_auth_b;
	
	protected String org_name;
  	
	
	public String getOrg_name() {
		return org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	public Integer getFinal_auth_a() {
		return final_auth_a;
	}
	public void setFinal_auth_a(Integer final_auth_a) {
		this.final_auth_a = final_auth_a;
	}
	public Integer getFinal_auth_b() {
		return final_auth_b;
	}
	public void setFinal_auth_b(Integer final_auth_b) {
		this.final_auth_b = final_auth_b;
	}
	public String getBy_photo_path() {
		return by_photo_path;
	}
	public void setBy_photo_path(String by_photo_path) {
		this.by_photo_path = by_photo_path;
	}
	public String getBy_photo_id() {
		return by_photo_id;
	}
	public void setBy_photo_id(String by_photo_id) {
		this.by_photo_id = by_photo_id;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getReason() {
		return reason;
	}
	public void setReason(String reason) {
		this.reason = reason;
	}
	public String getMajor() {
		return major;
	}
	public void setMajor(String major) {
		this.major = major;
	}
	public String getSchool() {
		return school;
	}
	public void setSchool(String school) {
		this.school = school;
	}
	public Integer getMajor_level() {
		return major_level;
	}
	public void setMajor_level(Integer major_level) {
		this.major_level = major_level;
	}
	public String getTicket_no() {
		return ticket_no;
	}
	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}
	public String getDiaplma_no() {
		return diaplma_no;
	}
	public void setDiaplma_no(String diaplma_no) {
		this.diaplma_no = diaplma_no;
	}
	public String getStd_name() {
		return std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	public String getCert_no() {
		return cert_no;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}
	public Integer getExam_time_id() {
		return exam_time_id;
	}
	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
	}
	/**
	 * 
	 */	
  	public void setApply_date(LocalDate apply_date) {
		this.apply_date = apply_date;
  	}
 	/**
	 * 
	 */	 	
  	public LocalDate getApply_date() {
		return apply_date;
  	}
	/**
	 * 
	 */	
  	public void setApp_id(Integer app_id) {
		this.app_id = app_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getApp_id() {
		return app_id;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 
	 */	
  	public void setOrg_auth_time(LocalDate org_auth_time) {
		this.org_auth_time = org_auth_time;
  	}
 	/**
	 * 
	 */	 	
  	public LocalDate getOrg_auth_time() {
		return org_auth_time;
  	}
	/**
	 * 
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
	/**
	 * 
	 */	
  	public void setOrg_useri_id(Integer org_useri_id) {
		this.org_useri_id = org_useri_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getOrg_useri_id() {
		return org_useri_id;
  	}
	/**
	 * 
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
	/**
	 * 
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 
	 */	
  	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStd_id() {
		return std_id;
  	}
	/**
	 * 
	 */	
  	public void setStd_source(Integer std_source) {
		this.std_source = std_source;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStd_source() {
		return std_source;
  	}
	public String getBy_photo() {
		return by_photo;
	}
	public void setBy_photo(String by_photo) {
		this.by_photo = by_photo;
	}
	public String getBy_date() {
		return by_date;
	}
	public void setBy_date(String by_date) {
		this.by_date = by_date;
	}
	public LocalDate getPro_auth_time() {
		return pro_auth_time;
	}
	public void setPro_auth_time(LocalDate pro_auth_time) {
		this.pro_auth_time = pro_auth_time;
	}
	public Integer getPro_id() {
		return pro_id;
	}
	public void setPro_id(Integer pro_id) {
		this.pro_id = pro_id;
	}
	public Integer getPro_useri_id() {
		return pro_useri_id;
	}
	public void setPro_useri_id(Integer pro_useri_id) {
		this.pro_useri_id = pro_useri_id;
	}
	
	
	
  	
  	
}