package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 毕业证书表 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-03-18 18:12:52
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_diaplma", keyColumn = "id", sequenceName = "SEQ_BY_DIAPLMA")
public class ByDiaplma implements Serializable {
	private static final long serialVersionUID = 7010302061360927111L;
  	//毕业ID
  	private Integer apply_id;
  	//毕业时间ID
  	private Integer by_time_config_id;
  	//毕业证书号
  	private String diaplma_no;
  	//主键
  	private Integer id;
  	//是否发放
  	private Integer is_dist;
  	//学生ID
  	private Integer std_id;
  	//准考证号
  	private String ticket_no;

	/**
	 * 毕业ID
	 */	
  	public void setApply_id(Integer apply_id) {
		this.apply_id = apply_id;
  	}
 	/**
	 * 毕业ID
	 */	 	
  	public Integer getApply_id() {
		return apply_id;
  	}
	/**
	 * 毕业时间ID
	 */	
  	public void setBy_time_config_id(Integer by_time_config_id) {
		this.by_time_config_id = by_time_config_id;
  	}
 	/**
	 * 毕业时间ID
	 */	 	
  	public Integer getBy_time_config_id() {
		return by_time_config_id;
  	}
	/**
	 * 毕业证书号
	 */	
  	public void setDiaplma_no(String diaplma_no) {
		this.diaplma_no = diaplma_no;
  	}
 	/**
	 * 毕业证书号
	 */	 	
  	public String getDiaplma_no() {
		return diaplma_no;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 学生ID
	 */	
  	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
  	}
 	/**
	 * 学生ID
	 */	 	
  	public Integer getStd_id() {
		return std_id;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	public Integer getIs_dist() {
		return is_dist;
	}
	public void setIs_dist(Integer is_dist) {
		this.is_dist = is_dist;
	}
}