package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 毕业档案表
 * 
 * @author huangzibo
 *
 */
@Table(tableName = "by_files_log")
public class ByFilesLog implements Serializable {
	private static final long serialVersionUID = 7340453690417086202L;

	//主键
  	private Integer id;
	// 毕业证号
	private String diaplma_no;
	// 准考证号
	private String ticket_no;
	// 姓名
	private String std_name;
	// 证件号码
	private String cert_no;
	// 性别
	private String std_sex;
	// 专业
	private String zy;
	// 专业层次
	private String zylx;
	// 毕业时间
	private String bysj;
	// 主考学校
	private String zkyx;
	// 电子档案存放路径
	private String files_path;
	
	private Integer oper;
	private LocalDateTime create_time;
	
	public Integer getOper() {
		return oper;
	}

	public void setOper(Integer oper) {
		this.oper = oper;
	}

	public LocalDateTime getCreate_time() {
		return create_time;
	}

	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDiaplma_no() {
		return diaplma_no;
	}

	public void setDiaplma_no(String diaplma_no) {
		this.diaplma_no = diaplma_no;
	}

	public String getTicket_no() {
		return ticket_no;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getCert_no() {
		return cert_no;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public String getStd_sex() {
		return std_sex;
	}

	public void setStd_sex(String std_sex) {
		this.std_sex = std_sex;
	}

	public String getZy() {
		return zy;
	}

	public void setZy(String zy) {
		this.zy = zy;
	}

	public String getZylx() {
		return zylx;
	}

	public void setZylx(String zylx) {
		this.zylx = zylx;
	}

	public String getBysj() {
		return bysj;
	}

	public void setBysj(String bysj) {
		this.bysj = bysj;
	}

	public String getZkyx() {
		return zkyx;
	}

	public void setZkyx(String zkyx) {
		this.zkyx = zkyx;
	}

	public String getFiles_path() {
		return files_path;
	}

	public void setFiles_path(String files_path) {
		this.files_path = files_path;
	}

}