package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 毕业论文 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-04-11 16:28:47
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_paper", keyColumn = "id", sequenceName = "SEQ_by_paper")
public class ByPaper implements Serializable {
	private static final long serialVersionUID = 7684172679797042125L;
  	//上报学校
  	private Integer apply_school;
  	//审核状态 0-待审核,1-审核通过
  	private Integer auth_status;
  	//审核时间
  	private LocalDate auth_time;
  	//主键
  	private Integer id;
  	//专业ID
  	private Integer major_id;
  	//论文成绩 0-不及格,1-及格,2-中等,3-良好,4-优秀
  	private Integer paper_score;
  	//论文标题
  	private String paper_title;
  	//考生ID
  	private Integer std_reg_id;
  	//提交审核时间
  	private LocalDate submit_time;
  
	/**
	 * 上报学校
	 */	
  	public void setApply_school(Integer apply_school) {
		this.apply_school = apply_school;
  	}
 	/**
	 * 上报学校
	 */	 	
  	public Integer getApply_school() {
		return apply_school;
  	}
	/**
	 * 审核状态 0-待审核,1-审核通过
	 */	
  	public void setAuth_status(Integer auth_status) {
		this.auth_status = auth_status;
  	}
 	/**
	 * 审核状态 0-待审核,1-审核通过
	 */	 	
  	public Integer getAuth_status() {
		return auth_status;
  	}
	/**
	 * 审核时间
	 */	
  	public void setAuth_time(LocalDate auth_time) {
		this.auth_time = auth_time;
  	}
 	/**
	 * 审核时间
	 */	 	
  	public LocalDate getAuth_time() {
		return auth_time;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业ID
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 论文成绩 0-不及格,1-及格,2-中等,3-良好,4-优秀
	 */	
  	public void setPaper_score(Integer paper_score) {
		this.paper_score = paper_score;
  	}
 	/**
	 * 论文成绩 0-不及格,1-及格,2-中等,3-良好,4-优秀
	 */	 	
  	public Integer getPaper_score() {
		return paper_score;
  	}
	/**
	 * 论文标题
	 */	
  	public void setPaper_title(String paper_title) {
		this.paper_title = paper_title;
  	}
 	/**
	 * 论文标题
	 */	 	
  	public String getPaper_title() {
		return paper_title;
  	}
	/**
	 * 考生ID
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 提交审核时间
	 */	
  	public void setSubmit_time(LocalDate submit_time) {
		this.submit_time = submit_time;
  	}
 	/**
	 * 提交审核时间
	 */	 	
  	public LocalDate getSubmit_time() {
		return submit_time;
  	}
}