package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 转考回执表 表-参考了湖北系统 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-01-07 16:16:14
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_turn_out_reply", keyColumn = "id", sequenceName = "SEQ_by_turn_out_reply")
public class ByTurnOutReply implements Serializable {
	private static final long serialVersionUID = -6051680401390047403L;
  	//退回原因
  	private String back_reason;
  	//身份证号
  	private String cert_no;
  	//主键
  	private Integer id;
  	//接收状态 1:接收;2:逾期接收;3:退回;4:逾期退回;5:逾期删除
  	private Integer receive_status;
  	//考生姓名 冗余字段
  	private String std_name;
  	//考生ID
  	private Integer std_reg_id;
  	//准考证号
  	private String ticket_no;
  	//转考时间配置ID 和转考时间配置表关联
  	private Integer time_config_id;
  	//转考编号
  	private String turn_no;
  
	/**
	 * 退回原因
	 */	
  	public void setBack_reason(String back_reason) {
		this.back_reason = back_reason;
  	}
 	/**
	 * 退回原因
	 */	 	
  	public String getBack_reason() {
		return back_reason;
  	}
	/**
	 * 身份证号
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 身份证号
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 接收状态 1:接收;2:逾期接收;3:退回;4:逾期退回;5:逾期删除
	 */	
  	public void setReceive_status(Integer receive_status) {
		this.receive_status = receive_status;
  	}
 	/**
	 * 接收状态 1:接收;2:逾期接收;3:退回;4:逾期退回;5:逾期删除
	 */	 	
  	public Integer getReceive_status() {
		return receive_status;
  	}
	/**
	 * 考生姓名 冗余字段
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 考生姓名 冗余字段
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 考生ID
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 转考时间配置ID 和转考时间配置表关联
	 */	
  	public void setTime_config_id(Integer time_config_id) {
		this.time_config_id = time_config_id;
  	}
 	/**
	 * 转考时间配置ID 和转考时间配置表关联
	 */	 	
  	public Integer getTime_config_id() {
		return time_config_id;
  	}
	/**
	 * 转考编号
	 */	
  	public void setTurn_no(String turn_no) {
		this.turn_no = turn_no;
  	}
 	/**
	 * 转考编号
	 */	 	
  	public String getTurn_no() {
		return turn_no;
  	}
  	
  	protected String year_time; //年+上\下半年

	public String getYear_time() {
		return year_time;
	}
	public void setYear_time(String year_time) {
		this.year_time = year_time;
	}
  	
  	
  	
}