package cn.hmsoft.ses.data.model.by;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 学信网认证 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-03-14 13:39:19
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "by_xuexin", keyColumn = "id", sequenceName = "SEQ_BY_XUEXIN")
public class ByXueXin implements Serializable {
	private static final long serialVersionUID = 5169105375299683341L;
  	
	// 主键
	private Integer id;
	// 考生ID
	private Integer std_reg_id;
	// 姓名
	private String xm;
	// 证件号码
	private String zjhm;
	// 毕业院校名称
	private String yxmc;
	
	// 专业名称
	private String zymc;
	// 层次
	private String cc;
	//学习形式
	private String xxxs;
	// 学历类别
	private String xllb;
	//入学年份
	private String rxnf;
	// 入学日期
	private String rxrq;
	// 预计毕业年份(学籍信息)
	private String yjbynf;
	// 预计毕业日期（学籍信息）
	private String yjbyrq;
	// 毕业年份(学历信息)
	private String bynf;
	//毕业日期(学历信息)
	private String byrq;
	// 毕结业结论(学历信息)
	private String bjyjl;
	//类型 学历，学籍
	private String xuexin_type;
	
	// 验证时间
	private LocalDateTime create_date;
	// 验证人
	private Integer create_oper;
	// 流水号
	private String bizserialnum;
	// 认证状态：认证中、认证成功
	private String status;
	
	protected String create_man;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getStd_reg_id() {
		return std_reg_id;
	}

	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getZjhm() {
		return zjhm;
	}

	public void setZjhm(String zjhm) {
		this.zjhm = zjhm;
	}

	public String getYxmc() {
		return yxmc;
	}

	public void setYxmc(String yxmc) {
		this.yxmc = yxmc;
	}

	public String getZymc() {
		return zymc;
	}

	public void setZymc(String zymc) {
		this.zymc = zymc;
	}

	public String getCc() {
		return cc;
	}

	public void setCc(String cc) {
		this.cc = cc;
	}

	public String getXxxs() {
		return xxxs;
	}

	public void setXxxs(String xxxs) {
		this.xxxs = xxxs;
	}

	public String getXllb() {
		return xllb;
	}

	public void setXllb(String xllb) {
		this.xllb = xllb;
	}

	public String getRxnf() {
		return rxnf;
	}

	public void setRxnf(String rxnf) {
		this.rxnf = rxnf;
	}

	public String getRxrq() {
		return rxrq;
	}

	public void setRxrq(String rxrq) {
		this.rxrq = rxrq;
	}

	public String getYjbynf() {
		return yjbynf;
	}

	public void setYjbynf(String yjbynf) {
		this.yjbynf = yjbynf;
	}

	public String getYjbyrq() {
		return yjbyrq;
	}

	public void setYjbyrq(String yjbyrq) {
		this.yjbyrq = yjbyrq;
	}

	public String getBynf() {
		return bynf;
	}

	public void setBynf(String bynf) {
		this.bynf = bynf;
	}

	public String getByrq() {
		return byrq;
	}

	public void setByrq(String byrq) {
		this.byrq = byrq;
	}

	public String getBjyjl() {
		return bjyjl;
	}

	public void setBjyjl(String bjyjl) {
		this.bjyjl = bjyjl;
	}

	public String getXuexin_type() {
		return xuexin_type;
	}

	public void setXuexin_type(String xuexin_type) {
		this.xuexin_type = xuexin_type;
	}

	public LocalDateTime getCreate_date() {
		return create_date;
	}

	public void setCreate_date(LocalDateTime create_date) {
		this.create_date = create_date;
	}

	public Integer getCreate_oper() {
		return create_oper;
	}

	public void setCreate_oper(Integer create_oper) {
		this.create_oper = create_oper;
	}

	public String getBizserialnum() {
		return bizserialnum;
	}

	public void setBizserialnum(String bizserialnum) {
		this.bizserialnum = bizserialnum;
	}

	public String getCreate_man() {
		return create_man;
	}

	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
}