package cn.hmsoft.ses.data.model.cf;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 地市字典表 老系统表数据中对应的地市代号 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-12-15 16:32:01
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "cf_city", keyColumn = "id", sequenceName = "SEQ_cf_city")
public class CfCity implements Serializable {
	private static final long serialVersionUID = 3702777663684789372L;
  	//地市代号
  	private String city_code;
  	//地市名称
  	private String city_name;
  	//地市简称
  	private String short_name;
  
	/**
	 * 地市代号
	 */	
  	public void setCity_code(String city_code) {
		this.city_code = city_code;
  	}
 	/**
	 * 地市代号
	 */	 	
  	public String getCity_code() {
		return city_code;
  	}
	/**
	 * 地市名称
	 */	
  	public void setCity_name(String city_name) {
		this.city_name = city_name;
  	}
 	/**
	 * 地市名称
	 */	 	
  	public String getCity_name() {
		return city_name;
  	}
	/**
	 * 地市简称
	 */	
  	public void setShort_name(String short_name) {
		this.short_name = short_name;
  	}
 	/**
	 * 地市简称
	 */	 	
  	public String getShort_name() {
		return short_name;
  	}
}