package cn.hmsoft.ses.data.model.epidemic;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-11-01 10:47:10
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "epidemic_high_risk_area", keyColumn = "id", sequenceName = "SEQ_epidemic_high_risk_area")
public class EpidemicHighRiskArea implements Serializable {
	private static final long serialVersionUID = -6585721100470335257L;
	//
	private Integer id;
	private Integer year_code;
	private String province;

	private String province_name;

	private String city;
	private String city_name;
	private String county;
	private String county_name;

	protected String code_id;
	protected String code_name;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getYear_code() {
		return year_code;
	}

	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getProvince_name() {
		return province_name;
	}

	public void setProvince_name(String province_name) {
		this.province_name = province_name;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCity_name() {
		return city_name;
	}

	public void setCity_name(String city_name) {
		this.city_name = city_name;
	}

	public String getCounty() {
		return county;
	}

	public void setCounty(String county) {
		this.county = county;
	}

	public String getCounty_name() {
		return county_name;
	}

	public void setCounty_name(String county_name) {
		this.county_name = county_name;
	}

	public String getCode_name() {
		return code_name;
	}

	public void setCode_name(String code_name) {
		this.code_name = code_name;
	}

	public String getCode_id() {
		return code_id;
	}

	public void setCode_id(String code_id) {
		this.code_id = code_id;
	}

}