package cn.hmsoft.ses.data.model.kj;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 毕业手工录入成绩 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-05-28 22:14:43
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kj_by_input_score", keyColumn = "id", sequenceName = "SEQ_kj_by_input_score")
public class KjByInputScore implements Serializable {
	private static final long serialVersionUID = 2578688012952951965L;
  	//课程ID
  	private Integer course_id;
  	//代码
  	private String course_code;
  	//课程名称
  	private String course_name;
  	//最终成绩
  	private String final_score;
	//主键
  	private Integer id;
  	//录入时间
  	private LocalDate input_date;
  	//录入人
  	private Integer input_oper;
  	//专业ID
  	private Integer major_id;
  	private String major_code;//专业代码
  	//成绩来源
  	private Integer score_source;
  	//成绩使用方式
  	private Integer use_type;
  	//考生ID
  	private Integer std_reg_id;
  
  	private Integer by_apply_id;
  	//手工录入 替换之前的课程ID
  	private Integer old_course_id;
  	//关联来源准考证
  	private String asso_ticket_no;
  	
  	//代码
  	protected String course_code2;
  	//课程名称
  	protected String course_name2;
  	//最终成绩
  	protected String final_score2;
  	
  	//代码
  	protected String course_code3;
  	//课程名称
  	protected String course_name3;
  	//最终成绩
  	protected String final_score3;
  	
  	//代码
  	protected String course_code4;
  	//课程名称
  	protected String course_name4;
  	//最终成绩
  	protected String final_score4;
  	
  	//代码
  	protected String course_code5;
  	//课程名称
  	protected String course_name5;
  	//最终成绩
  	protected String final_score5;
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 最终成绩
	 */	
  	public void setFinal_score(String final_score) {
		this.final_score = final_score;
  	}
 	/**
	 * 最终成绩
	 */	 	
  	public String getFinal_score() {
		return final_score;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 录入时间
	 */	
  	public void setInput_date(LocalDate input_date) {
		this.input_date = input_date;
  	}
 	/**
	 * 录入时间
	 */	 	
  	public LocalDate getInput_date() {
		return input_date;
  	}
	/**
	 * 录入人
	 */	
  	public void setInput_oper(Integer input_oper) {
		this.input_oper = input_oper;
  	}
 	/**
	 * 录入人
	 */	 	
  	public Integer getInput_oper() {
		return input_oper;
  	}
	/**
	 * 专业ID
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}

	/**
	 * 考生ID
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	public Integer getBy_apply_id() {
		return by_apply_id;
	}
	public void setBy_apply_id(Integer by_apply_id) {
		this.by_apply_id = by_apply_id;
	}
	public String getCourse_code() {
		return course_code;
	}
	public String getMajor_code() {
		return major_code;
	}
	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
	public Integer getOld_course_id() {
		return old_course_id;
	}
	public void setOld_course_id(Integer old_course_id) {
		this.old_course_id = old_course_id;
	}
	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public Integer getUse_type() {
		return use_type;
	}
	public void setUse_type(Integer use_type) {
		this.use_type = use_type;
	}
	public Integer getScore_source() {
		return score_source;
	}
	public void setScore_source(Integer score_source) {
		this.score_source = score_source;
	}
	public String getAsso_ticket_no() {
		return asso_ticket_no;
	}
	public void setAsso_ticket_no(String asso_ticket_no) {
		this.asso_ticket_no = asso_ticket_no;
	}
	public String getCourse_code2() {
		return course_code2;
	}
	public String getCourse_name2() {
		return course_name2;
	}
	public String getFinal_score2() {
		return final_score2;
	}
	public String getCourse_code3() {
		return course_code3;
	}
	public String getCourse_name3() {
		return course_name3;
	}
	public String getFinal_score3() {
		return final_score3;
	}
	public void setCourse_code2(String course_code2) {
		this.course_code2 = course_code2;
	}
	public void setCourse_name2(String course_name2) {
		this.course_name2 = course_name2;
	}
	public void setFinal_score2(String final_score2) {
		this.final_score2 = final_score2;
	}
	public void setCourse_code3(String course_code3) {
		this.course_code3 = course_code3;
	}
	public void setCourse_name3(String course_name3) {
		this.course_name3 = course_name3;
	}
	public void setFinal_score3(String final_score3) {
		this.final_score3 = final_score3;
	}
	public String getCourse_code4() {
		return course_code4;
	}
	public String getCourse_name4() {
		return course_name4;
	}
	public String getFinal_score4() {
		return final_score4;
	}
	public String getCourse_code5() {
		return course_code5;
	}
	public String getCourse_name5() {
		return course_name5;
	}
	public String getFinal_score5() {
		return final_score5;
	}
	public void setCourse_code4(String course_code4) {
		this.course_code4 = course_code4;
	}
	public void setCourse_name4(String course_name4) {
		this.course_name4 = course_name4;
	}
	public void setFinal_score4(String final_score4) {
		this.final_score4 = final_score4;
	}
	public void setCourse_code5(String course_code5) {
		this.course_code5 = course_code5;
	}
	public void setCourse_name5(String course_name5) {
		this.course_name5 = course_name5;
	}
	public void setFinal_score5(String final_score5) {
		this.final_score5 = final_score5;
	}
}