package cn.hmsoft.ses.data.model.kj;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;

/**
 * 实践课成绩上报 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-04-15 11:12:24
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kj_practical_score", keyColumn = "id", sequenceName = "SEQ_kj_practical_score")
public class KjPracticalScore implements Serializable {
	private static final long serialVersionUID = 2447119808539733377L;
  	//审核日期
  	private LocalDate auth_date;
  	//审核人
  	private Integer auth_oper;
  	//身份证
  	private String cert_no;
  	//考核形式 0-实践考核
  	private Integer check_style;
  	private Integer course_id;
  	private Integer major_id;
  	//主键
  	private Integer id;
  	//成绩
  	private String score;
  	//主考学校ID
  	private Integer shool_id;
  	//状态 0-待省级审核,1-审核通过
  	private Integer stauts;
  	//学生姓名
  	private String std_name;
  	//考生ID
  	private Integer std_reg_id;
  	//上报日期
  	private LocalDate upload_date;
  	//上报人
  	private Integer upload_oper;
    //年度码
  	private Integer year_code;
  	//备注
  	private String remark;
  	//------------
  	//专业代码
  	protected String major_code;
  	//专业名称
  	protected String major_name;
  	//课程代码
  	protected String course_code;
	/**
	 * 审核日期
	 */	
  	public void setAuth_date(LocalDate auth_date) {
		this.auth_date = auth_date;
  	}
 	/**
	 * 审核日期
	 */	 	
  	public LocalDate getAuth_date() {
		return auth_date;
  	}
	/**
	 * 审核人
	 */	
  	public void setAuth_oper(Integer auth_oper) {
		this.auth_oper = auth_oper;
  	}
 	/**
	 * 审核人
	 */	 	
  	public Integer getAuth_oper() {
		return auth_oper;
  	}
	/**
	 * 身份证
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 身份证
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 考核形式 0-实践考核
	 */	
  	public void setCheck_style(Integer check_style) {
		this.check_style = check_style;
  	}
 	/**
	 * 考核形式 0-实践考核
	 */	 	
  	public Integer getCheck_style() {
		return check_style;
  	}
	/**
	 * 课程代码
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程代码
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 专业代码
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业代码
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 专业名称
	 */	
  	public void setMajor_name(String major_name) {
		this.major_name = major_name;
  	}
 	/**
	 * 专业名称
	 */	 	
  	public String getMajor_name() {
		return major_name;
  	}
	/**
	 * 成绩
	 */	
  	public void setScore(String score) {
		this.score = score;
  	}
 	/**
	 * 成绩
	 */	 	
  	public String getScore() {
		return score;
  	}
	/**
	 * 主考学校ID
	 */	
  	public void setShool_id(Integer shool_id) {
		this.shool_id = shool_id;
  	}
 	/**
	 * 主考学校ID
	 */	 	
  	public Integer getShool_id() {
		return shool_id;
  	}
	/**
	 * 状态 0-待省级审核,1-审核通过
	 */	
  	public void setStauts(Integer stauts) {
		this.stauts = stauts;
  	}
 	/**
	 * 状态 0-待省级审核,1-审核通过
	 */	 	
  	public Integer getStauts() {
		return stauts;
  	}
	/**
	 * 学生姓名
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 学生姓名
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 考生ID
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 考生ID
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 上报日期
	 */	
  	public void setUpload_date(LocalDate upload_date) {
		this.upload_date = upload_date;
  	}
 	/**
	 * 上报日期
	 */	 	
  	public LocalDate getUpload_date() {
		return upload_date;
  	}
	/**
	 * 上报人
	 */	
  	public void setUpload_oper(Integer upload_oper) {
		this.upload_oper = upload_oper;
  	}
 	/**
	 * 上报人
	 */	 	
  	public Integer getUpload_oper() {
		return upload_oper;
  	}
	public Integer getYear_code() {
		return year_code;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	public Integer getCourse_id() {
		return course_id;
	}
	public Integer getMajor_id() {
		return major_id;
	}
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
}