package cn.hmsoft.ses.data.model.kj;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: zhanqiang
 * @date: 2019-04-24 10:58:53
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kj_unified_score_main", keyColumn = "id", sequenceName = "SEQ_kj_unified_score_main")
public class KjUnifiedScoreMain implements Serializable {
	private static final long serialVersionUID = 5918282785060666224L;
  
	private Integer id;
	private String batch_name;
	private Integer year_code;
	private String file_path;
	private Integer upload_oper;
	private LocalDateTime upload_date;
	private String remark;
	
	public Integer getId() {
		return id;
	}
	public String getBatch_name() {
		return batch_name;
	}
	public Integer getYear_code() {
		return year_code;
	}
	public String getFile_path() {
		return file_path;
	}
	public Integer getUpload_oper() {
		return upload_oper;
	}
	public LocalDateTime getUpload_date() {
		return upload_date;
	}
	public String getRemark() {
		return remark;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public void setBatch_name(String batch_name) {
		this.batch_name = batch_name;
	}
	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}
	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}
	public void setUpload_oper(Integer upload_oper) {
		this.upload_oper = upload_oper;
	}
	public void setUpload_date(LocalDateTime upload_date) {
		this.upload_date = upload_date;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	protected String optr_name;

	public String getOptr_name() {
		return optr_name;
	}
	public void setOptr_name(String optr_name) {
		this.optr_name = optr_name;
	}
}