package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 考场表 模型.
 * 
 * @author: zq
 * @date: 2018-11-24 14:54:32
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "KW_EXAM_ROOM", keyColumn = "id", sequenceName = "SEQ_KW_EXAM_ROOM")
public class KwExamRoom implements Serializable {
	private static final long serialVersionUID = -7014676501047348784L;
	//考场名称
	private String room_name;
  	//考点单元ID 关联考点单元ID
  	private Integer exam_unit_id;
  	//主键
  	private Integer id;
  	//备注
  	private String remark;
  	//考场容量 默认为30
  	private Integer room_capacity;
  	//考场编码
  	private String room_code;
  	//优先级
  	private Integer room_priority;
  	//考场类型 0-通用，1-社会，2-高考，3-其他
  	private Integer room_type;
  	//状态 0-启用，1-禁用
  	private Integer status;
  
	public String getRoom_name() {
		return room_name;
	}
	public void setRoom_name(String room_name) {
		this.room_name = room_name;
	}
	/**
	 * 考点单元ID 关联考点单元ID
	 */	
  	public void setExam_unit_id(Integer exam_unit_id) {
		this.exam_unit_id = exam_unit_id;
  	}
 	/**
	 * 考点单元ID 关联考点单元ID
	 */	 	
  	public Integer getExam_unit_id() {
		return exam_unit_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 备注
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 备注
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 考场容量 默认为30
	 */	
  	public void setRoom_capacity(Integer room_capacity) {
		this.room_capacity = room_capacity;
  	}
 	/**
	 * 考场容量 默认为30
	 */	 	
  	public Integer getRoom_capacity() {
		return room_capacity;
  	}
	/**
	 * 考场编码
	 */	
  	public void setRoom_code(String room_code) {
		this.room_code = room_code;
  	}
 	/**
	 * 考场编码
	 */	 	
  	public String getRoom_code() {
		return room_code;
  	}
	/**
	 * 优先级
	 */	
  	public void setRoom_priority(Integer room_priority) {
		this.room_priority = room_priority;
  	}
 	/**
	 * 优先级
	 */	 	
  	public Integer getRoom_priority() {
		return room_priority;
  	}
	/**
	 * 考场类型 0-通用，1-社会，2-高考，3-其他
	 */	
  	public void setRoom_type(Integer room_type) {
		this.room_type = room_type;
  	}
 	/**
	 * 考场类型 0-通用，1-社会，2-高考，3-其他
	 */	 	
  	public Integer getRoom_type() {
		return room_type;
  	}
	/**
	 * 状态 0-启用，1-禁用
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 0-启用，1-禁用
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
}