package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 特殊课程编排-考场课程关系表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-03-29 10:44:56
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kw_special_course_room", keyColumn = "id", sequenceName = "SEQ_kw_special_course_room")
public class KwSpecialCourseRoom implements Serializable {
	private static final long serialVersionUID = -5462494228511257383L;
  	
  	//id
  	private Integer id;
    //课程ID 和课程表关联-特殊课程
  	private Integer course_id;
  	//考点ID
  	private Integer point_id;
  	//考点单元ID 和考点单元表关联kw_exam_unit
  	private Integer unit_id;
  	//考区ID 和机构表关联
  	private Integer org_id;
  	//创建时间
  	private LocalDateTime create_date;
  
	/**
	 * 课程ID 和课程表关联-特殊课程
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID 和课程表关联-特殊课程
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * id
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * id
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 考区ID 和机构表关联
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 考区ID 和机构表关联
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
	/**
	 * 考点单元ID 和考点单元表关联kw_exam_unit
	 */	
  	public void setUnit_id(Integer unit_id) {
		this.unit_id = unit_id;
  	}
 	/**
	 * 考点单元ID 和考点单元表关联kw_exam_unit
	 */	 	
  	public Integer getUnit_id() {
		return unit_id;
  	}
  	/**
	 * 创建时间
	 */
	public LocalDateTime getCreate_date() {
		return create_date;
	}
	/**
	 * 创建时间
	 */
	public void setCreate_date(LocalDateTime create_date) {
		this.create_date = create_date;
	}
	/**
	 * 考点ID
	 */
	public Integer getPoint_id() {
		return point_id;
	}
	/**
	 * 考点ID
	 */
	public void setPoint_id(Integer point_id) {
		this.point_id = point_id;
	}
  	
  	
}