package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 特殊考试计划 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-11-17 13:59:50
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kw_special_exam_plan", keyColumn = "id", sequenceName = "SEQ_kw_special_exam_plan")
public class KwSpecialExamPlan implements Serializable {
	private static final long serialVersionUID = 2464287764091280546L;
	//编号
	private Integer id;
	//课程ID
	private Integer course_id;
  	//课程代码
  	private String course_code;
  	//课程名称
  	private String course_name;
  	//考试时间ID
  	private Integer exam_time_id;
  	//考试时间
  	private String plan_date;
  	//状态；0-开考 1-停考
  	private Integer status;
  
	/**
	 * 课程代码
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 课程代码
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 课程名称
	 */	
  	public void setCourse_name(String course_name) {
		this.course_name = course_name;
  	}
 	/**
	 * 课程名称
	 */	 	
  	public String getCourse_name() {
		return course_name;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 编号
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 编号
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 考试时间
	 */	
  	public void setPlan_date(String plan_date) {
		this.plan_date = plan_date;
  	}
 	/**
	 * 考试时间
	 */	 	
  	public String getPlan_date() {
		return plan_date;
  	}
	/**
	 * 状态；0-开考 1-停考
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态；0-开考 1-停考
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
}