package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**
 * 特殊考试考务编排 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-11-19 12:03:48
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "kw_special_layout", keyColumn = "id", sequenceName = "SEQ_kw_special_layout")
public class KwSpecialLayout implements Serializable {
	private static final long serialVersionUID = 7974931045058394660L;
	//主键
	private Integer id;
	//准考证号
	private String ticket_no;
	//考试姓名
	private String stu_name;
	//考试注册ID
	private Integer reg_id;
	//考试时间
	private LocalDateTime exam_time;
	//座位号
	private Integer seat_no;
	//考试时间ID
	private Integer exam_time_id;
	//机构ID
	private Integer org_id;
  	//课程ID
  	private Integer course_id;
  	//考场ID 引用kw_special_exam_room.id
  	private Integer room_id;
  	//次数
  	private Integer times;
  
	/**
	 * 课程ID
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 考试时间
	 */	
  	public void setExam_time(LocalDateTime exam_time) {
		this.exam_time = exam_time;
  	}
 	/**
	 * 考试时间
	 */	 	
  	public LocalDateTime getExam_time() {
		return exam_time;
  	}
	/**
	 * 考试时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 机构ID
	 */	
  	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
  	}
 	/**
	 * 机构ID
	 */	 	
  	public Integer getOrg_id() {
		return org_id;
  	}
	/**
	 * 考试注册ID
	 */	
  	public void setReg_id(Integer reg_id) {
		this.reg_id = reg_id;
  	}
 	/**
	 * 考试注册ID
	 */	 	
  	public Integer getReg_id() {
		return reg_id;
  	}
	/**
	 * 考场ID 引用kw_special_exam_room.id
	 */	
  	public void setRoom_id(Integer room_id) {
		this.room_id = room_id;
  	}
 	/**
	 * 考场ID 引用kw_special_exam_room.id
	 */	 	
  	public Integer getRoom_id() {
		return room_id;
  	}
	/**
	 * 座位号
	 */	
  	public void setSeat_no(Integer seat_no) {
		this.seat_no = seat_no;
  	}
 	/**
	 * 座位号
	 */	 	
  	public Integer getSeat_no() {
		return seat_no;
  	}
	/**
	 * 考试姓名
	 */	
  	public void setStu_name(String stu_name) {
		this.stu_name = stu_name;
  	}
 	/**
	 * 考试姓名
	 */	 	
  	public String getStu_name() {
		return stu_name;
  	}
	/**
	 * 准考证号
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 准考证号
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 次数
	 */	
  	public void setTimes(Integer times) {
		this.times = times;
  	}
 	/**
	 * 次数
	 */	 	
  	public Integer getTimes() {
		return times;
  	}
  	
	protected String course_code;// 课程代码
	protected String course_name;// 课程名称

	public String getCourse_code() {
		return course_code;
	}

	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}

	public String getCourse_name() {
		return course_name;
	}

	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
  	
  	
}