package cn.hmsoft.ses.data.model.kw;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "STD_TICKET_CONTENT_APPLY", keyColumn = "id", sequenceName = "SEQ_STD_TICKET_CONTENT_APPLY")
public class StdTicketContentApply implements Serializable {
	private static final long serialVersionUID = -1592316126355294047L;

	// 主键ID
	private Integer id;
	// 批次
	private String year_code;
	// 考区代码
	private String org_code;
	// 考区名称
	private String org_name;
	// 标题
	private String title;
	// 内容
	private String content;
	// 状态：等待考区提交，等待自治区考试院审核，审核通过，审核不通过
	private String status;
	private String auth_type;
	private String auth_remark;
	// 申请时间
	private LocalDateTime create_date;
	// 申请人
	private Integer create_oper;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getYear_code() {
		return year_code;
	}

	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}

	public String getOrg_code() {
		return org_code;
	}

	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	public String getOrg_name() {
		return org_name;
	}

	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public LocalDateTime getCreate_date() {
		return create_date;
	}

	public void setCreate_date(LocalDateTime create_date) {
		this.create_date = create_date;
	}

	public Integer getCreate_oper() {
		return create_oper;
	}

	public void setCreate_oper(Integer create_oper) {
		this.create_oper = create_oper;
	}

	public String getAuth_type() {
		return auth_type;
	}

	public void setAuth_type(String auth_type) {
		this.auth_type = auth_type;
	}

	public String getAuth_remark() {
		return auth_remark;
	}

	public void setAuth_remark(String auth_remark) {
		this.auth_remark = auth_remark;
	}

}