package cn.hmsoft.ses.data.model.mk;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: yangwei
 * @date: 2019-03-05 16:30:02
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "mk_cert_course", keyColumn = "id", sequenceName = "SEQ_mk_cert_course")
public class MkCertCourse implements Serializable {
	private static final long serialVersionUID = -5744325886785956632L;
  	//
  	private Integer cert_id;
  	//
  	private String course_code;
  	//
  	private Integer course_id;
  	private Integer major_id;
  	//
  	private Integer id;
  
	/**
	 * 
	 */	
  	public void setCert_id(Integer cert_id) {
		this.cert_id = cert_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getCert_id() {
		return cert_id;
  	}
	/**
	 * 
	 */	
  	public void setCourse_code(String course_code) {
		this.course_code = course_code;
  	}
 	/**
	 * 
	 */	 	
  	public String getCourse_code() {
		return course_code;
  	}
	/**
	 * 
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
  	
  	
  	protected String course_name;
  	protected String major_code;
  	protected String major_name;

	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public String getMajor_code() {
		return major_code;
	}
	public void setMajor_code(String major_code) {
		this.major_code = major_code;
	}
	public String getMajor_name() {
		return major_name;
	}
	public void setMajor_name(String major_name) {
		this.major_name = major_name;
	}
	public Integer getMajor_id() {
		return major_id;
	}
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}
  	
  	
}