package cn.hmsoft.ses.data.model.mk;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: yangwei
 * @date: 2019-03-17 14:18:02
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "MK_cert_EDU_APPLY", keyColumn = "id", sequenceName = "SEQ_MK_cert_EDU_APPLY")
public class MkCertEduApply implements Serializable {
	private static final long serialVersionUID = 1672015373991900864L;
  	//
  	private Integer cert_course_id;
  	//
  	private String cert_no;
  	//
  	private Integer cert_type_id;
  	//
  	private String create_time;
  	//
  	private String done_course_name;
  	//
  	private String done_course_score;
  	//
  	private Integer id;
  	//
  	private Integer status;
  	//
  	private String std_cert_no;
  	//
  	private String std_name;
  	//
  	private Integer std_reg_id;
  	//
  	private String ticket_no;
  	//
  	private Integer time_config_id;
  	//
  	private String verify1_person;
  	//
  	private String verify1_remark;
  	//
  	private String verify1_time;
  	//
  	private String verify2_person;
  	//
  	private String verify2_remark;
  	//
  	private String verify2_time;
  	
  	private String file_path;
  	
  	private String zw_flow_no;
  	
  	private Integer major_id;
  	
  	protected String time_name;
  	protected String is_overtime;
  	
  	protected Integer course_count;
  	protected Integer score_count;
  	protected Integer mk_count;

  
	public Integer getCourse_count() {
		return course_count;
	}
	public void setCourse_count(Integer course_count) {
		this.course_count = course_count;
	}
	public Integer getScore_count() {
		return score_count;
	}
	public void setScore_count(Integer score_count) {
		this.score_count = score_count;
	}
	public Integer getMk_count() {
		return mk_count;
	}
	public void setMk_count(Integer mk_count) {
		this.mk_count = mk_count;
	}
	public Integer getMajor_id() {
		return major_id;
	}
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}
	public String getIs_overtime() {
		return is_overtime;
	}
	public void setIs_overtime(String is_overtime) {
		this.is_overtime = is_overtime;
	}
	public String getTime_name() {
		return time_name;
	}
	public void setTime_name(String time_name) {
		this.time_name = time_name;
	}
	/**
	 * 
	 */	
  	public void setCert_course_id(Integer cert_course_id) {
		this.cert_course_id = cert_course_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getCert_course_id() {
		return cert_course_id;
  	}
	/**
	 * 
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 
	 */	
  	public void setCert_type_id(Integer cert_type_id) {
		this.cert_type_id = cert_type_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getCert_type_id() {
		return cert_type_id;
  	}
	/**
	 * 
	 */	
  	public void setCreate_time(String create_time) {
		this.create_time = create_time;
  	}
 	/**
	 * 
	 */	 	
  	public String getCreate_time() {
		return create_time;
  	}
	/**
	 * 
	 */	
  	public void setDone_course_name(String done_course_name) {
		this.done_course_name = done_course_name;
  	}
 	/**
	 * 
	 */	 	
  	public String getDone_course_name() {
		return done_course_name;
  	}
	/**
	 * 
	 */	
  	public void setDone_course_score(String done_course_score) {
		this.done_course_score = done_course_score;
  	}
 	/**
	 * 
	 */	 	
  	public String getDone_course_score() {
		return done_course_score;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 
	 */	
  	public void setStd_cert_no(String std_cert_no) {
		this.std_cert_no = std_cert_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getStd_cert_no() {
		return std_cert_no;
  	}
	/**
	 * 
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 
	 */	
  	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStd_reg_id() {
		return std_reg_id;
  	}
	/**
	 * 
	 */	
  	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getTicket_no() {
		return ticket_no;
  	}
	/**
	 * 
	 */	
  	public void setTime_config_id(Integer time_config_id) {
		this.time_config_id = time_config_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getTime_config_id() {
		return time_config_id;
  	}
	/**
	 * 
	 */	
  	public void setVerify1_person(String verify1_person) {
		this.verify1_person = verify1_person;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify1_person() {
		return verify1_person;
  	}
	/**
	 * 
	 */	
  	public void setVerify1_remark(String verify1_remark) {
		this.verify1_remark = verify1_remark;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify1_remark() {
		return verify1_remark;
  	}
	/**
	 * 
	 */	
  	public void setVerify1_time(String verify1_time) {
		this.verify1_time = verify1_time;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify1_time() {
		return verify1_time;
  	}
	/**
	 * 
	 */	
  	public void setVerify2_person(String verify2_person) {
		this.verify2_person = verify2_person;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify2_person() {
		return verify2_person;
  	}
	/**
	 * 
	 */	
  	public void setVerify2_remark(String verify2_remark) {
		this.verify2_remark = verify2_remark;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify2_remark() {
		return verify2_remark;
  	}
	/**
	 * 
	 */	
  	public void setVerify2_time(String verify2_time) {
		this.verify2_time = verify2_time;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify2_time() {
		return verify2_time;
  	}
  	
  	protected String cert_course_code;
  	protected String cert_course_name;
  	protected String status_text;
  	
	public String getCert_course_code() {
		return cert_course_code;
	}
	public void setCert_course_code(String cert_course_code) {
		this.cert_course_code = cert_course_code;
	}
	public String getCert_course_name() {
		return cert_course_name;
	}
	public void setCert_course_name(String cert_course_name) {
		this.cert_course_name = cert_course_name;
	}
  	
	public String getFile_path() {
		return file_path;
	}
	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}

	protected String cert_name;
	protected String year_time;

	public String getCert_name() {
		return cert_name;
	}
	public void setCert_name(String cert_name) {
		this.cert_name = cert_name;
	}
	public String getStatus_text() {
		return status_text;
	}
	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}
	public String getYear_time() {
		return year_time;
	}
	public void setYear_time(String year_time) {
		this.year_time = year_time;
	}
	public String getZw_flow_no() {
		return zw_flow_no;
	}
	public void setZw_flow_no(String zw_flow_no) {
		this.zw_flow_no = zw_flow_no;
	}
	
	
  	
}