package cn.hmsoft.ses.data.model.mk;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: yangwei
 * @date: 2019-03-05 16:30:03
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "mk_cert_nedu_apply", keyColumn = "id", sequenceName = "SEQ_mk_cert_nedu_apply")
public class MkCertNeduApply implements Serializable {
	private static final long serialVersionUID = 1287038343565004417L;
	//
	private Integer id;
	
	private Integer std_reg_id;
  	//
  	private String cert_no;
  	//
  	private Integer cert_type_id;
  	//
  	private String create_time;
  	//
  	private String exam_date;
  	//
  	private String file_path;
  	//
  	private Integer status;
  	//
  	private String std_cert_no;
  	//
  	private String std_name;
  	//
  	private String verify_remark1;
  	//
  	private String verify_remark2;
  	//
  	private String verify_remark3;
  	
  	private Integer verify_person1;
  	private Integer verify_person2;

	private String source_unit;
  	private Integer score;
  	private Integer org_id;
  	private Integer time_config_id;
  	
  	private String zw_flow_no;
  	
  	private String ticket_no;
  	
  	private Integer major_id;
  	
  	private Integer cert_type_catalog;
  	
  	protected String time_name;
  	
  	protected String is_overtime;
  	
  	protected String course_name;
  	
  	
  	public String getCourse_name() {
		return course_name;
	}
	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}
	public Integer getMajor_id() {
		return major_id;
	}
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}
	public String getIs_overtime() {
		return is_overtime;
	}
	public void setIs_overtime(String is_overtime) {
		this.is_overtime = is_overtime;
	}
	public String getTime_name() {
		return time_name;
	}
	public void setTime_name(String time_name) {
		this.time_name = time_name;
	}
	public Integer getVerify_person1() {
		return verify_person1;
	}
	public void setVerify_person1(Integer verify_person1) {
		this.verify_person1 = verify_person1;
	}
	public Integer getVerify_person2() {
		return verify_person2;
	}
	public void setVerify_person2(Integer verify_person2) {
		this.verify_person2 = verify_person2;
	}


  	
	public String getTicket_no() {
		return ticket_no;
	}
	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}
	public String getZw_flow_no() {
		return zw_flow_no;
	}
	public void setZw_flow_no(String zw_flow_no) {
		this.zw_flow_no = zw_flow_no;
	}
	public Integer getStd_reg_id() {
		return std_reg_id;
	}
	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
	}
	/**
	 * 
	 */	
  	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getCert_no() {
		return cert_no;
  	}
	/**
	 * 
	 */	
  	public void setCert_type_id(Integer cert_type_id) {
		this.cert_type_id = cert_type_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getCert_type_id() {
		return cert_type_id;
  	}
	/**
	 * 
	 */	
  	public void setCreate_time(String create_time) {
		this.create_time = create_time;
  	}
 	/**
	 * 
	 */	 	
  	public String getCreate_time() {
		return create_time;
  	}
	/**
	 * 
	 */	
  	public void setExam_date(String exam_date) {
		this.exam_date = exam_date;
  	}
 	/**
	 * 
	 */	 	
  	public String getExam_date() {
		return exam_date;
  	}
	/**
	 * 
	 */	
  	public void setFile_path(String file_path) {
		this.file_path = file_path;
  	}
 	/**
	 * 
	 */	 	
  	public String getFile_path() {
		return file_path;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 
	 */	
  	public void setStd_cert_no(String std_cert_no) {
		this.std_cert_no = std_cert_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getStd_cert_no() {
		return std_cert_no;
  	}
	/**
	 * 
	 */	
  	public void setStd_name(String std_name) {
		this.std_name = std_name;
  	}
 	/**
	 * 
	 */	 	
  	public String getStd_name() {
		return std_name;
  	}
	/**
	 * 
	 */	
  	public void setVerify_remark1(String verify_remark1) {
		this.verify_remark1 = verify_remark1;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify_remark1() {
		return verify_remark1;
  	}
	/**
	 * 
	 */	
  	public void setVerify_remark2(String verify_remark2) {
		this.verify_remark2 = verify_remark2;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify_remark2() {
		return verify_remark2;
  	}
	/**
	 * 
	 */	
  	public void setVerify_remark3(String verify_remark3) {
		this.verify_remark3 = verify_remark3;
  	}
 	/**
	 * 
	 */	 	
  	public String getVerify_remark3() {
		return verify_remark3;
  	}
  	
  	public String getSource_unit() {
		return source_unit;
	}
	public void setSource_unit(String source_unit) {
		this.source_unit = source_unit;
	}

	

	public Integer getScore() {
		return score;
	}
	public void setScore(Integer score) {
		this.score = score;
	}



	protected String cert_name;
  	protected String status_text;
  	protected String year_time;

	public String getCert_name() {
		return cert_name;
	}
	public void setCert_name(String cert_name) {
		this.cert_name = cert_name;
	}
	public String getStatus_text() {
		return status_text;
	}
	public void setStatus_text(String status_text) {
		this.status_text = status_text;
	}
	public Integer getOrg_id() {
		return org_id;
	}
	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
	}
	public Integer getCert_type_catalog() {
		return cert_type_catalog;
	}
	public void setCert_type_catalog(Integer cert_type_catalog) {
		this.cert_type_catalog = cert_type_catalog;
	}
	public Integer getTime_config_id() {
		return time_config_id;
	}
	public void setTime_config_id(Integer time_config_id) {
		this.time_config_id = time_config_id;
	}
	public String getYear_time() {
		return year_time;
	}
	public void setYear_time(String year_time) {
		this.year_time = year_time;
	}
  	
}