package cn.hmsoft.ses.data.model.pay;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 *  模型.
 * 
 * @author: yangwei
 * @date: 2019-05-27 11:00:58
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pay_bill_statis", keyColumn = "id", sequenceName = "SEQ_pay_bill_statis")
public class PayBillStatis implements Serializable {
	private static final long serialVersionUID = 1805914755549414467L;
  	//付费次数统计
  	private Integer count_fee;
  	//价格
  	private String fee_price;
  	private Integer org_id;
  	private Integer exam_agent_id;
  	//机构代码
  	private String org_code;
	//机构名称
  	private String org_name;
  	//费用合计
  	private Integer sum_fee;
  	private String exam_times;
  	private Integer std_source;
  	private Integer enrol_type;
  	
  	private Integer exam_year;
  	private String exam_month;
  	// 是否开考考区
  	private String status;
  	// 排序
  	private Integer ordernum;
  	
	public Integer getOrdernum() {
		return ordernum;
	}
	public void setOrdernum(Integer ordernum) {
		this.ordernum = ordernum;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	
  	
	/**
	 * 
	 */	
  	public void setCount_fee(Integer count_fee) {
		this.count_fee = count_fee;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getCount_fee() {
		return count_fee;
  	}
	/**
	 * 
	 */	
  	public void setFee_price(String fee_price) {
		this.fee_price = fee_price;
  	}
 	/**
	 * 
	 */	 	
  	public String getFee_price() {
		return fee_price;
  	}
	/**
	 * 
	 */	
  	public void setOrg_code(String org_code) {
		this.org_code = org_code;
  	}
 	/**
	 * 
	 */	 	
  	public String getOrg_code() {
		return org_code;
  	}
	/**
	 * 
	 */	
  	public void setOrg_name(String org_name) {
		this.org_name = org_name;
  	}
 	/**
	 * 
	 */	 	
  	public String getOrg_name() {
		return org_name;
  	}
	/**
	 * 
	 */	
  	public void setSum_fee(Integer sum_fee) {
		this.sum_fee = sum_fee;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getSum_fee() {
		return sum_fee;
  	}
	public String getExam_times() {
		return exam_times;
	}
	public void setExam_times(String exam_times) {
		this.exam_times = exam_times;
	}
	public Integer getStd_source() {
		return std_source;
	}
	public void setStd_source(Integer std_source) {
		this.std_source = std_source;
	}
	public Integer getOrg_id() {
		return org_id;
	}
	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
	}
	public Integer getExam_agent_id() {
		return exam_agent_id;
	}
	public void setExam_agent_id(Integer exam_agent_id) {
		this.exam_agent_id = exam_agent_id;
	}
	public Integer getExam_year() {
		return exam_year;
	}
	public void setExam_year(Integer exam_year) {
		this.exam_year = exam_year;
	}
	public String getExam_month() {
		return exam_month;
	}
	public void setExam_month(String exam_month) {
		this.exam_month = exam_month;
	}
	public Integer getEnrol_type() {
		return enrol_type;
	}
	public void setEnrol_type(Integer enrol_type) {
		this.enrol_type = enrol_type;
	}
  	
  	
}