package cn.hmsoft.ses.data.model.pay;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 *  模型.
 * 
 * @author: yangwei
 * @date: 2019-02-22 16:19:34
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PAY_BILL_UNION", keyColumn = "bill_id", sequenceName = "SEQ_PAY_BILL_UNION")
public class PayBillUnion implements Serializable {
	private static final long serialVersionUID = -7072392668563664947L;
  	//
  	private Integer bill_amount;
  	//
  	private Integer bill_id;
  	//
  	private String bill_no;
  	//
  	private String bill_param;
  	//
  	private String bill_status;
  	//
  	private LocalDateTime bill_time;
  	//
  	private String business_id;
  	//
  	private String business_type;
  	//
  	private String channel_type;
  	//
  	private String customer_id;
  	//
  	private LocalDateTime refund_time;
  	//
  	private LocalDateTime reply_time;
  	
  	private Integer is_batch_pay;
  	
  	private String business_ids;
  	
  	private String remark;
  	
  	private String paytype;
  	
  	private LocalDateTime reply_last_time;
  	
  	private String reply_remark;
  	
  	protected Integer is_three_minutes;
  
	public String getReply_remark() {
		return reply_remark;
	}
	public void setReply_remark(String reply_remark) {
		this.reply_remark = reply_remark;
	}
	public LocalDateTime getReply_last_time() {
		return reply_last_time;
	}
	public void setReply_last_time(LocalDateTime reply_last_time) {
		this.reply_last_time = reply_last_time;
	}
	
	public String getPaytype() {
		return paytype;
	}
	public void setPaytype(String paytype) {
		this.paytype = paytype;
	}
	public Integer getIs_three_minutes() {
		return is_three_minutes;
	}
	public void setIs_three_minutes(Integer is_three_minutes) {
		this.is_three_minutes = is_three_minutes;
	}
	/**
	 * 
	 */	
  	public void setBill_amount(Integer bill_amount) {
		this.bill_amount = bill_amount;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getBill_amount() {
		return bill_amount;
  	}
	/**
	 * 
	 */	
  	public void setBill_id(Integer bill_id) {
		this.bill_id = bill_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getBill_id() {
		return bill_id;
  	}
	/**
	 * 
	 */	
  	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
  	}
 	/**
	 * 
	 */	 	
  	public String getBill_no() {
		return bill_no;
  	}
	/**
	 * 
	 */	
  	public void setBill_param(String bill_param) {
		this.bill_param = bill_param;
  	}
 	/**
	 * 
	 */	 	
  	public String getBill_param() {
		return bill_param;
  	}
	/**
	 * 
	 */	
  	public void setBill_status(String bill_status) {
		this.bill_status = bill_status;
  	}
 	/**
	 * 
	 */	 	
  	public String getBill_status() {
		return bill_status;
  	}
	/**
	 * 
	 */	
  	public void setBill_time(LocalDateTime bill_time) {
		this.bill_time = bill_time;
  	}
 	/**
	 * 
	 */	 	
  	public LocalDateTime getBill_time() {
		return bill_time;
  	}
	/**
	 * 
	 */	
  	public void setBusiness_id(String business_id) {
		this.business_id = business_id;
  	}
 	/**
	 * 
	 */	 	
  	public String getBusiness_id() {
		return business_id;
  	}
	/**
	 * 
	 */	
  	public void setBusiness_type(String business_type) {
		this.business_type = business_type;
  	}
 	/**
	 * 
	 */	 	
  	public String getBusiness_type() {
		return business_type;
  	}
	/**
	 * 
	 */	
  	public void setChannel_type(String channel_type) {
		this.channel_type = channel_type;
  	}
 	/**
	 * 
	 */	 	
  	public String getChannel_type() {
		return channel_type;
  	}
	/**
	 * 
	 */	
  	public void setCustomer_id(String customer_id) {
		this.customer_id = customer_id;
  	}
 	/**
	 * 
	 */	 	
  	public String getCustomer_id() {
		return customer_id;
  	}
	/**
	 * 
	 */	
  	public void setRefund_time(LocalDateTime refund_time) {
		this.refund_time = refund_time;
  	}
 	/**
	 * 
	 */	 	
  	public LocalDateTime getRefund_time() {
		return refund_time;
  	}
	/**
	 * 
	 */	
  	public void setReply_time(LocalDateTime reply_time) {
		this.reply_time = reply_time;
  	}
 	/**
	 * 
	 */	 	
  	public LocalDateTime getReply_time() {
		return reply_time;
  	}
	public Integer getIs_batch_pay() {
		return is_batch_pay;
	}
	public void setIs_batch_pay(Integer is_batch_pay) {
		this.is_batch_pay = is_batch_pay;
	}
	public String getBusiness_ids() {
		return business_ids;
	}
	public void setBusiness_ids(String business_ids) {
		this.business_ids = business_ids;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
  	
  	
}