package cn.hmsoft.ses.data.model.pay;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "PAY_INVOICING", keyColumn = "bill_no")
public class PayInvoicing implements Serializable {
	private static final long serialVersionUID = -7072392668563664941L;

	private String bill_no;
	private LocalDateTime bill_time;
	private Integer bill_amount;
	private String bill_status;
	private Integer std_reg_id;
	private String status;
	private LocalDateTime create_time;
	private String path;
	private String year_code;

	private String std_name;
	private String cert_no;
	private String payerpartytype;
	private String payerpartyname;
	private String payerpartycode;
	
	protected Integer index;
	protected String ticket_no;
	protected String course_code;
	protected String payerpartytype_text;
	protected String exam_year_month;
	

	public String getExam_year_month() {
		return exam_year_month;
	}

	public void setExam_year_month(String exam_year_month) {
		this.exam_year_month = exam_year_month;
	}

	public String getPayerpartytype() {
		return payerpartytype;
	}

	public void setPayerpartytype(String payerpartytype) {
		this.payerpartytype = payerpartytype;
	}

	public String getPayerpartyname() {
		return payerpartyname;
	}

	public void setPayerpartyname(String payerpartyname) {
		this.payerpartyname = payerpartyname;
	}

	public String getPayerpartycode() {
		return payerpartycode;
	}

	public void setPayerpartycode(String payerpartycode) {
		this.payerpartycode = payerpartycode;
	}

	public String getPayerpartytype_text() {
		return payerpartytype_text;
	}

	public void setPayerpartytype_text(String payerpartytype_text) {
		this.payerpartytype_text = payerpartytype_text;
	}

	public String getCourse_code() {
		return course_code;
	}

	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}

	public String getCert_no() {
		return cert_no;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public String getTicket_no() {
		return ticket_no;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getYear_code() {
		return year_code;
	}

	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
	}

	public LocalDateTime getBill_time() {
		return bill_time;
	}

	public void setBill_time(LocalDateTime bill_time) {
		this.bill_time = bill_time;
	}

	public Integer getBill_amount() {
		return bill_amount;
	}

	public void setBill_amount(Integer bill_amount) {
		this.bill_amount = bill_amount;
	}

	public String getBill_status() {
		return bill_status;
	}

	public void setBill_status(String bill_status) {
		this.bill_status = bill_status;
	}

	public Integer getStd_reg_id() {
		return std_reg_id;
	}

	public void setStd_reg_id(Integer std_reg_id) {
		this.std_reg_id = std_reg_id;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public LocalDateTime getCreate_time() {
		return create_time;
	}

	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	public Integer getIndex() {
		return index;
	}

	public void setIndex(Integer index) {
		this.index = index;
	}

}