package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 国家平台的专业数据 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-10-21 15:49:12
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_country_major", keyColumn = "id", sequenceName = "SEQ_pl_country_major")
public class PlCountryMajor implements Serializable {
	private static final long serialVersionUID = -6924884190684655542L;
  	//
  	private Integer id;
  	//0：旧专业1：新专业
  	private Integer is_new_major;
  	//专业代码
  	private String major_code;
  	//专业名称
  	private String major_name;
  	//专业层次
  	private Integer major_level;
  
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 0：旧专业1：新专业
	 */	
  	public void setIs_new_major(Integer is_new_major) {
		this.is_new_major = is_new_major;
  	}
 	/**
	 * 0：旧专业1：新专业
	 */	 	
  	public Integer getIs_new_major() {
		return is_new_major;
  	}
	/**
	 * 专业代码
	 */	
  	public void setMajor_code(String major_code) {
		this.major_code = major_code;
  	}
 	/**
	 * 专业代码
	 */	 	
  	public String getMajor_code() {
		return major_code;
  	}
	/**
	 * 专业名称
	 */	
  	public void setMajor_name(String major_name) {
		this.major_name = major_name;
  	}
 	/**
	 * 专业名称
	 */	 	
  	public String getMajor_name() {
		return major_name;
  	}
 	/**
	 * 专业层次
	 */	 
	public Integer getMajor_level() {
		return major_level;
	}
 	/**
	 * 专业层次
	 */	 
	public void setMajor_level(Integer major_level) {
		this.major_level = major_level;
	}
  	
}