package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 专业申报目录总库明细表 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-10-18 09:31:22
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_major_apply_dir_detail", keyColumn = "id", sequenceName = "seq_pl_major_apply_dir_detail")
public class PlMajorApplyDirDetail implements Serializable {
	private static final long serialVersionUID = 6172489566004823981L;
  	//专业申报目录ID 和专业申报目录总库表关联
  	private Integer dir_id;
  	//主键ID
  	private Integer id;
  	//学校ID 和机构表关联
  	private Integer school_id;
  
	/**
	 * 专业申报目录ID 和专业申报目录总库表关联
	 */	
  	public void setDir_id(Integer dir_id) {
		this.dir_id = dir_id;
  	}
 	/**
	 * 专业申报目录ID 和专业申报目录总库表关联
	 */	 	
  	public Integer getDir_id() {
		return dir_id;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 学校ID 和机构表关联
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 学校ID 和机构表关联
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
}