package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 申报专业-对应的衔接学校表 模型.
 * 
 * @author: haoguanghui
 * @date: 2019-06-18 14:44:10
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_major_apply_join_school", keyColumn = "id", sequenceName = "SEQ_pl_major_apply_join_school")
public class PlMajorApplyJoinSchool implements Serializable {
	private static final long serialVersionUID = -1235734634977439045L;
  	//专业申报ID，和专业申报表关联
  	private Integer apply_id;
  	//
  	private Integer id;
  	//衔接学校ID，和cf_organization表关联
  	private Integer join_school_id;
  	//专业ID
  	private Integer major_id;
	/**
	 * 专业申报ID，和专业申报表关联
	 */	
  	public void setApply_id(Integer apply_id) {
		this.apply_id = apply_id;
  	}
 	/**
	 * 专业申报ID，和专业申报表关联
	 */	 	
  	public Integer getApply_id() {
		return apply_id;
  	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 衔接学校ID，和cf_organization表关联
	 */	
  	public void setJoin_school_id(Integer join_school_id) {
		this.join_school_id = join_school_id;
  	}
 	/**
	 * 衔接学校ID，和cf_organization表关联
	 */	 	
  	public Integer getJoin_school_id() {
		return join_school_id;
  	}
	public Integer getMajor_id() {
		return major_id;
	}
	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
	}
	
	protected String org_id; //主考学校ID
	protected String org_name; //主考学校名称

	public String getOrg_id() {
		return org_id;
	}

	public void setOrg_id(String org_id) {
		this.org_id = org_id;
	}

	public String getOrg_name() {
		return org_name;
	}

	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	
	
}