package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 专业申报时间配置明细表 针对专业申报时间配置表中的部分学校； 模型.
 * 
 * @author: zq
 * @date: 2018-10-20 16:15:32
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_MAJOR_APPLY_TIME_DETAIL", keyColumn = "id", sequenceName = "SEQ_PL_MAJOR_APPLY_TIME_DETAIL")
public class PlMajorApplyTimeDetail implements Serializable {
	private static final long serialVersionUID = -9113945172160045226L;
  	//主键ID
  	private Integer id;
  	//关联申报时间配置表ID
  	private Integer apply_time_id;
  	//学校ID 和机构表关联
  	private Integer school_id;
  
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 关联申报时间配置表ID
	 */	
  	public void setApply_time_id(Integer apply_time_id) {
		this.apply_time_id = apply_time_id;
  	}
 	/**
	 * 关联申报时间配置表ID
	 */	 	
  	public Integer getApply_time_id() {
		return apply_time_id;
  	}
	/**
	 * 学校ID 和机构表关联
	 */	
  	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
  	}
 	/**
	 * 学校ID 和机构表关联
	 */	 	
  	public Integer getSchool_id() {
		return school_id;
  	}
  	
  	//机构名称
  	protected String org_name;
  	//机构代码
  	protected String org_code;

	public String getOrg_name() {
		return org_name;
	}
	public String getOrg_code() {
		return org_code;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}
}