package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 专业课程对应表 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-10-17 10:03:45
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_major_course", keyColumn = "id", sequenceName = "seq_pl_major_course")
public class PlMajorCourse implements Serializable {
	private static final long serialVersionUID = 224028187172599345L;
  	//课程ID 和课程表关联
  	private Integer course_id;
  	//课程性质 公共课、核心课、选考科、毕业论文
  	private Integer course_nature;
  	//主键ID
  	private Integer id;
  	//是否沟通课
  	private Integer is_communicate_course;
  	//是否必考
  	private Integer is_must;
  	//专业ID 和专业信息表关联
  	private Integer major_id;
  	//选修方向
  	private String direct_remark;
  	// 是否百分百合成
  	private Integer iscompose;
  	
  	protected String full_name;
  	
	public String getFull_name() {
		return full_name;
	}
	public void setFull_name(String full_name) {
		this.full_name = full_name;
	}
	public Integer getIscompose() {
		return iscompose;
	}
	public void setIscompose(Integer iscompose) {
		this.iscompose = iscompose;
	}
	/**
	 * 课程ID 和课程表关联
	 */	
  	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
  	}
 	/**
	 * 课程ID 和课程表关联
	 */	 	
  	public Integer getCourse_id() {
		return course_id;
  	}
	/**
	 * 课程性质 公共课、核心课、选考科、毕业论文
	 */	
  	public void setCourse_nature(Integer course_nature) {
		this.course_nature = course_nature;
  	}
 	/**
	 * 课程性质 公共课、核心课、选考科、毕业论文
	 */	 	
  	public Integer getCourse_nature() {
		return course_nature;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 是否沟通课
	 */	
  	public void setIs_communicate_course(Integer is_communicate_course) {
		this.is_communicate_course = is_communicate_course;
  	}
 	/**
	 * 是否沟通课
	 */	 	
  	public Integer getIs_communicate_course() {
		return is_communicate_course;
  	}
	/**
	 * 是否必考
	 */	
  	public void setIs_must(Integer is_must) {
		this.is_must = is_must;
  	}
 	/**
	 * 是否必考
	 */	 	
  	public Integer getIs_must() {
		return is_must;
  	}
	/**
	 * 专业ID 和专业信息表关联
	 */	
  	public void setMajor_id(Integer major_id) {
		this.major_id = major_id;
  	}
 	/**
	 * 专业ID 和专业信息表关联
	 */	 	
  	public Integer getMajor_id() {
		return major_id;
  	}
	/**
	 * 选修方向
	 */	
  	public String getDirect_remark() {
		return direct_remark;
	}
	/**
	 * 选修方向
	 */	
	public void setDirect_remark(String direct_remark) {
		this.direct_remark = direct_remark;
	}



	protected Integer couse_id;
	protected String course_code;// 课程代码
	protected String course_name;// 课程名称
	protected String course_score;// 学分
	protected Integer course_exam_type;// 考试课程类型
	protected Integer status;// 课程状态(开考、停考)
  	
	
	public Integer getCouse_id() {
		return couse_id;
	}
	public void setCouse_id(Integer couse_id) {
		this.couse_id = couse_id;
	}
	public String getCourse_code() {
		return course_code;
	}

	public void setCourse_code(String course_code) {
		this.course_code = course_code;
	}

	public String getCourse_name() {
		return course_name;
	}

	public void setCourse_name(String course_name) {
		this.course_name = course_name;
	}

	public String getCourse_score() {
		return course_score;
	}

	public void setCourse_score(String course_score) {
		this.course_score = course_score;
	}

	public Integer getCourse_exam_type() {
		return course_exam_type;
	}

	public void setCourse_exam_type(Integer course_exam_type) {
		this.course_exam_type = course_exam_type;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
  	
  	
}