package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 省考考试计划表 对应考试计划编制 模型.
 * 
 * @author: zq
 * @date: 2018-10-18 12:19:36
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PL_PROVINCE_EXAM_PLAN", keyColumn = "id", sequenceName = "SEQ_PL_PROVINCE_EXAM_PLAN")
public class PlProvinceExamPlan implements Serializable {
	private static final long serialVersionUID = 1230267617026775715L;
  	//考试时间ID 和考试时间设置表关联
  	private Integer exam_time_id;
  	//主键ID
  	private Integer id;
  	//课程代码 冗余字段
  	private String prov_course_code;
  	//课程名称
  	private String prov_course_name;
  	//课程ID
  	private Integer prov_course_id;
  	//考试时间 如：星期六上午
  	private String prov_exam_time;
  	private String start_time;
  	private String end_time;
	/**
	 * 考试时间ID 和考试时间设置表关联
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 考试时间ID 和考试时间设置表关联
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 课程代码 冗余字段
	 */	
  	public void setProv_course_code(String prov_course_code) {
		this.prov_course_code = prov_course_code;
  	}
 	/**
	 * 课程代码 冗余字段
	 */	 	
  	public String getProv_course_code() {
		return prov_course_code;
  	}
	public String getProv_course_name() {
		return prov_course_name;
	}
	public void setProv_course_name(String prov_course_name) {
		this.prov_course_name = prov_course_name;
	}
	/**
	 * 课程ID
	 */	
  	public void setProv_course_id(Integer prov_course_id) {
		this.prov_course_id = prov_course_id;
  	}
 	/**
	 * 课程ID
	 */	 	
  	public Integer getProv_course_id() {
		return prov_course_id;
  	}
	/**
	 * 考试时间 如：星期六上午
	 */	
  	public void setProv_exam_time(String prov_exam_time) {
		this.prov_exam_time = prov_exam_time;
  	}
 	/**
	 * 考试时间 如：星期六上午
	 */	 	
  	public String getProv_exam_time() {
		return prov_exam_time;
  	}

	public Integer getExam_month() {
		return exam_month;
	}
	public void setExam_month(Integer exam_month) {
		this.exam_month = exam_month;
	}

  	//课程学分
  	protected String score;
  	protected Integer exam_year;
    //考试月份
  	protected Integer exam_month;
  	
	public String getScore() {
		return score;
	}
	public void setScore(String score) {
		this.score = score;
	}
	
  	//星期天上午
  	protected String full_exam_date;

	public String getFull_exam_date() {
		return full_exam_date;
	}
	public void setFull_exam_date(String full_exam_date) {
		this.full_exam_date = full_exam_date;
	}
	public String getStart_time() {
		return start_time;
	}
	public String getEnd_time() {
		return end_time;
	}
	public void setStart_time(String start_time) {
		this.start_time = start_time;
	}
	public void setEnd_time(String end_time) {
		this.end_time = end_time;
	}
}