package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 考试计划发布主表 模型.
 * 
 * @author: zq
 * @date: 2019-01-28 18:35:06
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_publish_plan_main", keyColumn = "id", sequenceName = "SEQ_PL_PUBLISH_PLAN_MAIN")
public class PlPublishPlanMain implements Serializable {
	private static final long serialVersionUID = 4120880020845313782L;
  	//编号
  	private Integer id;
  	//发布人
  	private Integer publisher;
  	//发布时间
  	private LocalDateTime publish_time;
  	//发布批次名
  	private String pub_batch_name;
  	//状态 0-新建、1-已发布
  	private Integer status;
  	//年度码
  	private Integer exam_time_id;
  	//创建人
  	private Integer creator;
  	//创建时间
  	private LocalDateTime create_time;
  	
	/**
	 * 编号
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 编号
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 发布人
	 */	
  	public void setPublisher(Integer publisher) {
		this.publisher = publisher;
  	}
 	/**
	 * 发布人
	 */	 	
  	public Integer getPublisher() {
		return publisher;
  	}
	/**
	 * 发布时间
	 */	
  	public void setPublish_time(LocalDateTime publish_time) {
		this.publish_time = publish_time;
  	}
 	/**
	 * 发布时间
	 */	 	
  	public LocalDateTime getPublish_time() {
		return publish_time;
  	}
	/**
	 * 发布批次名
	 */	
  	public void setPub_batch_name(String pub_batch_name) {
		this.pub_batch_name = pub_batch_name;
  	}
 	/**
	 * 发布批次名
	 */	 	
  	public String getPub_batch_name() {
		return pub_batch_name;
  	}
	/**
	 * 状态 0-新建、1-已发布
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 0-新建、1-已发布
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 时间ID
	 */	
  	public void setExam_time_id(Integer exam_time_id) {
		this.exam_time_id = exam_time_id;
  	}
 	/**
	 * 时间ID
	 */	 	
  	public Integer getExam_time_id() {
		return exam_time_id;
  	}
	public Integer getCreator() {
		return creator;
	}
	public LocalDateTime getCreate_time() {
		return create_time;
	}
	public void setCreator(Integer creator) {
		this.creator = creator;
	}
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}
	//
	protected String publisher_name;
	protected String creator_name;
	protected Integer exam_year;
	protected Integer exam_month;
	
	public String getPublisher_name() {
		return publisher_name;
	}
	public String getCreator_name() {
		return creator_name;
	}
	public void setPublisher_name(String publisher_name) {
		this.publisher_name = publisher_name;
	}
	public void setCreator_name(String creator_name) {
		this.creator_name = creator_name;
	}
	public Integer getExam_year() {
		return exam_year;
	}
	public Integer getExam_month() {
		return exam_month;
	}
	public void setExam_year(Integer exam_year) {
		this.exam_year = exam_year;
	}
	public void setExam_month(Integer exam_month) {
		this.exam_month = exam_month;
	}
	
}