package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 教材表 旧表-jc_jiaocai 模型.
 * 
 * @author: haoguanghui
 * @date: 2018-10-17 14:49:52
 * @version: 1.0
 * @email: hgh@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_textbook", keyColumn = "id", sequenceName = "seq_pl_textbook")
public class PlTextbook implements Serializable {
	private static final long serialVersionUID = -536281787214929661L;
  	//主键ID
  	private Integer id;
  	//费用
  	private String price;
  	//出版时间
  	private String publish_time;
  	//说明
  	private String remark;
  	//状态 启用、停用
  	private Integer status;
  	//教材代号
  	private String textbook_code;
  	//教材名称
  	private String textbook_name;
  	//大纲 教材大纲
  	private String textbook_outline;
  	//出版社
  	private String textbook_publisher;
  	//版次 如：2008
  	private String textbook_revision;
  	//国标代码
  	private String textbook_standard_code;
  	//编著
  	private String textbook_writer;
  	
  	protected Integer course_id;
  	protected String year_code;

  
	public Integer getCourse_id() {
		return course_id;
	}
	public void setCourse_id(Integer course_id) {
		this.course_id = course_id;
	}
	public String getYear_code() {
		return year_code;
	}
	public void setYear_code(String year_code) {
		this.year_code = year_code;
	}
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 费用
	 */	
  	public void setPrice(String price) {
		this.price = price;
  	}
 	/**
	 * 费用
	 */	 	
  	public String getPrice() {
		return price;
  	}
	/**
	 * 出版时间
	 */	
  	public void setPublish_time(String publish_time) {
		this.publish_time = publish_time;
  	}
 	/**
	 * 出版时间
	 */	 	
  	public String getPublish_time() {
		return publish_time;
  	}
	/**
	 * 说明
	 */	
  	public void setRemark(String remark) {
		this.remark = remark;
  	}
 	/**
	 * 说明
	 */	 	
  	public String getRemark() {
		return remark;
  	}
	/**
	 * 状态 启用、停用
	 */	
  	public void setStatus(Integer status) {
		this.status = status;
  	}
 	/**
	 * 状态 启用、停用
	 */	 	
  	public Integer getStatus() {
		return status;
  	}
	/**
	 * 教材代号
	 */	
  	public void setTextbook_code(String textbook_code) {
		this.textbook_code = textbook_code;
  	}
 	/**
	 * 教材代号
	 */	 	
  	public String getTextbook_code() {
		return textbook_code;
  	}
	/**
	 * 教材名称
	 */	
  	public void setTextbook_name(String textbook_name) {
		this.textbook_name = textbook_name;
  	}
 	/**
	 * 教材名称
	 */	 	
  	public String getTextbook_name() {
		return textbook_name;
  	}
	/**
	 * 大纲 教材大纲
	 */	
  	public void setTextbook_outline(String textbook_outline) {
		this.textbook_outline = textbook_outline;
  	}
 	/**
	 * 大纲 教材大纲
	 */	 	
  	public String getTextbook_outline() {
		return textbook_outline;
  	}
	/**
	 * 出版社
	 */	
  	public void setTextbook_publisher(String textbook_publisher) {
		this.textbook_publisher = textbook_publisher;
  	}
 	/**
	 * 出版社
	 */	 	
  	public String getTextbook_publisher() {
		return textbook_publisher;
  	}
	/**
	 * 版次 如：2008
	 */	
  	public void setTextbook_revision(String textbook_revision) {
		this.textbook_revision = textbook_revision;
  	}
 	/**
	 * 版次 如：2008
	 */	 	
  	public String getTextbook_revision() {
		return textbook_revision;
  	}
	/**
	 * 国标代码
	 */	
  	public void setTextbook_standard_code(String textbook_standard_code) {
		this.textbook_standard_code = textbook_standard_code;
  	}
 	/**
	 * 国标代码
	 */	 	
  	public String getTextbook_standard_code() {
		return textbook_standard_code;
  	}
	/**
	 * 编著
	 */	
  	public void setTextbook_writer(String textbook_writer) {
		this.textbook_writer = textbook_writer;
  	}
 	/**
	 * 编著
	 */	 	
  	public String getTextbook_writer() {
		return textbook_writer;
  	}
}