package cn.hmsoft.ses.data.model.pl;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 年度码表 每年只有一个年度码，可以按年份定义，如：2018、2019 模型.
 * 
 * @author: yangwei
 * @date: 2018-10-17 13:47:56
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "pl_year_code", keyColumn = "id", sequenceName = "seq_pl_year_code")
public class PlYearCode implements Serializable {
	private static final long serialVersionUID = 2912652884486479565L;
  	//主键ID
  	private Integer id;
  	//所属年份
  	private Integer year;
  	//年度码
  	private Integer year_code;
  	
  	protected String exam_year_month;
  
	/**
	 * 主键ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 主键ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 所属年份
	 */	
  	public void setYear(Integer year) {
		this.year = year;
  	}
 	/**
	 * 所属年份
	 */	 	
  	public Integer getYear() {
		return year;
  	}
	/**
	 * 年度码
	 */	
  	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
  	}
 	/**
	 * 年度码
	 */	 	
  	public Integer getYear_code() {
		return year_code;
  	}
	public String getExam_year_month() {
		return exam_year_month;
	}
	public void setExam_year_month(String exam_year_month) {
		this.exam_year_month = exam_year_month;
	}
  	
  	
}