package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**
 * @desc 财务平台-考生订单信息
 */
@Table(tableName = "query.ks_jf_zfcgdzb", keyColumn = "orderno")
public class EpayOrderInfo implements Serializable {

	private static final long serialVersionUID = 1407733322406191170L;

	/**
	 * 0 对账发现漏单，修改状态后，重新发消息给财务系统（如该订单已取消，财务会对该流水进行退费操作）， 1 正常支付，直接发送给财务系统
	 */
	protected String requestType;
	/** 订单编号 */
	private String orderNo;
	/** 支付流水 */
	private String orderSeqno;
	/** 0-PC、1-APP */
	private String payType;
	/** 订单金额 */
	private String orderAmount;
	/** 姓名 */
	private String studentName;
	/** 证件号 */
	private String IDNo;
	/** 系统名称 */
	private String systemName;
	/** 发送时间 */
	protected String requestTime;
	/** 支付时间 */
	private String payTime;
	/** 考试计划代码 */
	private String ksjhdm;
	/** 考试计划名称 */
	private String ksjhmc;
	/** 机构编号 */
	private String ssglgdm;
	/** 机构名称 */
	private String glkqmc;

	private String sub_type;

	/** 清算日期 */
	private String checkouttate;

	public String getCheckouttate() {
		return checkouttate;
	}

	public void setCheckouttate(String checkouttate) {
		this.checkouttate = checkouttate;
	}

	public String getSub_type() {
		return sub_type;
	}

	public void setSub_type(String sub_type) {
		this.sub_type = sub_type;
	}

	public String getRequestType() {
		return requestType;
	}

	public void setRequestType(String requestType) {
		this.requestType = requestType;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getOrderSeqno() {
		return orderSeqno;
	}

	public void setOrderSeqno(String orderSeqno) {
		this.orderSeqno = orderSeqno;
	}

	public String getPayType() {
		return payType;
	}

	public void setPayType(String payType) {
		this.payType = payType;
	}

	public String getOrderAmount() {
		return orderAmount;
	}

	public void setOrderAmount(String orderAmount) {
		this.orderAmount = orderAmount;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getIDNo() {
		return IDNo;
	}

	public void setIDNo(String iDNo) {
		IDNo = iDNo;
	}

	public String getSystemName() {
		return systemName;
	}

	public void setSystemName(String systemName) {
		this.systemName = systemName;
	}

	public String getRequestTime() {
		return requestTime;
	}

	public void setRequestTime(String requestTime) {
		this.requestTime = requestTime;
	}

	public String getPayTime() {
		return payTime;
	}

	public void setPayTime(String payTime) {
		this.payTime = payTime;
	}

	public String getKsjhdm() {
		return ksjhdm;
	}

	public void setKsjhdm(String ksjhdm) {
		this.ksjhdm = ksjhdm;
	}

	public String getKsjhmc() {
		return ksjhmc;
	}

	public void setKsjhmc(String ksjhmc) {
		this.ksjhmc = ksjhmc;
	}

	public String getSsglgdm() {
		return ssglgdm;
	}

	public void setSsglgdm(String ssglgdm) {
		this.ssglgdm = ssglgdm;
	}

	public String getGlkqmc() {
		return glkqmc;
	}

	public void setGlkqmc(String glkqmc) {
		this.glkqmc = glkqmc;
	}

}
