package cn.hmsoft.ses.data.model.std;

import cn.hmsoft.jdbc.entity.Table;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 *  模型.
 * 
 * @author: shudonghui
 * @date: 2021-09-29 15:20:58
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "STD_APP_FEEDBACK", keyColumn = "id", sequenceName = "SEQ_STD_APP_FEEDBACK")
public class StdAppFeedback implements Serializable {
	private static final long serialVersionUID = 5265310912425700739L;
  	//
  	private Integer id;
  	//
  	private String mobile;
  	//
  	private String reason;
  	//
  	private Integer std_id;
  	//
  	private String type_name;

	private String file_path;

	private String result;
	
	private LocalDateTime create_time;
	
	private String status;
	
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public LocalDateTime getCreate_time() {
		return create_time;
	}
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 
	 */	
  	public void setMobile(String mobile) {
		this.mobile = mobile;
  	}
 	/**
	 * 
	 */	 	
  	public String getMobile() {
		return mobile;
  	}
	/**
	 * 
	 */	
  	public void setReason(String reason) {
		this.reason = reason;
  	}
 	/**
	 * 
	 */	 	
  	public String getReason() {
		return reason;
  	}
	/**
	 * 
	 */	
  	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getStd_id() {
		return std_id;
  	}
	/**
	 * 
	 */

	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public String getType_name() {
		return type_name;
	}

	public void setType_name(String type_name) {
		this.type_name = type_name;
	}

	public String getFile_path() {
		return file_path;
	}

	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}


	protected  String std_name;
	protected  String cert_no;
	protected  String ticket_no;

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getCert_no() {
		return cert_no;
	}

	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	public String getTicket_no() {
		return ticket_no;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}
}
