package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**
 * 违规考生违规事项表 模型.
 * 
 * @author: yangwei
 * @date: 2019-05-08 09:59:17
 * @version: 1.0
 * @email: yangwei@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_break_discipline_item", keyColumn = "id", sequenceName = "SEQ_std_break_discipline_item")
public class StdBreakDisciplineItem implements Serializable {
	private static final long serialVersionUID = -6686354181710264388L;
  	//
  	private Integer id;
  	//事项代码
  	private String item_code;
  	//违规事项内容
  	private String item_content;
  	// 默认违规处理结果
  	private Integer rule_id;
  
	public Integer getRule_id() {
		return rule_id;
	}
	public void setRule_id(Integer rule_id) {
		this.rule_id = rule_id;
	}
	/**
	 * 
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * 
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 事项代码
	 */	
  	public void setItem_code(String item_code) {
		this.item_code = item_code;
  	}
 	/**
	 * 事项代码
	 */	 	
  	public String getItem_code() {
		return item_code;
  	}
	/**
	 * 违规事项内容
	 */	
  	public void setItem_content(String item_content) {
		this.item_content = item_content;
  	}
 	/**
	 * 违规事项内容
	 */	 	
  	public String getItem_content() {
		return item_content;
  	}
}