package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;


@Table(tableName = "std_identity_card", keyColumn = "id", sequenceName = "SEQ_std_identity_card")
public class StdIdentityCard implements Serializable {
	private static final long serialVersionUID = 8437701093601428489L;

	// 主键ID
	private Integer id;
	// 身份证号
	private String id_number;
	// 姓名
	private String name;
	// 性别
	private String sex;
	// 民族
	private String nationality;
	// 生日
	private String birth;
	// 地址
	private String address;
	// 认证时间
	private LocalDateTime createdate;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getId_number() {
		return id_number;
	}

	public void setId_number(String id_number) {
		this.id_number = id_number;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getNationality() {
		return nationality;
	}

	public void setNationality(String nationality) {
		this.nationality = nationality;
	}

	public String getBirth() {
		return birth;
	}

	public void setBirth(String birth) {
		this.birth = birth;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public LocalDateTime getCreatedate() {
		return createdate;
	}

	public void setCreatedate(LocalDateTime createdate) {
		this.createdate = createdate;
	}

}