package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 
 * 
 * @author: yangwei
 * @date: 2018-10-16 10:23:05
 * @version: 1.0
 * @email: xxxx@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "std_report_form", keyColumn = "id", sequenceName = "seq_std_report_form")
public class StdReportForm implements Serializable {
	private static final long serialVersionUID = 8437703093601128489L;

	// 主键ID
	private Integer id;
	private Integer year_code;
	// 姓名
	private String std_name;
	// 准考证号
	private String ticket_no;

	private String std_mobile;

	private String already_in_city;
	private String current_province;
	private String current_city;
	private String current_county;
	private String current_address;
	private String travel_date;
	private String arrive_province;
	private String arrive_city;
	private String arrive_county;
	private String arrive_address;
	private String is_plan_city;
	private String is_high_risk;
	private String is_quarantine;

	private LocalDateTime create_date_time;

	protected String planJson;

	protected String current_province_name;
	protected String current_city_name;
	protected String current_county_name;

	protected String arrive_province_name;
	protected String arrive_city_name;
	protected String arrive_county_name;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getYear_code() {
		return year_code;
	}

	public void setYear_code(Integer year_code) {
		this.year_code = year_code;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getTicket_no() {
		return ticket_no;
	}

	public void setTicket_no(String ticket_no) {
		this.ticket_no = ticket_no;
	}

	public String getStd_mobile() {
		return std_mobile;
	}

	public void setStd_mobile(String std_mobile) {
		this.std_mobile = std_mobile;
	}

	public String getAlready_in_city() {
		return already_in_city;
	}

	public void setAlready_in_city(String already_in_city) {
		this.already_in_city = already_in_city;
	}

	public String getCurrent_province() {
		return current_province;
	}

	public void setCurrent_province(String current_province) {
		this.current_province = current_province;
	}

	public String getCurrent_city() {
		return current_city;
	}

	public void setCurrent_city(String current_city) {
		this.current_city = current_city;
	}

	public String getCurrent_county() {
		return current_county;
	}

	public void setCurrent_county(String current_county) {
		this.current_county = current_county;
	}

	public String getCurrent_address() {
		return current_address;
	}

	public void setCurrent_address(String current_address) {
		this.current_address = current_address;
	}

	public String getTravel_date() {
		return travel_date;
	}

	public void setTravel_date(String travel_date) {
		this.travel_date = travel_date;
	}

	public String getArrive_province() {
		return arrive_province;
	}

	public void setArrive_province(String arrive_province) {
		this.arrive_province = arrive_province;
	}

	public String getArrive_city() {
		return arrive_city;
	}

	public void setArrive_city(String arrive_city) {
		this.arrive_city = arrive_city;
	}

	public String getArrive_county() {
		return arrive_county;
	}

	public void setArrive_county(String arrive_county) {
		this.arrive_county = arrive_county;
	}

	public String getArrive_address() {
		return arrive_address;
	}

	public void setArrive_address(String arrive_address) {
		this.arrive_address = arrive_address;
	}

	public String getIs_plan_city() {
		return is_plan_city;
	}

	public void setIs_plan_city(String is_plan_city) {
		this.is_plan_city = is_plan_city;
	}

	public String getIs_high_risk() {
		return is_high_risk;
	}

	public void setIs_high_risk(String is_high_risk) {
		this.is_high_risk = is_high_risk;
	}

	public String getIs_quarantine() {
		return is_quarantine;
	}

	public void setIs_quarantine(String is_quarantine) {
		this.is_quarantine = is_quarantine;
	}

	public LocalDateTime getCreate_date_time() {
		return create_date_time;
	}

	public void setCreate_date_time(LocalDateTime create_date_time) {
		this.create_date_time = create_date_time;
	}

	public String getPlanJson() {
		return planJson;
	}

	public void setPlanJson(String planJson) {
		this.planJson = planJson;
	}

	public String getCurrent_province_name() {
		return current_province_name;
	}

	public void setCurrent_province_name(String current_province_name) {
		this.current_province_name = current_province_name;
	}

	public String getCurrent_city_name() {
		return current_city_name;
	}

	public void setCurrent_city_name(String current_city_name) {
		this.current_city_name = current_city_name;
	}

	public String getCurrent_county_name() {
		return current_county_name;
	}

	public void setCurrent_county_name(String current_county_name) {
		this.current_county_name = current_county_name;
	}

	public String getArrive_province_name() {
		return arrive_province_name;
	}

	public void setArrive_province_name(String arrive_province_name) {
		this.arrive_province_name = arrive_province_name;
	}

	public String getArrive_city_name() {
		return arrive_city_name;
	}

	public void setArrive_city_name(String arrive_city_name) {
		this.arrive_city_name = arrive_city_name;
	}

	public String getArrive_county_name() {
		return arrive_county_name;
	}

	public void setArrive_county_name(String arrive_county_name) {
		this.arrive_county_name = arrive_county_name;
	}

}
