package cn.hmsoft.ses.data.model.std;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 
 * 
 * @author: yangwei
 * @date: 2018-10-16 10:23:05
 * @version: 1.0
 * @email: xxxx@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "STD_report_form_plan_city", keyColumn = "id", sequenceName = "seq_std_report_form_plan_city")
public class StdReportFormPlanCity implements Serializable {
	private static final long serialVersionUID = 8431703093601128489L;

	// 主键ID
	private Integer id;
	private Integer report_form_id;

	private String plan_province;
	private String plan_city;
	private String plan_county;

	protected List<Map<String, Object>> citys;
	protected List<Map<String, Object>> countys;

	protected String plan_province_name;
	protected String plan_city_name;
	protected String plan_county_name;

	public List<Map<String, Object>> getCitys() {
		return citys;
	}

	public void setCitys(List<Map<String, Object>> citys) {
		this.citys = citys;
	}

	public List<Map<String, Object>> getCountys() {
		return countys;
	}

	public void setCountys(List<Map<String, Object>> countys) {
		this.countys = countys;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getReport_form_id() {
		return report_form_id;
	}

	public void setReport_form_id(Integer report_form_id) {
		this.report_form_id = report_form_id;
	}

	public String getPlan_province() {
		return plan_province;
	}

	public void setPlan_province(String plan_province) {
		this.plan_province = plan_province;
	}

	public String getPlan_city() {
		return plan_city;
	}

	public void setPlan_city(String plan_city) {
		this.plan_city = plan_city;
	}

	public String getPlan_county() {
		return plan_county;
	}

	public void setPlan_county(String plan_county) {
		this.plan_county = plan_county;
	}

	public String getPlan_province_name() {
		return plan_province_name;
	}

	public void setPlan_province_name(String plan_province_name) {
		this.plan_province_name = plan_province_name;
	}

	public String getPlan_city_name() {
		return plan_city_name;
	}

	public void setPlan_city_name(String plan_city_name) {
		this.plan_city_name = plan_city_name;
	}

	public String getPlan_county_name() {
		return plan_county_name;
	}

	public void setPlan_county_name(String plan_county_name) {
		this.plan_county_name = plan_county_name;
	}

}
