package cn.hmsoft.ses.data.model.sys;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 操作日志表 模型.
 * 
 * @author: zhanqiang
 * @date: 2019-05-29 16:35:29
 * @version: 1.0
 * @email: zhanqiang@qmth.com.cn
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "sys_operate_log", keyColumn = "id", sequenceName = "SEQ_sys_operate_log")
public class SysOperateLog implements Serializable {
	private static final long serialVersionUID = -7024500146738377529L;
  	//执行时间
  	private Integer excute_times;
  	//ID
  	private Integer id;
  	//方法名
  	private String method_name;
  	//参数内容
  	private String oper_params;
  	//uri
  	private String oper_uri;
  	//用户ip
  	private String remote_ip;
  	//请求时间
  	private LocalDateTime request_time;
  	//用户会话ID
  	private String session_id;
  	//操作用户ID
  	private Integer user_id;
  	//业务名称
  	private String buss_name;
  
	public String getBuss_name() {
		return buss_name;
	}
	public void setBuss_name(String buss_name) {
		this.buss_name = buss_name;
	}
	/**
	 * 执行时间
	 */	
  	public void setExcute_times(Integer excute_times) {
		this.excute_times = excute_times;
  	}
 	/**
	 * 执行时间
	 */	 	
  	public Integer getExcute_times() {
		return excute_times;
  	}
	/**
	 * ID
	 */	
  	public void setId(Integer id) {
		this.id = id;
  	}
 	/**
	 * ID
	 */	 	
  	public Integer getId() {
		return id;
  	}
	/**
	 * 方法名
	 */	
  	public void setMethod_name(String method_name) {
		this.method_name = method_name;
  	}
 	/**
	 * 方法名
	 */	 	
  	public String getMethod_name() {
		return method_name;
  	}
	/**
	 * 参数内容
	 */	
  	public void setOper_params(String oper_params) {
		this.oper_params = oper_params;
  	}
 	/**
	 * 参数内容
	 */	 	
  	public String getOper_params() {
		return oper_params;
  	}
	/**
	 * uri
	 */	
  	public void setOper_uri(String oper_uri) {
		this.oper_uri = oper_uri;
  	}
 	/**
	 * uri
	 */	 	
  	public String getOper_uri() {
		return oper_uri;
  	}
	/**
	 * 用户ip
	 */	
  	public void setRemote_ip(String remote_ip) {
		this.remote_ip = remote_ip;
  	}
 	/**
	 * 用户ip
	 */	 	
  	public String getRemote_ip() {
		return remote_ip;
  	}
	/**
	 * 请求时间
	 */	
  	public void setRequest_time(LocalDateTime request_time) {
		this.request_time = request_time;
  	}
 	/**
	 * 请求时间
	 */	 	
  	public LocalDateTime getRequest_time() {
		return request_time;
  	}
	/**
	 * 用户会话ID
	 */	
  	public void setSession_id(String session_id) {
		this.session_id = session_id;
  	}
 	/**
	 * 用户会话ID
	 */	 	
  	public String getSession_id() {
		return session_id;
  	}
	/**
	 * 操作用户ID
	 */	
  	public void setUser_id(Integer user_id) {
		this.user_id = user_id;
  	}
 	/**
	 * 操作用户ID
	 */	 	
  	public Integer getUser_id() {
		return user_id;
  	}
}